package se.su.dsv.scipro.activityplan;

import org.springframework.data.domain.Pageable;
import se.su.dsv.scipro.checklist.Checklist;
import se.su.dsv.scipro.checklist.ChecklistTemplate;
import se.su.dsv.scipro.file.ProjectFileUpload;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.User;

import java.util.Date;
import java.util.List;

public interface ActivityPlanFacade {

    Activity saveActivity(Activity event);

    ActivityPlan retrieveActivityPlan(Project p);

    void storeActivityUpload(ProjectFileUpload fileUpload, Activity event);

    void deleteActivityUpload(Activity event);

    void addActivitiesFromTemplate(Project project, ActivityPlanTemplate template, Date startDate);

    ActivityPlanTemplate createTemplateFromSchedule(ActivityPlan schedule, User user, String name, String description);

    void deleteActivity(Activity event);

    ActivityPlan deleteAllEvents(ActivityPlan activityPlan);

    //moving from activityservice
    List<Activity> findEventsByProject(final Project project, Pageable pageable);
    List<Activity> findEventsByProject(final Project project, final Date from, final Date to, Pageable pageable);
    long countEventsByProject(final Project project, final Date from, final Date to);
    Checklist createChecklist(Project project, ChecklistTemplate template);

    //moving from checklistfacade
    Checklist updateUserLastOpenDate(Checklist checklist, User user);

    boolean isCompletedByUser(User user, Checklist checklist);
}
