package se.su.dsv.scipro.economy;

import lombok.Data;
import lombok.EqualsAndHashCode;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.DomainObject;
import se.su.dsv.scipro.system.User;

import javax.persistence.*;

@Data
@EqualsAndHashCode(callSuper = false)
@Entity
@Table(name = "transaction")
@SuppressWarnings("PMD.UnusedPrivateField")
public class Transaction extends DomainObject {

    @Id
    @GeneratedValue
    private Long id;

    @ManyToOne(optional = false)
    private Project project;

    @ManyToOne(optional = false)
    private User user;

    @Column(nullable=false)
    private Integer amount;

    @Basic(optional = true)
    private String comment;

}