package se.su.dsv.scipro.economy;

import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.AbstractServiceImpl;

import javax.inject.Inject;
import javax.inject.Named;
import javax.inject.Provider;
import javax.persistence.EntityManager;
import java.util.List;

@Named
public class TransactionServiceImpl extends AbstractServiceImpl<Transaction, Long> implements TransactionService {

    @Inject
    public TransactionServiceImpl(Provider<EntityManager> em) {
        super(em, Transaction.class, QTransaction.transaction);
    }

    @Override
    public List<Transaction> findByProject(final Project project) {
        return from(QTransaction.transaction)
                .where(QTransaction.transaction.project.eq(project))
                .orderBy(QTransaction.transaction.dateCreated.desc())
                .list(QTransaction.transaction);
    }
}
