package se.su.dsv.scipro.finalseminar;

import lombok.Data;
import lombok.EqualsAndHashCode;
import se.su.dsv.scipro.system.DomainObject;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.List;

@Entity
@Cacheable(true)
@Data
@EqualsAndHashCode(callSuper = true)
@SuppressWarnings({"PMD.UnusedPrivateField", "PMD.SingularField"})
public class FinalSeminarSettings extends DomainObject {
    public static final int DEFAULT_DAYS_AHEAD_TO_UPLOAD_THESIS = 10;
    public static final int DEFAULT_DAYS_AHEAD_TO_REGISTER_OPPOSITION = 3;
    public static final int DEFAULT_DAYS_AHEAD_TO_REGISTER_PARTICIPATION = 1;

    @Id
    private Long id = null;

    public FinalSeminarSettings() {
    }

    public FinalSeminarSettings(final Long id) {
        this.id = id;
    }

    @Basic(optional = false)
    private int daysAheadToCreate;

    @Basic(optional = false)
    private int daysAheadToRegisterParticipation = DEFAULT_DAYS_AHEAD_TO_REGISTER_PARTICIPATION;

    @Basic(optional = false)
    private int daysAheadToRegisterOpposition = DEFAULT_DAYS_AHEAD_TO_REGISTER_OPPOSITION;

    @Basic(optional = false)
    private int daysAheadToUploadThesis = DEFAULT_DAYS_AHEAD_TO_UPLOAD_THESIS;

    @Basic(optional = false)
    private boolean thesisMustBePDF = false;


    @Basic(optional = false)
    private boolean examinerThesisReviewsMandatory = false;

    @Basic(optional = false)
    private boolean supervisorThesisReviewsMandatory = false;

    @Basic(optional = false)
    private boolean reviewerThesisReviewsMandatory = false;

    @Basic(optional = true)
    private String evaluationURL;

    @ElementCollection
    @CollectionTable
    private List<String> punishMails = new ArrayList<>();

    @Basic(optional = false)
    private int oppositionPriorityDays;

    public boolean getThesisMustBePDF() {
        return thesisMustBePDF;
    }

    public void setThesisMustBePDF(boolean finalSeminarThesisMustBeAPDF) {
        this.thesisMustBePDF = finalSeminarThesisMustBeAPDF;
    }


}
