package se.su.dsv.scipro.forum;

import se.su.dsv.scipro.forum.dataobjects.ForumPost;
import se.su.dsv.scipro.forum.dataobjects.ForumPostReadState;
import se.su.dsv.scipro.forum.dataobjects.ForumPostReadStateId;
import se.su.dsv.scipro.forum.dataobjects.QForumPostReadState;
import se.su.dsv.scipro.system.GenericRepo;
import se.su.dsv.scipro.system.User;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;

import static com.mysema.query.support.Expressions.allOf;

class ForumPostReadStateRepositoryImpl extends GenericRepo<ForumPostReadState, ForumPostReadStateId> implements ForumPostReadStateRepository {
    @Inject
    public ForumPostReadStateRepositoryImpl(Provider<EntityManager> em) {
        super(em, ForumPostReadState.class, QForumPostReadState.forumPostReadState);
    }

    @Override
    public ForumPostReadState find(User user, ForumPost post) {
        return findOne(allOf(QForumPostReadState.forumPostReadState.id.user.eq(user), QForumPostReadState.forumPostReadState.id.post.eq(post)));
    }
}
