package se.su.dsv.scipro.forummail;

import lombok.EqualsAndHashCode;
import se.su.dsv.scipro.forum.dataobjects.GroupThread;
import se.su.dsv.scipro.mail.MailEvent;
import se.su.dsv.scipro.system.User;

import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name = "forum_mail_group")
@EqualsAndHashCode(callSuper = true)
public class ForumMailGroup extends ForumMail {
    @ManyToOne(optional = false)
    @JoinColumn(name = "group_thread_id")
    private GroupThread groupThread;

    protected ForumMailGroup() {}

    public ForumMailGroup(final MailEvent mailEvent, final User user, final GroupThread groupThread) {
        super(mailEvent, user);
        this.groupThread = groupThread;
    }

    public void setGroupThread(GroupThread groupThread) {
        this.groupThread = groupThread;
    }

    public GroupThread getGroupThread() {
        return groupThread;
    }
}
