package se.su.dsv.scipro.forummail;

import lombok.EqualsAndHashCode;
import se.su.dsv.scipro.forum.dataobjects.ProjectThread;
import se.su.dsv.scipro.mail.MailEvent;
import se.su.dsv.scipro.system.User;

import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name = "forum_mail_project")
@EqualsAndHashCode(callSuper = true)
public class ForumMailProject extends ForumMail {
    @ManyToOne(optional = false)
    @JoinColumn(name = "project_thread_id")
    private ProjectThread projectThread;

    protected ForumMailProject() {}

    public ForumMailProject(final MailEvent mailEvent, final User user, final ProjectThread projectThread) {
        super(mailEvent, user);
        this.projectThread = projectThread;
    }

    public ProjectThread getProjectThread() {
        return projectThread;
    }
}
