package se.su.dsv.scipro.forummail;

import com.mysema.query.jpa.impl.JPAQuery;
import scala.Option;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;

class ForumMailProjectRepositoryImpl implements ForumMailProjectRepository {
    private final Provider<EntityManager> entityManagerProvider;

    @Inject
    ForumMailProjectRepositoryImpl(Provider<EntityManager> entityManagerProvider) {
        this.entityManagerProvider = entityManagerProvider;
    }

    @Override
    public Option<ForumMailProject> findByThreadId(long id) {
        QForumMailProject q = QForumMailProject.forumMailProject;
        ForumMailProject forumMailProject = new JPAQuery(entityManagerProvider.get())
                .from(q)
                .where(q.projectThread.id.eq(id))
                .singleResult(q);
        return Option.apply(forumMailProject);
    }
}
