package se.su.dsv.scipro.forummail;

import se.su.dsv.scipro.workerthreads.AbstractWorker;

import javax.inject.Inject;

public class ForumMailWorker extends AbstractWorker {

    private final ForumMailReader mailReader;
    private final MailHandler mailHandler;
    private final ForumMailSettingsService forumMailSettingsService;

    @Inject
    public ForumMailWorker(ForumMailReader mailReader, MailHandler mailHandler, ForumMailSettingsService forumMailSettingsService) {
        this.mailReader = mailReader;
        this.mailHandler = mailHandler;
        this.forumMailSettingsService = forumMailSettingsService;
    }

    @Override
    protected void doWork() {
        if (forumMailSettingsService.getSettings().isEnabled()){
            mailReader.accept(mailHandler);
        }
    }
}
