package se.su.dsv.scipro.generalsystemsettings;

import com.google.inject.persist.Transactional;
import se.su.dsv.scipro.system.AbstractServiceImpl;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;

public class GeneralSystemSettingsServiceImpl extends AbstractServiceImpl<GeneralSystemSettings, Long> implements GeneralSystemSettingsService {

    private static final long INSTANCE_ID = 1L;

    @Inject
    public GeneralSystemSettingsServiceImpl(Provider<EntityManager> em) {
        super(em, GeneralSystemSettings.class, QGeneralSystemSettings.generalSystemSettings);
    }

    @Override
    @Transactional
    public GeneralSystemSettings getGeneralSystemSettingsInstance() {
        GeneralSystemSettings settings = findOne(INSTANCE_ID);
        if (settings == null) {
            settings = new GeneralSystemSettings(INSTANCE_ID);
            super.save(settings);
        }
        return settings;
    }

    @Transactional
    public <S extends GeneralSystemSettings> S save(S object) {
        if (object.getId() == null) {
            throw new UnsupportedOperationException("You're not supposed to be creating new instances of this object manually!");
        }
        return super.save(object);
    }

    @Override
    public String getSystemFromName() {
        return getGeneralSystemSettingsInstance().getMailFromName();
    }

    @Override
    public String getSystemFromMail() {
        return getGeneralSystemSettingsInstance().getSystemFromMail();
    }

    @Override
    public String getExternalGettingStartedWithIdeaURL() {
        return getGeneralSystemSettingsInstance().getExternalGettingStartedWithIdeaURL();
    }
}
