package se.su.dsv.scipro.group;

import lombok.Data;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.FilteredService;
import se.su.dsv.scipro.system.GenericService;
import se.su.dsv.scipro.system.User;

import java.io.Serializable;
import java.util.List;

public interface GroupService extends GenericService<Group, Long>, FilteredService<Group, Long, GroupService.Filter> {

    List<Group> findAll(final Filter filter);

    @Data
    @SuppressWarnings({"PMD.UnusedPrivateField", "UnusedDeclaration"})
    class Filter implements Serializable {
        private User author;
        private User creator;
        private User nonAuthorInvolvee;
        private Boolean active;
        private Project project;

    }
}
