package se.su.dsv.scipro.integration.activityfinalseminar;

import lombok.AccessLevel;
import lombok.Data;
import lombok.Setter;
import se.su.dsv.scipro.activityplan.Activity;
import se.su.dsv.scipro.finalseminar.FinalSeminar;

import javax.persistence.*;
import java.io.Serializable;

@Data
@Setter(AccessLevel.NONE)
@Entity
@Table(name = "activity_final_seminar")
@SuppressWarnings({"PMD.UnusedPrivateField", "PMD.SingularField"})
class ActivityFinalSeminar {
    @EmbeddedId
    private Id id = new Id();

    @ManyToOne
    @MapsId("activityId")
    @JoinColumn(name = "activity_id")
    private Activity activity;

    @ManyToOne
    @MapsId("finalSeminarId")
    @JoinColumn(name = "final_seminar_id")
    private FinalSeminar finalSeminar;

    protected ActivityFinalSeminar() {
        // JPA
    }

    public ActivityFinalSeminar(final Activity activity, final FinalSeminar finalSeminar) {
        this.activity = activity;
        this.finalSeminar = finalSeminar;
    }

    @Data
    @Embeddable
    static class Id implements Serializable {
        @Column(name = "activity_id", nullable = false)
        private Long activityId;
        @Column(name = "final_seminar_id", nullable = false)
        private Long finalSeminarId;
    }
}
