package se.su.dsv.scipro.integration.activityforum;

import com.mysema.query.jpa.impl.JPAQuery;
import scala.Option;
import se.su.dsv.scipro.activityplan.Activity;
import se.su.dsv.scipro.forum.dataobjects.ProjectThread;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;

public class ActivityThreadRepositoryImpl implements ActivityThreadRepository {
    private final Provider<EntityManager> entityManagerProvider;

    @Inject
    ActivityThreadRepositoryImpl(final Provider<EntityManager> entityManagerProvider) {
        this.entityManagerProvider = entityManagerProvider;
    }

    @Override
    public Option<ProjectThread> findByActivity(final Activity activity) {
        return Option.apply(new JPAQuery(entityManagerProvider.get())
                .from(QActivityThread.activityThread)
                .where(QActivityThread.activityThread.activity.eq(activity))
                .uniqueResult(QActivityThread.activityThread.thread));
    }

    @Override
    public void save(final ActivityThread activityThread) {
        entityManagerProvider.get().persist(activityThread);
    }
}
