package se.su.dsv.scipro.mail;

import com.sun.mail.smtp.SMTPMessage;
import org.slf4j.Logger;

import javax.mail.SendFailedException;
import java.util.Arrays;

class Failure extends SMTPMailResult {
    private final SendFailedException exception;

    public Failure(final SMTPMessage message, final SendFailedException exception) {
        super(message);
        this.exception = exception;
    }

    @Override
    public void log(final Logger logger) {
        logger.info("Failed to deliver the mail to all recipients: " + Arrays.toString(getAllRecipients()));
        logger.info("Delivered: " + Arrays.toString(exception.getInvalidAddresses()));
        logger.warn("Could not deliver to: " + Arrays.toString(exception.getValidUnsentAddresses()));
        logger.error("Invalid email found: " + Arrays.toString(exception.getInvalidAddresses()));
    }
}
