package se.su.dsv.scipro.mail;

import se.su.dsv.scipro.file.FileDescriptionService;

import javax.inject.Inject;
import javax.mail.Session;
import javax.mail.internet.AddressException;
import javax.mail.internet.InternetAddress;

class RedirectingMailer extends SMTPMailer {
    private final String redirectTo;

    @Inject
    RedirectingMailer(final Session session, final String redirectTo, FileDescriptionService fileDescriptionService) {
        super(session, fileDescriptionService);
        this.redirectTo = redirectTo;
    }

    @Override
    InternetAddress[] getRecipients(final String[] recipients) throws AddressException {
        return new InternetAddress[]{new InternetAddress(redirectTo)};
    }
}
