package se.su.dsv.scipro.match;

import lombok.Data;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "idea_first_meeting")
@Cacheable(true)
@Data
@SuppressWarnings({"PMD.UnusedPrivateField", "PMD.SingularField"})
public class FirstMeeting implements Serializable {
    public static final int LENGTH = 1024;
    @Id
    @GeneratedValue
    private Long id;

    @Basic(optional = false)
    private Date firstMeetingDate;

    @Column(nullable = false, length = LENGTH)
    private String room;

    @Column(nullable = true, length = LENGTH)
    private String description;

    @OneToOne(optional = false)
    private Idea idea;

    public FirstMeeting() {

    }

    public FirstMeeting(Date firstMeetingDate, Idea idea) {
        this.firstMeetingDate = firstMeetingDate;
        this.idea = idea;
    }
}
