package se.su.dsv.scipro.match;

import org.springframework.data.domain.Pageable;
import se.su.dsv.scipro.system.GenericService;
import se.su.dsv.scipro.system.ResearchArea;

import java.util.List;

public interface KeywordService extends GenericService<Keyword, Long> {
    Iterable<Keyword> findByResearchArea(ResearchArea area, Pageable pageable);
    List<Keyword> findByResearchArea(ResearchArea area);
    List<Keyword> getAutoCompleteKeywords(String searchString, int limit);
    Long countByResearchArea(ResearchArea area);
    void deleteConnection(Keyword keyword, ResearchArea area);
    void addConnection(Keyword keyword, ResearchArea area);
}
