package se.su.dsv.scipro.match;

import com.mysema.query.annotations.QueryInit;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import se.su.dsv.scipro.system.DomainObject;
import se.su.dsv.scipro.system.User;

import javax.persistence.*;

@Data
@Entity
@Cacheable(true)
@ToString(exclude = "idea")
@Table(name = "idea_match")
@EqualsAndHashCode(callSuper = false)
@SuppressWarnings("PMD.UnusedPrivateField")
public class Match extends DomainObject {
    @Id
    @GeneratedValue
    private Long id;

    @ManyToOne(optional = false)
    private Idea idea;

    @ManyToOne
    @QueryInit({"unit"})
    private User supervisor;

    @Enumerated(EnumType.STRING)
    private Idea.Status status;

    @ManyToOne(optional = true)
    private User changedBy;

    public User getSupervisor() {
        return supervisor;
    }
}
