package se.su.dsv.scipro.notifications;

import com.google.common.eventbus.EventBus;
import com.google.common.eventbus.Subscribe;
import se.su.dsv.scipro.notifications.dataobject.NotificationSource;
import se.su.dsv.scipro.notifications.dataobject.ProjectEvent;
import se.su.dsv.scipro.report.ReviewerGradingReportSubmittedEvent;

import javax.inject.Inject;
import javax.inject.Singleton;

@Singleton
public class GradingNotifications {
    private final NotificationController notificationController;

    @Inject
    GradingNotifications(final EventBus eventBus, final NotificationController notificationController) {
        this.notificationController = notificationController;
        eventBus.register(this);
    }

    @Subscribe
    public void reviewerSubmittedGradingReport(ReviewerGradingReportSubmittedEvent event) {
        notificationController.notifyProject(event.getProject(), ProjectEvent.Event.REVIEWER_GRADING_REPORT_SUBMITTED, new NotificationSource());
    }
}
