package se.su.dsv.scipro.notifications;

import scala.Option;
import se.su.dsv.scipro.notifications.dataobject.NotificationEvent;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;

public class NotificationEventRepositoryImpl implements NotificationEventRepository {

    private final Provider<EntityManager> entityManager;

    @Inject
    public NotificationEventRepositoryImpl(final Provider<EntityManager> entityManager) {
        this.entityManager = entityManager;
    }

    @Override
    public Option<NotificationEvent> findOne(final long id) {
        return Option.apply(entityManager.get().find(NotificationEvent.class, id));
    }

    @Override
    public NotificationEvent save(final NotificationEvent notificationEvent) {
        EntityManager em = entityManager.get();
        if (em.contains(notificationEvent)) {
            return em.merge(notificationEvent);
        }
        else {
            em.persist(notificationEvent);
            return notificationEvent;
        }
    }
}
