package se.su.dsv.scipro.notifications.dataobject;

import lombok.Data;
import lombok.EqualsAndHashCode;
import se.su.dsv.scipro.milestones.dataobjects.Milestone;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.DomainObject;

import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.ManyToOne;

@Data
@Entity
@EqualsAndHashCode(callSuper = true)
public class MileStoneEvent extends NotificationEvent {

    public enum Event {
        MILESTONE_CONFIRMED, MILESTONE_REVOKED
    }

    @ManyToOne
    private Milestone milestone;

    @Enumerated(EnumType.STRING)
    private Event event;

    public MileStoneEvent() {
        super(Notification.Type.MILESTONE);
    }

    @Override
    public Project getProject() {
        return milestone.getProject();
    }

    @Override
    public Enum getEvent() {
        return event;
    }

    @Override
    protected String getEntityTitle() {
        return milestone.getProject().getTitle();
    }

    @Override
    public boolean hasEntity() {
        return milestone != null;
    }

    @Override
    public DomainObject getEntity() {
        return milestone;
    }
}
