package se.su.dsv.scipro.notifications.dataobject;

import se.su.dsv.scipro.peer.PeerRequest;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.DomainObject;

import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.ManyToOne;

@Entity
public class PeerRequestEvent extends NotificationEvent {

    @Enumerated(EnumType.STRING)
    private PeerEvent.Event event;

    @ManyToOne
    private PeerRequest request;

    public PeerRequestEvent() {
        super(Notification.Type.PEER);
    }

    @Override
    public PeerEvent.Event getEvent() {
        return event;
    }

    public void setEvent(PeerEvent.Event event) {
        this.event = event;
    }

    public PeerRequest getRequest() {
        return request;
    }

    public void setRequest(PeerRequest request) {
        this.request = request;
    }

    @Override
    public String getEntityTitle() {
        return request.getProject().getTitle();
    }

    @Override
    public boolean hasEntity() {
        return request != null;
    }

    @Override
    public Project getProject() {
        if (request != null && request.getProject() != null) {
            return request.getProject();
        } else {
            return null;
        }
    }

    @Override
    public DomainObject getEntity() {
        return request;
    }
}
