package se.su.dsv.scipro.notifications.dataobject;

import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.DomainObject;

import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.ManyToOne;

@Entity
public class ProjectForumEvent extends NotificationEvent {
    @ManyToOne
    private Project project;

    @Enumerated(EnumType.STRING)
    private Event event;

    public void setProject(Project project) {
        this.project = project;
    }

    public enum Event {
        NEW_FORUM_POST, NEW_FORUM_POST_COMMENT, NEW_REVIEWER_INTERACTION
    }

    public ProjectForumEvent() {
        super(Notification.Type.FORUM);
    }

    @Override
    public Project getProject() {
        return this.project;
    }

    @Override
    public Event getEvent() {
        return event;
    }

    public void setEvent(Event event) {
        this.event = event;
    }

    @Override
    protected String getEntityTitle() {
        return project.getTitle();
    }

    @Override
    public boolean hasEntity() {
        return project != null;
    }

    @Override
    public DomainObject getEntity() {
        return project;
    }

}
