package se.su.dsv.scipro.notifications.interfaces.impl;

import com.google.common.base.Function;
import com.google.common.base.Joiner;
import com.google.common.collect.FluentIterable;
import se.su.dsv.scipro.notifications.dataobject.GroupEvent;
import se.su.dsv.scipro.project.Project;

import java.text.MessageFormat;
import java.util.Set;

public class GroupEventFormatter extends AbstractEventFormatter<GroupEvent> {

    GroupEventFormatter(NotificationMailFormatterImpl formatter) {
        super(formatter);
    }

    @Override
    public String format(GroupEvent event) {
        String title = event.getGroup().getTitle();
        Set<Project> projects = event.getGroup().getProjects();
        String projectTitles = FluentIterable.from(projects)
                .transform(new Function<Project, String>() {
                    @Override
                    public String apply(final Project project) {
                        return project.getTitle();
                    }
                })
                .join(Joiner.on(", "));
        String format = getProperty(event.getType().name());
        return MessageFormat.format(format, title, projectTitles);
    }
}
