package se.su.dsv.scipro.notifications.interfaces.impl;

import se.su.dsv.scipro.notifications.dataobject.PeerEvent;
import se.su.dsv.scipro.peer.PeerRequest;
import se.su.dsv.scipro.peer.PeerReview;
import se.su.dsv.scipro.project.Project;

import java.text.MessageFormat;

public class PeerEventFormatter extends AbstractEventFormatter<PeerEvent> {

    PeerEventFormatter(NotificationMailFormatterImpl formatter) {
        super(formatter);
    }

    @Override
    public String format(PeerEvent event) {
        PeerReview review = event.getReview();
        PeerRequest request = review.getPeerRequest();
        Project project = request.getProject();

        String date = formatter.getDateString(review.getDateCreated());
        String requester = formatUser(request.getRequester());
        String reviewer = formatUser(review.getReviewer());
        String title = project.getTitle();
        String level = project.getProjectType().getName();
        String supervisor = formatUser(project.getHeadSupervisor());

        String format = getProperty(event.getType().name());
        return MessageFormat.format(format,
                date,
                requester,
                reviewer,
                title,
                level,
                supervisor);
    }
}
