package se.su.dsv.scipro.notifications.settings.entities;

import se.su.dsv.scipro.notifications.dataobject.Notification;
import se.su.dsv.scipro.system.DomainObject;

import javax.persistence.*;

@MappedSuperclass
public class Configuration extends DomainObject {

    @Id
    @GeneratedValue
    private Long id;

    @Column(name = "type", nullable = false)
    @Enumerated(EnumType.STRING)
    private Notification.Type type;

    @Column(name = "event", nullable = false)
    private String event;

    protected Configuration() {

    }

    public Configuration(final Notification.Type type, final String event) {
        this.type = type;
        this.event = event;
    }

    @Override
    public Long getId() {
        return id;
    }

    public Notification.Type getType() {
        return type;
    }

    public void setType(Notification.Type group) {
        this.type = group;
    }

    public String getEvent() {
        return event;
    }

    public void setEvent(String event) {
        this.event = event;
    }
}
