package se.su.dsv.scipro.peer;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import se.su.dsv.scipro.checklist.ChecklistAnswerEnum;
import se.su.dsv.scipro.system.DomainObject;

import javax.persistence.*;

@Data
@Entity
@Table(name="answer")
@Cacheable(true)
@EqualsAndHashCode(of = {"id"}, callSuper = false)
@ToString(exclude = {"peerReview"})
@SuppressWarnings({"PMD.UnusedPrivateField", "PMD.SingularField"})
public class Answer extends DomainObject {
    @Id
	@GeneratedValue
	private Long id;
	
	@ManyToOne(optional=false)
	private PeerReview peerReview;

    @Basic(optional = false)
	private String question;
	
	@Lob
	@Basic(optional=true)
	private String motivation;
	
	@Enumerated(EnumType.STRING)
	@Column(nullable=false)
	private ChecklistAnswerEnum answer = ChecklistAnswerEnum.NO_ANSWER;
	
	public Answer() {}
	public Answer(PeerReview peerReview, String question){
		this.peerReview = peerReview;
		this.question = question;
	}
}
