package se.su.dsv.scipro.peer;

import se.su.dsv.scipro.system.GenericRepo;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;

import static com.mysema.query.types.ExpressionUtils.allOf;

public class CommentThreadRepoImpl extends GenericRepo<CommentThread, Long> implements CommentThreadRepo {

    @Inject
    public CommentThreadRepoImpl(Provider<EntityManager> em) {
        super(em, CommentThread.class, QCommentThread.commentThread);
    }

    @Override
    public CommentThread getCommentThread(String commentableKey, long commentableId) {
        QCommentThread thread = QCommentThread.commentThread;
        return findOne(allOf(thread.commentableKey.eq(commentableKey), thread.commentableId.eq(commentableId)));
    }
}
