package se.su.dsv.scipro.peer;

import lombok.Getter;
import lombok.Setter;
import org.springframework.data.domain.Pageable;
import se.su.dsv.scipro.checklist.ChecklistTemplate;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.*;

import java.io.Serializable;
import java.util.Collection;
import java.util.Date;
import java.util.List;

public interface PeerRequestService extends GenericService<PeerRequest, Long>, FilteredService<PeerRequest, Long, PeerRequestService.Filter> {

    List<PeerRequest> findByChecklistTemplate(ChecklistTemplate checklistTemplate);

    List<PeerRequest> findAvailableRequests(User user, RequestStatus status, ProjectType pc, Pageable pageable);

    List<PeerRequest> findByStatus(RequestStatus status);

    List<PeerRequest> findByRequesterAndProject(User requester, Project project);

    long countByStatus(RequestStatus status);

    long countAvailableRequests(User user, RequestStatus status, ProjectType pc);

    void deleteRequest(PeerRequest request);

    @Getter
    @Setter
    @SuppressWarnings({"PMD.UnusedPrivateField", "UnusedDeclaration"})
    class Filter implements Serializable {
        private User supervisor;
        private User author;
        private Collection<RequestStatus> statuses;
        private Date createdAfter;
        private Date createdBefore;
        private Project project;
        private Collection<ProjectType> projectTypes;
        private Language language;
    }
}
