package se.su.dsv.scipro.plagiarism;


import com.google.inject.persist.Transactional;
import se.su.dsv.scipro.system.AbstractServiceImpl;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;

public class TurnitinSettingsServiceImpl extends AbstractServiceImpl<TurnitinSettings,Long> implements TurnitinSettingsService {

    public static final long INSTANCE_ID = 1L;

    @Inject
    public TurnitinSettingsServiceImpl(Provider<EntityManager> em) {
        super(em, TurnitinSettings.class, QTurnitinSettings.turnitinSettings);
    }

    @Override
    @Transactional
    public TurnitinSettings getSettings() {
        TurnitinSettings settings = findOne(INSTANCE_ID);
        if (settings == null) {
            settings = new TurnitinSettings(INSTANCE_ID);
            save(settings);
        }
        return settings;
    }
}
