package se.su.dsv.scipro.projectpartner;

import org.joda.time.DateTime;
import org.springframework.data.domain.Pageable;
import se.su.dsv.scipro.system.AbstractServiceImpl;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;
import java.util.Date;
import java.util.List;

public class ProjectPartnerServiceImpl extends AbstractServiceImpl<ProjectPartner,Long> implements ProjectPartnerService {

    @Inject
    public ProjectPartnerServiceImpl(Provider<EntityManager> em) {
        super(em, ProjectPartner.class, QProjectPartner.projectPartner);
    }

    @Override
    public List<ProjectPartner> getProjectPartnerInSpan(int days, Pageable pageable) {
        if (days == 0) {
            return findAll(pageable);
        }
        Date date = new DateTime().minusDays(days).toDate();
        return findAll(QProjectPartner.projectPartner.dateCreated.after(date), pageable);
    }

    @Override
    public long countProjectPartnerInSpan(int days) {
        if (days == 0) {
            return count();
        }
        Date date = new DateTime().minusDays(days).toDate();
        return count(QProjectPartner.projectPartner.dateCreated.after(date));
    }
}
