package se.su.dsv.scipro.report;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.ToString;

import javax.persistence.*;

@Getter
@ToString
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "criterion")
@SuppressWarnings({"PMD.UnusedPrivateField", "PMD.SingularField"})
public class Criterion extends AbstractCriterion {

    public static final int DESCRIPTION_LENGTH = 2000;

    @ManyToOne(optional = false)
    private Report report;

    @Basic
    @Column
    private String feedback;

    @Basic
    @Column(length = DESCRIPTION_LENGTH)
    private String description;

    protected Criterion() {

    }

    Criterion(Report report, String title, String description, int sortOrder) {
        super(title, sortOrder);
        this.description = description;
        this.report = report;
    }

    Criterion(Report report, GradingCriterionTemplate gradingCriterionTemplate) {
        this(report, gradingCriterionTemplate.getTitle(), gradingCriterionTemplate.getDescription(), gradingCriterionTemplate.getSortOrder());
    }

    public void setFeedback(final String feedback) {
        this.feedback = feedback;
    }

    public boolean isFilledOut() {
        return feedback != null && !feedback.isEmpty();
    }
}
