package se.su.dsv.scipro.report;

import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.*;

@Data
@Entity
@Table(name = "GradingCriterionPoint")
@EqualsAndHashCode(callSuper = true)
public class GradingCriterionPoint extends AbstractGradingCriterionPoint {

    @ManyToOne(optional = false)
    private GradingCriterion gradingCriterion;

    @Override
    public int compareTo(AbstractGradingCriterionPoint abstractGradingCriterionPoint) {
        return this.getPoint().compareTo(abstractGradingCriterionPoint.getPoint());
    }

    public static class Builder {
        private final GradingCriterionPoint instance = new GradingCriterionPoint();

        public Builder point(Integer point) {
            instance.setPoint(point);
            return this;
        }

        public Builder description(String description) {
            instance.setDescription(description);
            return this;
        }

        public Builder gradingCriterion(GradingCriterion gradingCriterion) {
            instance.setGradingCriterion(gradingCriterion);
            return this;
        }

        public GradingCriterionPoint build() {
            return instance;
        }
    }
}
