package se.su.dsv.scipro.report;

import scala.util.Either;
import se.su.dsv.scipro.finalseminar.FinalSeminarOpposition;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.GenericService;
import se.su.dsv.scipro.system.User;

import java.util.List;

public interface GradingReportService extends GenericService<GradingReport, Long> {

    SupervisorGradingReport getSupervisorGradingReport(Project project, User student);

    List<SupervisorGradingReport> getSupervisorGradingReports(Project project);

    ReviewerGradingReport getReviewerGradingReport(Project project);

    boolean hasFinishedGradingReports(Project project, boolean reviewer);

    GradingReportTemplate getTemplate(Project project);

    void copyReport(SupervisorGradingReport to, SupervisorGradingReport from);

    Either<List<GradingCriterion>, GradingReport> submitReport(GradingReport gradingReport);

    boolean updateOppositionCriteria(SupervisorGradingReport report, FinalSeminarOpposition opposition);

    Either<List<GradingCriterion>, GradingReport> initialAssessmentDone(GradingReport gradingReport);
}
