package se.su.dsv.scipro.report;

import javax.persistence.Entity;
import java.util.List;

@Entity
public class ProjectGradingCriterionTemplate extends GradingCriterionTemplate {
    protected ProjectGradingCriterionTemplate() {
    }

    ProjectGradingCriterionTemplate(GradingReportTemplate gradingReportTemplate, int sortOrder, String title, int pointsRequiredToPass, List<GradingCriterionPointTemplate> gradingCriterionPointTemplates) {
        super(gradingReportTemplate, sortOrder, title, pointsRequiredToPass, gradingCriterionPointTemplates);
    }

    @Override
    public GradingCriterion createFor(GradingReport gradingReport) {
        return new ProjectGradingCriterion(gradingReport, this);
    }

    @Override
    public void accept(GradingCriterionTemplateVisitor visitor) {
        visitor.visit(this);
    }

    @Override
    public boolean isProjectCriterion() {
        return true;
    }

    @Override
    public boolean isIndividualCriterion() {
        return false;
    }
}
