package se.su.dsv.scipro.reviewing;

import com.google.inject.persist.Transactional;
import se.su.dsv.scipro.system.AbstractServiceImpl;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;

public class ReviewerDeadlineSettingsServiceImpl extends AbstractServiceImpl<ReviewerDeadlineSettings,Long> implements ReviewerDeadlineSettingsService {

	private static final long INSTANCE_ID = 1L;

	@Inject
	public ReviewerDeadlineSettingsServiceImpl(Provider<EntityManager> em) {
        super(em, ReviewerDeadlineSettings.class, QReviewerDeadlineSettings.reviewerDeadlineSettings);
	}

	@Override
	@Transactional
	public ReviewerDeadlineSettings getInstance() {
		ReviewerDeadlineSettings settings = findOne(INSTANCE_ID);
		if(settings==null) {
			settings = new ReviewerDeadlineSettings(INSTANCE_ID);
			save(settings);
		}
		return settings;
	}
}
