package se.su.dsv.scipro.reviewing;

import scala.Option;
import se.su.dsv.scipro.forum.dataobjects.QReviewerThread;
import se.su.dsv.scipro.forum.dataobjects.ReviewerThread;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.GenericRepo;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;

class ReviewerThreadRepositoryImpl extends GenericRepo<ReviewerThread, Long> implements ReviewerThreadRepository {
    @Inject
    ReviewerThreadRepositoryImpl(final Provider<EntityManager> em) {
        super(em, ReviewerThread.class, QReviewerThread.reviewerThread);
    }

    @Override
    public Option<ReviewerThread> findByProject(final Project project) {
        return Option.apply(findOne(QReviewerThread.reviewerThread.project.eq(project)));
    }
}
