package se.su.dsv.scipro.reviewing;

import com.google.inject.AbstractModule;
import se.su.dsv.scipro.file.FileDescriptionService;

import javax.persistence.EntityManager;

public class ReviewingModule extends AbstractModule {
    @Override
    protected void configure() {
        requireBinding(FileDescriptionService.class);
        requireBinding(EntityManager.class);
        bind(ReviewerThreadRepository.class).to(ReviewerThreadRepositoryImpl.class);
        bind(ReviewerInteractionService.class).to(ReviewerInteractionServiceImpl.class);
        bind(FinalSeminarApprovalService.class).to(FinalSeminarApprovalServiceImpl.class);
        bind(MyReviewService.class).to(ReviewingServiceImpl.class);
        bind(ReviewerDecisionService.class).to(ReviewingServiceImpl.class);
        bind(RoughDraftApprovalService.class).to(RoughDraftApprovalServiceImpl.class);
        bind(ReviewerDeadlineSettingsService.class).to(ReviewerDeadlineSettingsServiceImpl.class);
        bind(ReviewerDeadlineFollowupService.class).to(ReviewerDeadlineFollowupServiceImpl.class);
    }
}
