package se.su.dsv.scipro.system;

import scala.Option;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;
import java.util.List;

public class FooterLinkRepoImpl extends GenericRepo<FooterLink, Long> implements FooterLinkRepo {
    @Inject
    public FooterLinkRepoImpl(Provider<EntityManager> em) {
        super(em, FooterLink.class, QFooterLink.footerLink);
    }

    @Override
    public List<FooterLink> getLinks(final FooterColumn column) {
        return createQuery()
                .where(QFooterLink.footerLink.footerColumn.eq(column))
                .orderBy(QFooterLink.footerLink.order.asc())
                .list(QFooterLink.footerLink);
    }

    @Override
    public Option<FooterLink> findByColumnAndOrder(final FooterColumn column, final int order) {
        return Option.apply(findOne(
                QFooterLink.footerLink.footerColumn.eq(column).and(QFooterLink.footerLink.order.eq(order))));
    }
}
