package se.su.dsv.scipro.system;

import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.*;

@Data
@EqualsAndHashCode(of = "identifier", callSuper = false)
@Entity
@Table(name = "researcharea")
@Cacheable(true)
@SuppressWarnings("PMD.UnusedPrivateField")
public class ResearchArea extends LazyDeletableDomainObject {

    public static final int STRING_MAX_LENGTH = 255;
    @Id
    @GeneratedValue
    private Long id;

    @Column(unique = true)
    private Long identifier;

    @Column(length = STRING_MAX_LENGTH)
    @Basic(optional = false)
    private String title;

}
