package se.su.dsv.scipro.workerthreads;

import java.util.concurrent.TimeUnit;

public abstract class Schedule {
    public abstract long getDelay();
    public abstract long getPeriod();
    public abstract TimeUnit getTimeUnit();

    static Schedule every(final long delay, final TimeUnit timeUnit) {
        return new RepeatingSchedule(delay, timeUnit);
    }

    static Schedule dailyAt(final int hour, final int minute) {
        return new DailySchedule(hour, minute);
    }
}
