--
-- Database: `scipro`
--

-- --------------------------------------------------------

--
-- Table structure for table `answer`
--

CREATE TABLE IF NOT EXISTS `answer` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `freeTextAnswer` longtext,
  `peerReview_id` bigint(20) NOT NULL,
  `question_id` bigint(20) NOT NULL,
  `answer` varchar(255) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `FKABCA3FBE2C41A959` (`peerReview_id`),
  KEY `FKABCA3FBE4236D179` (`question_id`),
  KEY `FK_64r70sbiishrkuj1vn87vo53k` (`peerReview_id`),
  KEY `FK_eix9du6u2r4wxwu415wq8yb99` (`question_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6950 ;

-- --------------------------------------------------------

--
-- Table structure for table `ApplicationPeriod`
--

CREATE TABLE IF NOT EXISTS `ApplicationPeriod` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `endDate` datetime NOT NULL,
  `name` varchar(255) NOT NULL,
  `startDate` datetime NOT NULL,
  `courseStartDate` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=35 ;

-- --------------------------------------------------------

--
-- Table structure for table `applicationperiodexemption`
--

CREATE TABLE IF NOT EXISTS `applicationperiodexemption` (
  `applicationPeriodId` bigint(20) NOT NULL,
  `studentId` bigint(20) NOT NULL,
  `until` datetime NOT NULL,
  `comment` varchar(255) DEFAULT NULL,
  `grantedOn` datetime NOT NULL,
  `grantedBy_id` bigint(20) NOT NULL,
  PRIMARY KEY (`applicationPeriodId`,`studentId`),
  KEY `FK34182FD8790761A4` (`applicationPeriodId`),
  KEY `FKCB7E71913353DC5C` (`studentId`),
  KEY `FK34182FD8DEC4D3D8` (`grantedBy_id`),
  KEY `FK_4p3he5fymtmdgbkl3xwrodq36` (`grantedBy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `ApplicationPeriod_project_class`
--

CREATE TABLE IF NOT EXISTS `ApplicationPeriod_project_class` (
  `ApplicationPeriod_id` bigint(20) NOT NULL,
  `projectClass_id` bigint(20) NOT NULL,
  PRIMARY KEY (`ApplicationPeriod_id`,`projectClass_id`),
  KEY `FK97FDEC24BEC322C1` (`ApplicationPeriod_id`),
  KEY `FK97FDEC24B2B6081F` (`projectClass_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `checklist`
--

CREATE TABLE IF NOT EXISTS `checklist` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `name` varchar(255) NOT NULL,
  `project_id` bigint(20) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `FK17CCD1A6C1813915` (`project_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5076 ;

-- --------------------------------------------------------

--
-- Table structure for table `CheckListTemplate_questions`
--

CREATE TABLE IF NOT EXISTS `CheckListTemplate_questions` (
  `CheckListTemplate_id` bigint(20) NOT NULL,
  `questions` longtext,
  KEY `FK872F7C0E869F0235` (`CheckListTemplate_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `checklist_answer`
--

CREATE TABLE IF NOT EXISTS `checklist_answer` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `answer` varchar(255) NOT NULL,
  `comment` longtext,
  `user_id` bigint(20) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `FK49936477895349BF` (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5352 ;

-- --------------------------------------------------------

--
-- Table structure for table `checklist_category`
--

CREATE TABLE IF NOT EXISTS `checklist_category` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `categoryName` varchar(255) DEFAULT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `categoryName` (`categoryName`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

-- --------------------------------------------------------

--
-- Table structure for table `checklist_checklist_category`
--

CREATE TABLE IF NOT EXISTS `checklist_checklist_category` (
  `checklist_id` bigint(20) NOT NULL,
  `categories_id` bigint(20) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  KEY `FK54F86EB08725F1D` (`categories_id`),
  KEY `FK54F86EB01F327355` (`checklist_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `checklist_checklist_question`
--

CREATE TABLE IF NOT EXISTS `checklist_checklist_question` (
  `checklist_id` bigint(20) NOT NULL,
  `questions_id` bigint(20) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`checklist_id`,`questions_id`),
  UNIQUE KEY `questions_id` (`questions_id`),
  UNIQUE KEY `UK_o5ndj9lydqv17attv7uf8wlr` (`questions_id`),
  KEY `FKC77ED98C64F9D54` (`questions_id`),
  KEY `FKC77ED981F327355` (`checklist_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `checklist_question`
--

CREATE TABLE IF NOT EXISTS `checklist_question` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `question` longtext NOT NULL,
  `questionNumber` int(11) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=50911 ;

-- --------------------------------------------------------

--
-- Table structure for table `checklist_question_checklist_answer`
--

CREATE TABLE IF NOT EXISTS `checklist_question_checklist_answer` (
  `checklist_question_id` bigint(20) NOT NULL,
  `answers_id` bigint(20) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  UNIQUE KEY `answers_id` (`answers_id`),
  UNIQUE KEY `UK_47is0po5b69467hxbgr4a2gph` (`answers_id`),
  KEY `FK86395A574BFBD702` (`checklist_question_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `checklist_template`
--

CREATE TABLE IF NOT EXISTS `checklist_template` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `name` varchar(255) NOT NULL,
  `creator_id` bigint(20) NOT NULL,
  `numberOfQuestions` int(11) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  `templateNumber` int(11) NOT NULL DEFAULT '999',
  PRIMARY KEY (`id`),
  KEY `FK14DA6F3E44F4DBE` (`creator_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=50 ;

-- --------------------------------------------------------

--
-- Table structure for table `checklist_template_checklist_category`
--

CREATE TABLE IF NOT EXISTS `checklist_template_checklist_category` (
  `checklist_template_id` bigint(20) NOT NULL,
  `categories_id` bigint(20) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  KEY `FK4E82F44372B51E82` (`checklist_template_id`),
  KEY `FK4E82F4438725F1D` (`categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `CheckList_userLastOpenDate`
--

CREATE TABLE IF NOT EXISTS `CheckList_userLastOpenDate` (
  `CheckList_id` bigint(20) NOT NULL,
  `userLastOpenDate` datetime DEFAULT NULL,
  `userLastOpenDate_KEY` bigint(20) NOT NULL,
  PRIMARY KEY (`CheckList_id`,`userLastOpenDate_KEY`),
  KEY `FKF7E07AB26D025A9` (`userLastOpenDate_KEY`),
  KEY `FKF7E07AB21F327355` (`CheckList_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `comment`
--

CREATE TABLE IF NOT EXISTS `comment` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `comment` longtext,
  `commentThread_id` bigint(20) NOT NULL,
  `creator_id` bigint(20) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `FK38A5EE5F45F802F5` (`commentThread_id`),
  KEY `FK38A5EE5FE44F4DBE` (`creator_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3538960 ;

-- --------------------------------------------------------

--
-- Table structure for table `comment_thread`
--

CREATE TABLE IF NOT EXISTS `comment_thread` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `commentableId` bigint(20) NOT NULL,
  `commentableKey` varchar(255) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `commentableKey` (`commentableKey`,`commentableId`),
  UNIQUE KEY `UK_s0ve8ppa3snl8i1wocqwiuwn2` (`commentableKey`,`commentableId`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2104 ;

-- --------------------------------------------------------

--
-- Table structure for table `Employee_Language`
--

CREATE TABLE IF NOT EXISTS `Employee_Language` (
  `role_id` bigint(20) NOT NULL,
  `languages_id` bigint(20) NOT NULL,
  PRIMARY KEY (`role_id`,`languages_id`),
  KEY `FK603173EA55E687C` (`languages_id`),
  KEY `FK603173EA7B617197` (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `employee_researcharea`
--

CREATE TABLE IF NOT EXISTS `employee_researcharea` (
  `role_id` bigint(20) NOT NULL,
  `researchAreas_id` bigint(20) NOT NULL,
  PRIMARY KEY (`role_id`,`researchAreas_id`),
  KEY `employee_researcharea_key` (`role_id`),
  KEY `employee_researcharea_key2` (`researchAreas_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `file_description`
--

CREATE TABLE IF NOT EXISTS `file_description` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `identifier` varchar(255) DEFAULT NULL,
  `mimeType` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `path` varchar(255) DEFAULT NULL,
  `size` bigint(20) DEFAULT NULL,
  `targetLastModified` datetime DEFAULT NULL,
  `userId` bigint(20) DEFAULT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  `isThesisFile` bit(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `file_description_path_index` (`path`),
  KEY `file_description_identifier_index` (`identifier`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3007 ;

-- --------------------------------------------------------

--
-- Table structure for table `FinalSeminarSettings`
--

CREATE TABLE IF NOT EXISTS `FinalSeminarSettings` (
  `id` bigint(20) NOT NULL,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `daysAheadThesisCommentToRemind` int(11) NOT NULL,
  `daysAheadToCreate` int(11) NOT NULL,
  `daysAheadToRegisterOpposition` int(11) NOT NULL,
  `daysAheadToRegisterParticipation` int(11) NOT NULL,
  `daysAheadToUploadThesis` int(11) NOT NULL,
  `daysAheadToUploadThesisReview` int(11) NOT NULL,
  `examinerThesisReviewsMandatory` tinyint(1) NOT NULL,
  `reviewerThesisReviewsMandatory` tinyint(1) NOT NULL,
  `supervisorThesisReviewsMandatory` tinyint(1) NOT NULL,
  `thesisMustBePDF` tinyint(1) NOT NULL,
  `thesisReviewsEnabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `FinalSeminarSettings_punishMails`
--

CREATE TABLE IF NOT EXISTS `FinalSeminarSettings_punishMails` (
  `FinalSeminarSettings_id` bigint(20) NOT NULL,
  `punishMails` varchar(255) DEFAULT NULL,
  KEY `FK373B1D06BB47DEDF` (`FinalSeminarSettings_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `final_seminar`
--

CREATE TABLE IF NOT EXISTS `final_seminar` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `documentUploadDate` datetime DEFAULT NULL,
  `endDate` datetime DEFAULT NULL,
  `room` varchar(255) NOT NULL,
  `startDate` datetime NOT NULL,
  `document_id` bigint(20) DEFAULT NULL,
  `documentUploader_id` bigint(20) DEFAULT NULL,
  `project_id` bigint(20) NOT NULL,
  `presentationLanguage` varchar(255) NOT NULL,
  `reportLanguage` varchar(255) NOT NULL,
  `checkedForPlagirism` bit(1) DEFAULT NULL,
  `turnitinId` varchar(255) DEFAULT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  `maxOpponents` int(11) NOT NULL,
  `maxParticipants` int(11) NOT NULL,
  `examiner_id` bigint(20) DEFAULT NULL,
  `deleted` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_rv1p7wl0dnj25saiarmk55yvr` (`project_id`),
  KEY `FK49900D2844AF969A` (`document_id`),
  KEY `FK49900D284C97041` (`documentUploader_id`),
  KEY `FK49900D28C1813915` (`project_id`),
  KEY `FK49900D2873048D7F` (`examiner_id`),
  KEY `deleted_index` (`deleted`),
  KEY `FK_41udcn88r6uugt3ptbelflph6` (`document_id`),
  KEY `FK_rv1p7wl0dnj25saiarmk55yvr` (`project_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1215 ;

-- --------------------------------------------------------

--
-- Table structure for table `final_seminar_active_participation`
--

CREATE TABLE IF NOT EXISTS `final_seminar_active_participation` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `preDeleted` bit(1) NOT NULL,
  `finalSeminar_id` bigint(20) NOT NULL,
  `project_id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `FK35AB727FF583C69F` (`finalSeminar_id`),
  KEY `FK35AB727FC1813915` (`project_id`),
  KEY `FK35AB727F895349BF` (`user_id`),
  KEY `FK_mk920fce29yhjgv33wr69fe8a` (`finalSeminar_id`),
  KEY `FK_3si3rx7tv6ke9oeiq0hts3lm0` (`project_id`),
  KEY `FK_hf9puequi3ygf518hi6b1js2m` (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3597 ;

-- --------------------------------------------------------

--
-- Table structure for table `final_seminar_opposition`
--

CREATE TABLE IF NOT EXISTS `final_seminar_opposition` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `dateReported` datetime DEFAULT NULL,
  `finalSeminar_id` bigint(20) NOT NULL,
  `opponent_id` bigint(20) NOT NULL,
  `opponentReport_id` bigint(20) DEFAULT NULL,
  `project_id` bigint(20) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `FK8CD13581F583C69F` (`finalSeminar_id`),
  KEY `FK8CD135812AFD4724` (`opponentReport_id`),
  KEY `FK8CD13581C1813915` (`project_id`),
  KEY `FK8CD135819EC40373` (`opponent_id`),
  KEY `FK_62i59u7j6x5ma0iydx9no6m4i` (`finalSeminar_id`),
  KEY `FK_esjegfl5vokjy9u63u1dh1muh` (`opponent_id`),
  KEY `FK_7j5k6jia1rrgxkmish6153hfp` (`opponentReport_id`),
  KEY `FK_hilhyo3tgq89pm27i4pxjaua` (`project_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1977 ;

-- --------------------------------------------------------

--
-- Table structure for table `final_seminar_thesis_review`
--

CREATE TABLE IF NOT EXISTS `final_seminar_thesis_review` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `finalSeminar_id` bigint(20) NOT NULL,
  `thesisReview_id` bigint(20) DEFAULT NULL,
  `uploader_id` bigint(20) NOT NULL,
  `comment` longtext,
  PRIMARY KEY (`id`),
  UNIQUE KEY `thesisReview_id` (`thesisReview_id`),
  KEY `FKE045D554F583C69F` (`finalSeminar_id`),
  KEY `FKE045D5541AAF75F1` (`thesisReview_id`),
  KEY `FKE045D554D1E6703C` (`uploader_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=23 ;

-- --------------------------------------------------------

--
-- Table structure for table `forum_posts`
--

CREATE TABLE IF NOT EXISTS `forum_posts` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `deleted` tinyint(1) NOT NULL,
  `content` longtext NOT NULL,
  `user` bigint(20) NOT NULL,
  `thread` bigint(20) NOT NULL,
  `attachment_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FKEDDC4F35924F477B` (`user`),
  KEY `FKEDDC4F355E9380A1` (`thread`),
  KEY `deleted_index` (`deleted`),
  KEY `FKEDDC4F35CCABB192` (`attachment_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1851 ;

-- --------------------------------------------------------

--
-- Table structure for table `forum_posts_read`
--

CREATE TABLE IF NOT EXISTS `forum_posts_read` (
  `read` tinyint(1) NOT NULL,
  `user` bigint(20) NOT NULL,
  `post` bigint(20) NOT NULL,
  PRIMARY KEY (`post`,`user`),
  KEY `FK8A5DFC60924F477B` (`user`),
  KEY `FK8A5DFC60DD74550D` (`post`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `forum_threads`
--

CREATE TABLE IF NOT EXISTS `forum_threads` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `deleted` tinyint(1) NOT NULL,
  `subject` varchar(255) NOT NULL,
  `user` bigint(20) NOT NULL,
  `project` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FKAF97368B924F477B` (`user`),
  KEY `FKAF97368B247CE02D` (`project`),
  KEY `deleted_index` (`deleted`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1116 ;

-- --------------------------------------------------------

--
-- Table structure for table `general_system_settings`
--

CREATE TABLE IF NOT EXISTS `general_system_settings` (
  `id` bigint(20) NOT NULL,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `peerDisplayNumberOfReviewsPerformed` bit(1) NOT NULL,
  `peerRatingsEnabled` bit(1) NOT NULL,
  `projectPartnerDaysToLive` int(11) NOT NULL,
  `mailFromName` varchar(255) NOT NULL,
  `mailNotifications` bit(1) NOT NULL,
  `numberOfLatestReviewsDisplayed` int(11) NOT NULL,
  `peerDisplayLatestReviews` bit(1) NOT NULL,
  `publicReviewsActivated` bit(1) NOT NULL,
  `smtpServer` varchar(255) NOT NULL,
  `systemFromMail` varchar(255) NOT NULL,
  `peerDownloadEnabled` bit(1) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  `remoteExport` bit(1) NOT NULL,
  `confirmationDays` int(11) NOT NULL,
  `bachelorCountDate` datetime DEFAULT NULL,
  `masterCountDate` datetime DEFAULT NULL,
  `remindMessage` longtext,
  `sciproURL` varchar(255) NOT NULL,
  `matchPartnerConfirmation` bit(1) NOT NULL,
  `daisyProfileLinkBaseURL` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `general_system_settings_alarm_recipients`
--

CREATE TABLE IF NOT EXISTS `general_system_settings_alarm_recipients` (
  `GeneralSystemSettings_id` bigint(20) NOT NULL,
  `mail` varchar(255) DEFAULT NULL,
  KEY `FK3C9272B2AC37675` (`GeneralSystemSettings_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `general_system_settings_supervisor_change_recipients`
--

CREATE TABLE IF NOT EXISTS `general_system_settings_supervisor_change_recipients` (
  `GeneralSystemSettings_id` bigint(20) NOT NULL,
  `mail` varchar(255) DEFAULT NULL,
  KEY `FK7DA712D52AC37675` (`GeneralSystemSettings_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `hibernate_sequences`
--

CREATE TABLE IF NOT EXISTS `hibernate_sequences` (
  `sequence_name` varchar(255) DEFAULT NULL,
  `sequence_next_hi_value` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `Keyword`
--

CREATE TABLE IF NOT EXISTS `Keyword` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `deleted` bit(1) NOT NULL,
  `keyword` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `deleted_index` (`deleted`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=411 ;

-- --------------------------------------------------------

--
-- Table structure for table `Keyword_researcharea`
--

CREATE TABLE IF NOT EXISTS `Keyword_researcharea` (
  `Keyword_id` bigint(20) NOT NULL,
  `researchAreas_id` bigint(20) NOT NULL,
  KEY `FKF8C66F5E98ED461` (`Keyword_id`),
  KEY `FKF8C66F5E6F20ECBC` (`researchAreas_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `Language`
--

CREATE TABLE IF NOT EXISTS `Language` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Table structure for table `MailEvent_nonUserRecipients`
--

CREATE TABLE IF NOT EXISTS `MailEvent_nonUserRecipients` (
  `MailEvent_id` bigint(20) NOT NULL,
  `nonUserRecipients` varchar(255) DEFAULT NULL,
  KEY `FKD7F8996D0814DF5` (`MailEvent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `mail_event`
--

CREATE TABLE IF NOT EXISTS `mail_event` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `fromEmail` varchar(255) DEFAULT NULL,
  `fromName` varchar(255) DEFAULT NULL,
  `messageBody` longtext NOT NULL,
  `notificationEventType` varchar(255) DEFAULT NULL,
  `subject` varchar(255) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=14116 ;

-- --------------------------------------------------------

--
-- Table structure for table `mail_event_recipients`
--

CREATE TABLE IF NOT EXISTS `mail_event_recipients` (
  `recipients_id` bigint(20) NOT NULL,
  `mail_event_id` bigint(20) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`recipients_id`,`mail_event_id`),
  KEY `FK41091C7FE7F98C6` (`mail_event_id`),
  KEY `FK41091C7B286D1B0` (`recipients_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `mail_event_reply_to`
--

CREATE TABLE IF NOT EXISTS `mail_event_reply_to` (
  `replyTo_id` bigint(20) NOT NULL,
  `mail_event_id` bigint(20) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`replyTo_id`),
  KEY `FK51C5EF7DFE7F98C6` (`mail_event_id`),
  KEY `FK51C5EF7D72821865` (`replyTo_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `milestone`
--

CREATE TABLE IF NOT EXISTS `milestone` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `confirmed` tinyint(1) NOT NULL,
  `activity_id` bigint(20) NOT NULL,
  `project_id` bigint(20) DEFAULT NULL,
  `student_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FKC0841970667E5A5E` (`activity_id`),
  KEY `FKC0841970C1813915` (`project_id`),
  KEY `FKC08419709BD14DD5` (`student_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=61 ;

-- --------------------------------------------------------

--
-- Table structure for table `milestone_activity`
--

CREATE TABLE IF NOT EXISTS `milestone_activity` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `deleted` tinyint(1) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `title` varchar(255) NOT NULL,
  `type` varchar(255) DEFAULT NULL,
  `code` varchar(255) DEFAULT NULL,
  `sortOrder` int(11) DEFAULT NULL,
  `phase` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `code` (`code`),
  KEY `deleted_index` (`deleted`),
  KEY `FK42DAA8FE233E1A72` (`phase`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=17 ;

-- --------------------------------------------------------

--
-- Table structure for table `milestone_activity_project_class`
--

CREATE TABLE IF NOT EXISTS `milestone_activity_project_class` (
  `milestone_activity_id` bigint(20) NOT NULL,
  `projectClasses_id` bigint(20) NOT NULL,
  PRIMARY KEY (`milestone_activity_id`,`projectClasses_id`),
  KEY `FKFB3FC75157F6B071` (`projectClasses_id`),
  KEY `FKFB3FC75180E42A0F` (`milestone_activity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `milestone_phase`
--

CREATE TABLE IF NOT EXISTS `milestone_phase` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `deleted` tinyint(1) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `title` varchar(255) NOT NULL,
  `sortOrder` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `deleted_index` (`deleted`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `newidea`
--

CREATE TABLE IF NOT EXISTS `newidea` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `description` longtext,
  `externalSupervisorInfo` longtext,
  `prerequisites` longtext,
  `title` longtext NOT NULL,
  `type` varchar(255) DEFAULT NULL,
  `practicalHow` longtext,
  `theoryHow` longtext,
  `what` longtext,
  `why` longtext,
  `applicationPeriod_id` bigint(20) DEFAULT NULL,
  `creator_id` bigint(20) NOT NULL,
  `language_id` bigint(20) DEFAULT NULL,
  `match_id` bigint(20) DEFAULT NULL,
  `project_id` bigint(20) DEFAULT NULL,
  `projectClass_id` bigint(20) NOT NULL,
  `researchArea_id` bigint(20) DEFAULT NULL,
  `suggestedReviewer_id` bigint(20) DEFAULT NULL,
  `published` bit(1) NOT NULL DEFAULT b'1',
  PRIMARY KEY (`id`),
  KEY `FK6E051897C1813915` (`project_id`),
  KEY `FK6E051897B9431B73` (`match_id`),
  KEY `FK6E051897BEC322C1` (`applicationPeriod_id`),
  KEY `FK6E051897E20156A5` (`suggestedReviewer_id`),
  KEY `FK6E051897B2B6081F` (`projectClass_id`),
  KEY `FK6E0518974E257FBF` (`researchArea_id`),
  KEY `FK6E051897E44F4DBE` (`creator_id`),
  KEY `FK6E0518973BE9881F` (`language_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=581 ;

-- --------------------------------------------------------

--
-- Table structure for table `newidea_export`
--

CREATE TABLE IF NOT EXISTS `newidea_export` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `reason` varchar(255) DEFAULT NULL,
  `result` varchar(255) DEFAULT NULL,
  `idea_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK68FA705CFCDADF61` (`idea_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=56 ;

-- --------------------------------------------------------

--
-- Table structure for table `newidea_first_meeting`
--

CREATE TABLE IF NOT EXISTS `newidea_first_meeting` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `description` longtext,
  `firstMeetingDate` datetime NOT NULL,
  `idea_id` bigint(20) NOT NULL,
  `room` longtext NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idea_id` (`idea_id`),
  UNIQUE KEY `UK_k4m4tupnikallbq3cq3llvlmk` (`idea_id`),
  KEY `FK9393AA04FCDADF61` (`idea_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=286 ;

-- --------------------------------------------------------

--
-- Table structure for table `newidea_Keyword`
--

CREATE TABLE IF NOT EXISTS `newidea_Keyword` (
  `newidea_id` bigint(20) NOT NULL,
  `keywords_id` bigint(20) NOT NULL,
  PRIMARY KEY (`newidea_id`,`keywords_id`),
  KEY `FK3707EE21BD1521C1` (`newidea_id`),
  KEY `FK3707EE21AE316F00` (`keywords_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `newidea_match`
--

CREATE TABLE IF NOT EXISTS `newidea_match` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `status` varchar(255) DEFAULT NULL,
  `changedBy_id` bigint(20) DEFAULT NULL,
  `idea_id` bigint(20) NOT NULL,
  `supervisor_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK87EA481DFCDADF61` (`idea_id`),
  KEY `FK87EA481DBCA56165` (`supervisor_id`),
  KEY `FK87EA481DA89FFB7F` (`changedBy_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=819 ;

-- --------------------------------------------------------

--
-- Table structure for table `newidea_student`
--

CREATE TABLE IF NOT EXISTS `newidea_student` (
  `confirmed` bit(1) DEFAULT NULL,
  `dateCreated` datetime NOT NULL,
  `role_id` bigint(20) NOT NULL DEFAULT '0',
  `idea_id` bigint(20) NOT NULL DEFAULT '0',
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `program_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK9458BA93FCDADF61` (`idea_id`),
  KEY `FK9458BA932B6C61BA` (`role_id`),
  KEY `FK_c5py593l4g261jdkuvwdmcmgj` (`program_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=752 ;

-- --------------------------------------------------------

--
-- Table structure for table `NonWorkDayPeriod`
--

CREATE TABLE IF NOT EXISTS `NonWorkDayPeriod` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `comment` varchar(255) NOT NULL,
  `endDate` datetime NOT NULL,
  `startDate` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=14 ;

-- --------------------------------------------------------

--
-- Table structure for table `Notification`
--

CREATE TABLE IF NOT EXISTS `Notification` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `absoluteURL` varchar(255) NOT NULL,
  `unread` bit(1) NOT NULL,
  `notificationData_id` bigint(20) DEFAULT NULL,
  `user_id` bigint(20) DEFAULT NULL,
  `mailed` bit(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK2D45DD0B895349BF` (`user_id`),
  KEY `FK2D45DD0B599425F6` (`notificationData_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=14456 ;

-- --------------------------------------------------------

--
-- Table structure for table `NotificationData`
--

CREATE TABLE IF NOT EXISTS `NotificationData` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `DTYPE` varchar(31) NOT NULL,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `type` varchar(255) DEFAULT NULL,
  `event` varchar(255) DEFAULT NULL,
  `project_id` bigint(20) DEFAULT NULL,
  `seminar_id` bigint(20) DEFAULT NULL,
  `idea_id` bigint(20) DEFAULT NULL,
  `source` varchar(1000) DEFAULT NULL,
  `review_id` bigint(20) DEFAULT NULL,
  `request_id` bigint(20) DEFAULT NULL,
  `causedBy_id` bigint(20) DEFAULT NULL,
  `additionalSource` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK2DCAC3554D07E0A9` (`seminar_id`),
  KEY `FK2DCAC355C1813915` (`project_id`),
  KEY `FK2DCAC35542E9AC7B` (`review_id`),
  KEY `FK2DCAC3558D40D1B9` (`request_id`),
  KEY `FK2DCAC355B2E2AD78` (`causedBy_id`),
  KEY `FK2DCAC355FCDADF61` (`idea_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5584 ;

-- --------------------------------------------------------

--
-- Table structure for table `notification_delivery_configuration`
--

CREATE TABLE IF NOT EXISTS `notification_delivery_configuration` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `event` varchar(32) NOT NULL,
  `method` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `user_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `one_setting_per_user` (`type`,`event`,`method`,`user_id`),
  KEY `FK7B2EE5BF895349BF` (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=166 ;

-- --------------------------------------------------------

--
-- Table structure for table `notification_event_configuration`
--

CREATE TABLE IF NOT EXISTS `notification_event_configuration` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `event` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `type` (`type`,`event`),
  UNIQUE KEY `one_description_per_event` (`type`,`event`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Table structure for table `notification_receiver_configuration`
--

CREATE TABLE IF NOT EXISTS `notification_receiver_configuration` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `event` varchar(255) NOT NULL,
  `member` varchar(255) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `one_setting_per_role` (`type`,`event`,`member`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=194 ;

-- --------------------------------------------------------

--
-- Table structure for table `Password`
--

CREATE TABLE IF NOT EXISTS `Password` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `deleted` bit(1) NOT NULL,
  `hash` tinyblob,
  `salt` tinyblob,
  `user_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `user_id` (`user_id`),
  UNIQUE KEY `UK_43erxladp39q03wrco68hi9iq` (`user_id`),
  KEY `FK4C641EBB895349BF` (`user_id`),
  KEY `deleted_index` (`deleted`),
  KEY `FK_43erxladp39q03wrco68hi9iq` (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=11 ;

-- --------------------------------------------------------

--
-- Table structure for table `peer_request`
--

CREATE TABLE IF NOT EXISTS `peer_request` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `deleted` bit(1) NOT NULL,
  `comment` longtext,
  `status` varchar(255) NOT NULL,
  `file_id` bigint(20) DEFAULT NULL,
  `project_id` bigint(20) NOT NULL,
  `requester_id` bigint(20) NOT NULL,
  `checkListTemplate_id` bigint(20) DEFAULT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `FK514488B2F3860A99` (`file_id`),
  KEY `FK514488B2C1813915` (`project_id`),
  KEY `FK514488B2275CA4F4` (`requester_id`),
  KEY `deleted_index` (`deleted`),
  KEY `checkListTemplate_index` (`checkListTemplate_id`),
  KEY `FK514488B2869F0235` (`checkListTemplate_id`),
  KEY `FK_e2s20f9ga6lgxa0r2uldjt4q` (`file_id`),
  KEY `FK_ppnisfed4ipbg17rts8vbuqt8` (`project_id`),
  KEY `FK_ihqq9n3eb7ycvd5ggjxx5wn38` (`requester_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1145 ;

-- --------------------------------------------------------

--
-- Table structure for table `peer_review`
--

CREATE TABLE IF NOT EXISTS `peer_review` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `deleted` bit(1) NOT NULL,
  `aborted` bit(1) NOT NULL,
  `comment` longtext,
  `submitted` bit(1) NOT NULL,
  `file_id` bigint(20) DEFAULT NULL,
  `peerRequest_id` bigint(20) NOT NULL,
  `project_id` bigint(20) NOT NULL,
  `reviewer_id` bigint(20) NOT NULL,
  `abortReason` longtext,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `FKB00C90D5F3860A99` (`file_id`),
  KEY `FKB00C90D5CEE8709B` (`peerRequest_id`),
  KEY `FKB00C90D5C1813915` (`project_id`),
  KEY `FKB00C90D52ABD35CB` (`reviewer_id`),
  KEY `deleted_index` (`deleted`),
  KEY `FK_6vrh7sr7twvhsjrrs8rhefxt3` (`file_id`),
  KEY `FK_9ke7armwg3tfnghmschgo011f` (`peerRequest_id`),
  KEY `FK_n5wj0qsev5cf8acm0xhfrqlpg` (`project_id`),
  KEY `FK_9xy59w1sbydtuplendcthlhu5` (`reviewer_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1038 ;

-- --------------------------------------------------------

--
-- Table structure for table `Program`
--

CREATE TABLE IF NOT EXISTS `Program` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `externalId` bigint(20) DEFAULT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `project`
--

CREATE TABLE IF NOT EXISTS `project` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `identifier` bigint(20) DEFAULT NULL,
  `projectStatus` varchar(255) DEFAULT NULL,
  `stateOfMind` varchar(255) DEFAULT NULL,
  `title` varchar(255) NOT NULL,
  `headSupervisor_id` bigint(20) DEFAULT NULL,
  `projectClass_id` bigint(20) NOT NULL,
  `daisyStartDate` datetime DEFAULT NULL,
  `statusMessage` varchar(255) NOT NULL,
  `stateOfMindDate` datetime DEFAULT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  `externalOrganization` varchar(255) DEFAULT NULL,
  `fs_rule_exmpt` bit(1) NOT NULL DEFAULT b'0',
  `stateOfMindReason` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `identifier` (`identifier`),
  KEY `FKED904B19C6FA1F85` (`headSupervisor_id`),
  KEY `FKED904B19B2B6081F` (`projectClass_id`),
  KEY `FK_6k74jgcmji5vo3lheg4npoaql` (`headSupervisor_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3632 ;

-- --------------------------------------------------------

--
-- Table structure for table `projectPartner`
--

CREATE TABLE IF NOT EXISTS `projectPartner` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `infotext` longtext NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `projectClass_id` bigint(20) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `FK1882B6F895349BF` (`user_id`),
  KEY `FK_2ar5my1wm4p3uevf1xrrv4cgd` (`projectClass_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=83 ;

-- --------------------------------------------------------

--
-- Table structure for table `project_checklist`
--

CREATE TABLE IF NOT EXISTS `project_checklist` (
  `project_id` bigint(20) NOT NULL,
  `checkLists_id` bigint(20) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  UNIQUE KEY `checkLists_id` (`checkLists_id`),
  UNIQUE KEY `UK_df8pnqoo65pt2wn0jaanpl4ej` (`checkLists_id`),
  KEY `FK8351CC00C1813915` (`project_id`),
  KEY `FK8351CC005785440E` (`checkLists_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `project_class`
--

CREATE TABLE IF NOT EXISTS `project_class` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `deleted` bit(1) NOT NULL,
  `code` varchar(255) NOT NULL,
  `description` longtext,
  `name` varchar(255) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `code` (`code`),
  KEY `deleted_index` (`deleted`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Table structure for table `project_class_settings`
--

CREATE TABLE IF NOT EXISTS `project_class_settings` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `numDaysBeforePeerRequestPriority` int(11) NOT NULL,
  `numDaysBetweenPeerReviewsOnSameProject` int(11) NOT NULL,
  `numDaysToSubmitPeerReview` int(11) NOT NULL,
  `projectClass_id` bigint(20) NOT NULL,
  `numDaysBeforePeerGetsCancelled` int(11) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  `minAuthors` int(11) NOT NULL DEFAULT '1',
  `maxAuthors` int(11) NOT NULL DEFAULT '2',
  `maxFinalSeminarActiveParticipation` int(11) NOT NULL,
  `maxOpponentsOnFinalSeminar` int(11) NOT NULL,
  `minFinalSeminarActiveParticipation` int(11) NOT NULL,
  `minOpponentsOnFinalSeminar` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `projectClass_id` (`projectClass_id`),
  UNIQUE KEY `UK_oxqyb1t8jo7cq2fx8j9slvloa` (`projectClass_id`),
  KEY `FK3918D8F0B2B6081F` (`projectClass_id`),
  KEY `FK_oxqyb1t8jo7cq2fx8j9slvloa` (`projectClass_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Table structure for table `project_event_template`
--

CREATE TABLE IF NOT EXISTS `project_event_template` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `description` longtext,
  `estimatedTimeConsumption` bigint(20) NOT NULL,
  `numberInOrder` int(11) NOT NULL,
  `requireHandIn` bit(1) NOT NULL,
  `title` varchar(255) NOT NULL,
  `scheduleTemplate_id` bigint(20) DEFAULT NULL,
  `templateCreator_id` bigint(20) DEFAULT NULL,
  `daysOffset` int(11) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  `checkListTemplate_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FKD443466587849B8` (`templateCreator_id`),
  KEY `FKD4434665C5FC509F` (`scheduleTemplate_id`),
  KEY `checkListTemplate_index` (`checkListTemplate_id`),
  KEY `FK_667ye6la0yb5obk64v21knimn` (`checkListTemplate_id`),
  KEY `FK_ca5bhq3i6p2g292fo5l4fqtf` (`scheduleTemplate_id`),
  KEY `FK_p8buy8evr4g6u8nkbml0mdf1v` (`templateCreator_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=543 ;

-- --------------------------------------------------------

--
-- Table structure for table `project_follower`
--

CREATE TABLE IF NOT EXISTS `project_follower` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `deleted` bit(1) NOT NULL,
  `projectRole` varchar(255) DEFAULT NULL,
  `follower_id` bigint(20) NOT NULL,
  `project_id` bigint(20) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `FKCB227284AFEBDC67` (`follower_id`),
  KEY `FKCB227284C1813915` (`project_id`),
  KEY `deleted_index` (`deleted`),
  KEY `FK_h49g8tc2d8q69y3i66nj404h7` (`follower_id`),
  KEY `FK_k48hlfgvhd22aklm6j82g1xpr` (`project_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3734 ;

-- --------------------------------------------------------

--
-- Table structure for table `project_schedule`
--

CREATE TABLE IF NOT EXISTS `project_schedule` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `locked` bit(1) NOT NULL,
  `project_id` bigint(20) NOT NULL,
  `startDate` datetime DEFAULT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `project_id` (`project_id`),
  UNIQUE KEY `UK_86kwi5nttd0rkmu2nvxgdx984` (`project_id`),
  KEY `FK8F8BE4FDC1813915` (`project_id`),
  KEY `FK_86kwi5nttd0rkmu2nvxgdx984` (`project_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=394 ;

-- --------------------------------------------------------

--
-- Table structure for table `project_schedule_event`
--

CREATE TABLE IF NOT EXISTS `project_schedule_event` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `deleted` bit(1) NOT NULL,
  `date` datetime NOT NULL,
  `description` longtext NOT NULL,
  `name` varchar(500) NOT NULL,
  `uploadRequired` bit(1) NOT NULL,
  `checkList_id` bigint(20) DEFAULT NULL,
  `creator_id` bigint(20) NOT NULL,
  `fileUpload_id` bigint(20) DEFAULT NULL,
  `projectSchedule_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `projectSchedule_id_index` (`projectSchedule_id`),
  KEY `checkList_id_index` (`checkList_id`),
  KEY `creator_id_index` (`creator_id`),
  KEY `fileUpload_id_index` (`fileUpload_id`),
  KEY `deleted_index` (`deleted`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7649 ;

-- --------------------------------------------------------

--
-- Table structure for table `project_student`
--

CREATE TABLE IF NOT EXISTS `project_student` (
  `project_id` bigint(20) NOT NULL,
  `projectParticipants_id` bigint(20) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`project_id`,`projectParticipants_id`),
  KEY `FK1524B15F3CA217` (`projectParticipants_id`),
  KEY `FK1524B15C1813915` (`project_id`),
  KEY `FK_o3axkuf5be8j9tvi46b5uovdd` (`project_id`),
  KEY `FK_4pw7xshosdbluw0g7t4n972ev` (`projectParticipants_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `question`
--

CREATE TABLE IF NOT EXISTS `question` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `question` longtext NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6950 ;

-- --------------------------------------------------------

--
-- Table structure for table `researcharea`
--

CREATE TABLE IF NOT EXISTS `researcharea` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `identifier` bigint(20) DEFAULT NULL,
  `title` varchar(255) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  `deleted` bit(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `identifier` (`identifier`),
  KEY `deleted_index` (`deleted`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=25 ;

-- --------------------------------------------------------

--
-- Table structure for table `review_rating`
--

CREATE TABLE IF NOT EXISTS `review_rating` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `peerReview_id` bigint(20) NOT NULL,
  `rating` double NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `peerReview_id` (`peerReview_id`),
  UNIQUE KEY `UK_d8vjux42hpcawkf6k49des3my` (`peerReview_id`),
  KEY `FK452A44642C41A959` (`peerReview_id`),
  KEY `FK_d8vjux42hpcawkf6k49des3my` (`peerReview_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `role`
--

CREATE TABLE IF NOT EXISTS `role` (
  `rolename` varchar(8) NOT NULL,
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `deleted` bit(1) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  `unit_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `user_id` (`user_id`,`rolename`),
  UNIQUE KEY `role_is_unique` (`user_id`,`rolename`),
  KEY `FK358076895349BF` (`user_id`),
  KEY `deleted_index` (`deleted`),
  KEY `FK_1vd9v6smpu103gmeu6fddfk2s` (`unit_id`),
  KEY `FK_kyiccjhffirji07hqfrsgtoig` (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=60599 ;

-- --------------------------------------------------------

--
-- Table structure for table `role_Program`
--

CREATE TABLE IF NOT EXISTS `role_Program` (
  `role_id` bigint(20) NOT NULL,
  `programs_id` bigint(20) NOT NULL,
  PRIMARY KEY (`role_id`,`programs_id`),
  KEY `FK_i1i38rcos28p2hu4xgel3ftcw` (`programs_id`),
  KEY `FK_90cvbm5wx89wvlqnkq3vusner` (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `schedule_template`
--

CREATE TABLE IF NOT EXISTS `schedule_template` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `isSysAdminTemplate` bit(1) NOT NULL,
  `templateDescription` longtext,
  `templateName` varchar(255) NOT NULL,
  `creator_id` bigint(20) NOT NULL,
  `projectClass_id` bigint(20) DEFAULT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `FKACCF6522B2B6081F` (`projectClass_id`),
  KEY `FKACCF6522E44F4DBE` (`creator_id`),
  KEY `FK_rgwf80yvcy2msbb6g80bae10p` (`creator_id`),
  KEY `FK_s8jm2o7uguo5wcjd41bheteu6` (`projectClass_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=55 ;

-- --------------------------------------------------------

--
-- Table structure for table `settings_date`
--

CREATE TABLE IF NOT EXISTS `settings_date` (
  `style` varchar(255) NOT NULL,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `format` varchar(255) NOT NULL,
  PRIMARY KEY (`style`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `SupervisorNotificationSettings`
--

CREATE TABLE IF NOT EXISTS `SupervisorNotificationSettings` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `mailNotifyConferenceComment` bit(1) NOT NULL,
  `mailNotifyConferencePost` bit(1) NOT NULL,
  `mailPeerReviewAborted` bit(1) NOT NULL,
  `mailPeerReviewCompleted` bit(1) NOT NULL,
  `employee_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK5863DDD65FCBC05F` (`employee_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=104 ;

-- --------------------------------------------------------

--
-- Table structure for table `target`
--

CREATE TABLE IF NOT EXISTS `target` (
  `applicationPeriodId` bigint(20) NOT NULL,
  `employeeId` bigint(20) NOT NULL,
  `projectClassId` bigint(20) NOT NULL,
  `target` int(11) NOT NULL,
  PRIMARY KEY (`applicationPeriodId`,`employeeId`,`projectClassId`),
  KEY `FKCB7E71913353DC5C` (`employeeId`),
  KEY `FKCB7E7191A520201E` (`projectClassId`),
  KEY `FKCB7E7191790761A4` (`applicationPeriodId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `turnitincheck`
--

CREATE TABLE IF NOT EXISTS `turnitincheck` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `hash` longblob,
  `fileDescription_id` bigint(20) DEFAULT NULL,
  `turnItInId` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK32D6DF9B460E9895` (`fileDescription_id`),
  KEY `FK_cqi2extqeqiycldjlfe7afx3j` (`fileDescription_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=226 ;

-- --------------------------------------------------------

--
-- Table structure for table `TurnitinSettings`
--

CREATE TABLE IF NOT EXISTS `TurnitinSettings` (
  `id` bigint(20) NOT NULL,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `accountNo` int(11) NOT NULL,
  `assignmentName` varchar(255) NOT NULL,
  `className` varchar(255) NOT NULL,
  `classNo` int(11) NOT NULL,
  `expirationContent` longtext,
  `expirationDate` datetime DEFAULT NULL,
  `firstName` varchar(255) NOT NULL,
  `lastName` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `sharedKey` varchar(255) NOT NULL,
  `username` varchar(255) NOT NULL,
  `lastFailedDate` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `TurnitinSettings_expirationMails`
--

CREATE TABLE IF NOT EXISTS `TurnitinSettings_expirationMails` (
  `TurnitinSettings_id` bigint(20) NOT NULL,
  `expirationMails` varchar(255) DEFAULT NULL,
  KEY `FKD2343EDE5AC3183F` (`TurnitinSettings_id`),
  KEY `FK_lji32bekgobx76otvw7syu4hb` (`TurnitinSettings_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `unit`
--

CREATE TABLE IF NOT EXISTS `unit` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `identifier` bigint(20) DEFAULT NULL,
  `title` varchar(255) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `identifier` (`identifier`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2947 ;

-- --------------------------------------------------------

--
-- Table structure for table `user`
--

CREATE TABLE IF NOT EXISTS `user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `deleted` bit(1) NOT NULL,
  `emailAddress` varchar(255) DEFAULT NULL,
  `firstName` varchar(255) DEFAULT NULL,
  `identifier` bigint(20) DEFAULT NULL,
  `lastName` varchar(255) DEFAULT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  `password_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `identifier` (`identifier`),
  KEY `deleted_index` (`deleted`),
  KEY `FK_hpmviec1b7vdg23xtxsalwxw8` (`password_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=18235 ;

-- --------------------------------------------------------

--
-- Table structure for table `username`
--

CREATE TABLE IF NOT EXISTS `username` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `realm` varchar(255) NOT NULL,
  `username` varchar(255) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`,`realm`),
  UNIQUE KEY `UK_s525no5d53h1qncd9n3vp3nfw` (`username`,`realm`),
  KEY `FKF02988D6895349BF` (`user_id`),
  KEY `FK_17moq4bksxe30ihucce3jovdc` (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=45156 ;

-- --------------------------------------------------------

--
-- Table structure for table `user_profile`
--

CREATE TABLE IF NOT EXISTS `user_profile` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `otherInfo` varchar(255) DEFAULT NULL,
  `phoneNumber` varchar(255) DEFAULT NULL,
  `skypeId` varchar(255) DEFAULT NULL,
  `user_id` bigint(20) NOT NULL,
  `mailCompilation` tinyint(1) NOT NULL,
  `threadedForum` tinyint(1) NOT NULL DEFAULT '1',
  `sortLatestForumPost` tinyint(1) NOT NULL DEFAULT '1',
  `expandProjectDetails` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `user_id` (`user_id`),
  UNIQUE KEY `UK_ebc21hy5j7scdvcjt0jy6xxrv` (`user_id`),
  KEY `FK487E2135895349BF` (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=797 ;

-- --------------------------------------------------------

--
-- Table structure for table `user_settings`
--

CREATE TABLE IF NOT EXISTS `user_settings` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `activeProject_id` bigint(20) DEFAULT NULL,
  `user_id` bigint(20) NOT NULL,
  `apiKey` varchar(255) DEFAULT NULL,
  `available` bit(1) NOT NULL,
  `iPhoneId` varchar(255) DEFAULT NULL,
  `statusMessage` longtext,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `user_id` (`user_id`),
  UNIQUE KEY `UK_4bos7satl9xeqd18frfeqg6tt` (`user_id`),
  KEY `FK588616176FFA289B` (`activeProject_id`),
  KEY `FK58861617895349BF` (`user_id`),
  KEY `FK_h9hl3b7rscn09u0k0ik18eprg` (`activeProject_id`),
  KEY `FK_4bos7satl9xeqd18frfeqg6tt` (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1765 ;

-- --------------------------------------------------------

--
-- Table structure for table `worker_data`
--

CREATE TABLE IF NOT EXISTS `worker_data` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `lastRun` datetime NOT NULL,
  `lastSuccessfulRun` datetime DEFAULT '2011-11-28 01:00:00',
  `name` varchar(255) NOT NULL,
  `version` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=19 ;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `answer`
--
ALTER TABLE `answer`
  ADD CONSTRAINT `FK_eix9du6u2r4wxwu415wq8yb99` FOREIGN KEY (`question_id`) REFERENCES `question` (`id`),
  ADD CONSTRAINT `FK_64r70sbiishrkuj1vn87vo53k` FOREIGN KEY (`peerReview_id`) REFERENCES `peer_review` (`id`);

--
-- Constraints for table `applicationperiodexemption`
--
ALTER TABLE `applicationperiodexemption`
  ADD CONSTRAINT `FK_4p3he5fymtmdgbkl3xwrodq36` FOREIGN KEY (`grantedBy_id`) REFERENCES `user` (`id`),
  ADD CONSTRAINT `FK34182FD8790761A4` FOREIGN KEY (`applicationPeriodId`) REFERENCES `ApplicationPeriod` (`id`),
  ADD CONSTRAINT `FKCB7E71913353DC5C` FOREIGN KEY (`studentId`) REFERENCES `role` (`id`);

--
-- Constraints for table `ApplicationPeriod_project_class`
--
ALTER TABLE `ApplicationPeriod_project_class`
  ADD CONSTRAINT `FK97FDEC24B2B6081F` FOREIGN KEY (`projectClass_id`) REFERENCES `project_class` (`id`),
  ADD CONSTRAINT `FK97FDEC24BEC322C1` FOREIGN KEY (`ApplicationPeriod_id`) REFERENCES `ApplicationPeriod` (`id`);

--
-- Constraints for table `checklist`
--
ALTER TABLE `checklist`
  ADD CONSTRAINT `FK17CCD1A6C1813915` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`);

--
-- Constraints for table `CheckListTemplate_questions`
--
ALTER TABLE `CheckListTemplate_questions`
  ADD CONSTRAINT `FK872F7C0E869F0235` FOREIGN KEY (`CheckListTemplate_id`) REFERENCES `checklist_template` (`id`);

--
-- Constraints for table `checklist_answer`
--
ALTER TABLE `checklist_answer`
  ADD CONSTRAINT `FK49936477895349BF` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`);

--
-- Constraints for table `checklist_checklist_category`
--
ALTER TABLE `checklist_checklist_category`
  ADD CONSTRAINT `FK54F86EB01F327355` FOREIGN KEY (`checklist_id`) REFERENCES `checklist` (`id`),
  ADD CONSTRAINT `FK54F86EB08725F1D` FOREIGN KEY (`categories_id`) REFERENCES `checklist_category` (`id`);

--
-- Constraints for table `checklist_checklist_question`
--
ALTER TABLE `checklist_checklist_question`
  ADD CONSTRAINT `FKC77ED981F327355` FOREIGN KEY (`checklist_id`) REFERENCES `checklist` (`id`),
  ADD CONSTRAINT `FKC77ED98C64F9D54` FOREIGN KEY (`questions_id`) REFERENCES `checklist_question` (`id`);

--
-- Constraints for table `checklist_question_checklist_answer`
--
ALTER TABLE `checklist_question_checklist_answer`
  ADD CONSTRAINT `FK86395A574BFBD702` FOREIGN KEY (`checklist_question_id`) REFERENCES `checklist_question` (`id`),
  ADD CONSTRAINT `FK86395A5787D18D44` FOREIGN KEY (`answers_id`) REFERENCES `checklist_answer` (`id`);

--
-- Constraints for table `checklist_template`
--
ALTER TABLE `checklist_template`
  ADD CONSTRAINT `FK14DA6F3E44F4DBE` FOREIGN KEY (`creator_id`) REFERENCES `user` (`id`);

--
-- Constraints for table `checklist_template_checklist_category`
--
ALTER TABLE `checklist_template_checklist_category`
  ADD CONSTRAINT `FK4E82F44372B51E82` FOREIGN KEY (`checklist_template_id`) REFERENCES `checklist_template` (`id`),
  ADD CONSTRAINT `FK4E82F4438725F1D` FOREIGN KEY (`categories_id`) REFERENCES `checklist_category` (`id`);

--
-- Constraints for table `CheckList_userLastOpenDate`
--
ALTER TABLE `CheckList_userLastOpenDate`
  ADD CONSTRAINT `FKF7E07AB21F327355` FOREIGN KEY (`CheckList_id`) REFERENCES `checklist` (`id`),
  ADD CONSTRAINT `FKF7E07AB26D025A9` FOREIGN KEY (`userLastOpenDate_KEY`) REFERENCES `user` (`id`);

--
-- Constraints for table `comment`
--
ALTER TABLE `comment`
  ADD CONSTRAINT `FK38A5EE5F45F802F5` FOREIGN KEY (`commentThread_id`) REFERENCES `comment_thread` (`id`),
  ADD CONSTRAINT `FK38A5EE5FE44F4DBE` FOREIGN KEY (`creator_id`) REFERENCES `user` (`id`);

--
-- Constraints for table `Employee_Language`
--
ALTER TABLE `Employee_Language`
  ADD CONSTRAINT `FK603173EA55E687C` FOREIGN KEY (`languages_id`) REFERENCES `Language` (`id`),
  ADD CONSTRAINT `FK603173EA7B617197` FOREIGN KEY (`role_id`) REFERENCES `role` (`id`);

--
-- Constraints for table `employee_researcharea`
--
ALTER TABLE `employee_researcharea`
  ADD CONSTRAINT `employee_researcharea_key` FOREIGN KEY (`role_id`) REFERENCES `role` (`id`),
  ADD CONSTRAINT `employee_researcharea_key2` FOREIGN KEY (`researchAreas_id`) REFERENCES `researcharea` (`id`);

--
-- Constraints for table `FinalSeminarSettings_punishMails`
--
ALTER TABLE `FinalSeminarSettings_punishMails`
  ADD CONSTRAINT `FK373B1D06BB47DEDF` FOREIGN KEY (`FinalSeminarSettings_id`) REFERENCES `FinalSeminarSettings` (`id`);

--
-- Constraints for table `final_seminar`
--
ALTER TABLE `final_seminar`
  ADD CONSTRAINT `FK_rv1p7wl0dnj25saiarmk55yvr` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`),
  ADD CONSTRAINT `FK49900D2873048D7F` FOREIGN KEY (`examiner_id`) REFERENCES `role` (`id`),
  ADD CONSTRAINT `FK_41udcn88r6uugt3ptbelflph6` FOREIGN KEY (`document_id`) REFERENCES `file_description` (`id`);

--
-- Constraints for table `final_seminar_active_participation`
--
ALTER TABLE `final_seminar_active_participation`
  ADD CONSTRAINT `FK_hf9puequi3ygf518hi6b1js2m` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`),
  ADD CONSTRAINT `FK_3si3rx7tv6ke9oeiq0hts3lm0` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`),
  ADD CONSTRAINT `FK_mk920fce29yhjgv33wr69fe8a` FOREIGN KEY (`finalSeminar_id`) REFERENCES `final_seminar` (`id`);

--
-- Constraints for table `final_seminar_opposition`
--
ALTER TABLE `final_seminar_opposition`
  ADD CONSTRAINT `FK_hilhyo3tgq89pm27i4pxjaua` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`),
  ADD CONSTRAINT `FK_62i59u7j6x5ma0iydx9no6m4i` FOREIGN KEY (`finalSeminar_id`) REFERENCES `final_seminar` (`id`),
  ADD CONSTRAINT `FK_7j5k6jia1rrgxkmish6153hfp` FOREIGN KEY (`opponentReport_id`) REFERENCES `file_description` (`id`),
  ADD CONSTRAINT `FK_esjegfl5vokjy9u63u1dh1muh` FOREIGN KEY (`opponent_id`) REFERENCES `role` (`id`);

--
-- Constraints for table `final_seminar_thesis_review`
--
ALTER TABLE `final_seminar_thesis_review`
  ADD CONSTRAINT `FKE045D5541AAF75F1` FOREIGN KEY (`thesisReview_id`) REFERENCES `file_description` (`id`),
  ADD CONSTRAINT `FKE045D554D1E6703C` FOREIGN KEY (`uploader_id`) REFERENCES `user` (`id`),
  ADD CONSTRAINT `FKE045D554F583C69F` FOREIGN KEY (`finalSeminar_id`) REFERENCES `final_seminar` (`id`);

--
-- Constraints for table `forum_posts`
--
ALTER TABLE `forum_posts`
  ADD CONSTRAINT `FKEDDC4F35CCABB192` FOREIGN KEY (`attachment_id`) REFERENCES `file_description` (`id`),
  ADD CONSTRAINT `FKEDDC4F355E9380A1` FOREIGN KEY (`thread`) REFERENCES `forum_threads` (`id`),
  ADD CONSTRAINT `FKEDDC4F35924F477B` FOREIGN KEY (`user`) REFERENCES `user` (`id`);

--
-- Constraints for table `forum_posts_read`
--
ALTER TABLE `forum_posts_read`
  ADD CONSTRAINT `FK8A5DFC60924F477B` FOREIGN KEY (`user`) REFERENCES `user` (`id`),
  ADD CONSTRAINT `FK8A5DFC60DD74550D` FOREIGN KEY (`post`) REFERENCES `forum_posts` (`id`);

--
-- Constraints for table `forum_threads`
--
ALTER TABLE `forum_threads`
  ADD CONSTRAINT `FKAF97368B247CE02D` FOREIGN KEY (`project`) REFERENCES `project` (`id`),
  ADD CONSTRAINT `FKAF97368B924F477B` FOREIGN KEY (`user`) REFERENCES `user` (`id`);

--
-- Constraints for table `general_system_settings_alarm_recipients`
--
ALTER TABLE `general_system_settings_alarm_recipients`
  ADD CONSTRAINT `FK3C9272B2AC37675` FOREIGN KEY (`GeneralSystemSettings_id`) REFERENCES `general_system_settings` (`id`);

--
-- Constraints for table `general_system_settings_supervisor_change_recipients`
--
ALTER TABLE `general_system_settings_supervisor_change_recipients`
  ADD CONSTRAINT `FK7DA712D52AC37675` FOREIGN KEY (`GeneralSystemSettings_id`) REFERENCES `general_system_settings` (`id`);

--
-- Constraints for table `Keyword_researcharea`
--
ALTER TABLE `Keyword_researcharea`
  ADD CONSTRAINT `FKF8C66F5E6F20ECBC` FOREIGN KEY (`researchAreas_id`) REFERENCES `researcharea` (`id`),
  ADD CONSTRAINT `FKF8C66F5E98ED461` FOREIGN KEY (`Keyword_id`) REFERENCES `Keyword` (`id`);

--
-- Constraints for table `MailEvent_nonUserRecipients`
--
ALTER TABLE `MailEvent_nonUserRecipients`
  ADD CONSTRAINT `FKD7F8996D0814DF5` FOREIGN KEY (`MailEvent_id`) REFERENCES `mail_event` (`id`);

--
-- Constraints for table `mail_event_recipients`
--
ALTER TABLE `mail_event_recipients`
  ADD CONSTRAINT `FK41091C7B286D1B0` FOREIGN KEY (`recipients_id`) REFERENCES `user` (`id`),
  ADD CONSTRAINT `FK41091C7FE7F98C6` FOREIGN KEY (`mail_event_id`) REFERENCES `mail_event` (`id`);

--
-- Constraints for table `mail_event_reply_to`
--
ALTER TABLE `mail_event_reply_to`
  ADD CONSTRAINT `FK51C5EF7D72821865` FOREIGN KEY (`replyTo_id`) REFERENCES `user` (`id`),
  ADD CONSTRAINT `FK51C5EF7DFE7F98C6` FOREIGN KEY (`mail_event_id`) REFERENCES `mail_event` (`id`);

--
-- Constraints for table `milestone`
--
ALTER TABLE `milestone`
  ADD CONSTRAINT `FKC0841970667E5A5E` FOREIGN KEY (`activity_id`) REFERENCES `milestone_activity` (`id`),
  ADD CONSTRAINT `FKC08419709BD14DD5` FOREIGN KEY (`student_id`) REFERENCES `role` (`id`),
  ADD CONSTRAINT `FKC0841970C1813915` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`);

--
-- Constraints for table `milestone_activity`
--
ALTER TABLE `milestone_activity`
  ADD CONSTRAINT `FK42DAA8FE233E1A72` FOREIGN KEY (`phase`) REFERENCES `milestone_phase` (`id`);

--
-- Constraints for table `milestone_activity_project_class`
--
ALTER TABLE `milestone_activity_project_class`
  ADD CONSTRAINT `FKFB3FC75157F6B071` FOREIGN KEY (`projectClasses_id`) REFERENCES `project_class` (`id`),
  ADD CONSTRAINT `FKFB3FC75180E42A0F` FOREIGN KEY (`milestone_activity_id`) REFERENCES `milestone_activity` (`id`);

--
-- Constraints for table `newidea`
--
ALTER TABLE `newidea`
  ADD CONSTRAINT `FK6E0518973BE9881F` FOREIGN KEY (`language_id`) REFERENCES `Language` (`id`),
  ADD CONSTRAINT `FK6E0518974E257FBF` FOREIGN KEY (`researchArea_id`) REFERENCES `researcharea` (`id`),
  ADD CONSTRAINT `FK6E051897B2B6081F` FOREIGN KEY (`projectClass_id`) REFERENCES `project_class` (`id`),
  ADD CONSTRAINT `FK6E051897B9431B73` FOREIGN KEY (`match_id`) REFERENCES `newidea_match` (`id`),
  ADD CONSTRAINT `FK6E051897BEC322C1` FOREIGN KEY (`applicationPeriod_id`) REFERENCES `ApplicationPeriod` (`id`),
  ADD CONSTRAINT `FK6E051897C1813915` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`),
  ADD CONSTRAINT `FK6E051897E20156A5` FOREIGN KEY (`suggestedReviewer_id`) REFERENCES `role` (`id`),
  ADD CONSTRAINT `FK6E051897E44F4DBE` FOREIGN KEY (`creator_id`) REFERENCES `user` (`id`);

--
-- Constraints for table `newidea_export`
--
ALTER TABLE `newidea_export`
  ADD CONSTRAINT `FK68FA705CFCDADF61` FOREIGN KEY (`idea_id`) REFERENCES `newidea` (`id`);

--
-- Constraints for table `newidea_first_meeting`
--
ALTER TABLE `newidea_first_meeting`
  ADD CONSTRAINT `FK9393AA04FCDADF61` FOREIGN KEY (`idea_id`) REFERENCES `newidea` (`id`);

--
-- Constraints for table `newidea_Keyword`
--
ALTER TABLE `newidea_Keyword`
  ADD CONSTRAINT `FK3707EE21AE316F00` FOREIGN KEY (`keywords_id`) REFERENCES `Keyword` (`id`),
  ADD CONSTRAINT `FK3707EE21BD1521C1` FOREIGN KEY (`newidea_id`) REFERENCES `newidea` (`id`);

--
-- Constraints for table `newidea_match`
--
ALTER TABLE `newidea_match`
  ADD CONSTRAINT `FK87EA481DA89FFB7F` FOREIGN KEY (`changedBy_id`) REFERENCES `user` (`id`),
  ADD CONSTRAINT `FK87EA481DBCA56165` FOREIGN KEY (`supervisor_id`) REFERENCES `role` (`id`),
  ADD CONSTRAINT `FK87EA481DFCDADF61` FOREIGN KEY (`idea_id`) REFERENCES `newidea` (`id`);

--
-- Constraints for table `newidea_student`
--
ALTER TABLE `newidea_student`
  ADD CONSTRAINT `FK9458BA932B6C61BA` FOREIGN KEY (`role_id`) REFERENCES `role` (`id`),
  ADD CONSTRAINT `FK9458BA93FCDADF61` FOREIGN KEY (`idea_id`) REFERENCES `newidea` (`id`);

--
-- Constraints for table `Notification`
--
ALTER TABLE `Notification`
  ADD CONSTRAINT `FK2D45DD0B599425F6` FOREIGN KEY (`notificationData_id`) REFERENCES `NotificationData` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `FK2D45DD0B895349BF` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`);

--
-- Constraints for table `NotificationData`
--
ALTER TABLE `NotificationData`
  ADD CONSTRAINT `FK2DCAC35542E9AC7B` FOREIGN KEY (`review_id`) REFERENCES `peer_review` (`id`),
  ADD CONSTRAINT `FK2DCAC3554D07E0A9` FOREIGN KEY (`seminar_id`) REFERENCES `final_seminar` (`id`),
  ADD CONSTRAINT `FK2DCAC3558D40D1B9` FOREIGN KEY (`request_id`) REFERENCES `peer_request` (`id`) ON DELETE SET NULL,
  ADD CONSTRAINT `FK2DCAC355B2E2AD78` FOREIGN KEY (`causedBy_id`) REFERENCES `user` (`id`),
  ADD CONSTRAINT `FK2DCAC355C1813915` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`),
  ADD CONSTRAINT `FK2DCAC355FCDADF61` FOREIGN KEY (`idea_id`) REFERENCES `newidea` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `notification_delivery_configuration`
--
ALTER TABLE `notification_delivery_configuration`
  ADD CONSTRAINT `FK7B2EE5BF895349BF` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`);

--
-- Constraints for table `Password`
--
ALTER TABLE `Password`
  ADD CONSTRAINT `FK_43erxladp39q03wrco68hi9iq` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`);

--
-- Constraints for table `peer_request`
--
ALTER TABLE `peer_request`
  ADD CONSTRAINT `FK_ihqq9n3eb7ycvd5ggjxx5wn38` FOREIGN KEY (`requester_id`) REFERENCES `role` (`id`),
  ADD CONSTRAINT `FK514488B2869F0235` FOREIGN KEY (`checkListTemplate_id`) REFERENCES `checklist_template` (`id`),
  ADD CONSTRAINT `FK_e2s20f9ga6lgxa0r2uldjt4q` FOREIGN KEY (`file_id`) REFERENCES `file_description` (`id`),
  ADD CONSTRAINT `FK_ppnisfed4ipbg17rts8vbuqt8` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`);

--
-- Constraints for table `peer_review`
--
ALTER TABLE `peer_review`
  ADD CONSTRAINT `FK_9xy59w1sbydtuplendcthlhu5` FOREIGN KEY (`reviewer_id`) REFERENCES `role` (`id`),
  ADD CONSTRAINT `FK_6vrh7sr7twvhsjrrs8rhefxt3` FOREIGN KEY (`file_id`) REFERENCES `file_description` (`id`),
  ADD CONSTRAINT `FK_9ke7armwg3tfnghmschgo011f` FOREIGN KEY (`peerRequest_id`) REFERENCES `peer_request` (`id`),
  ADD CONSTRAINT `FK_n5wj0qsev5cf8acm0xhfrqlpg` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`);

--
-- Constraints for table `project`
--
ALTER TABLE `project`
  ADD CONSTRAINT `FK_6k74jgcmji5vo3lheg4npoaql` FOREIGN KEY (`headSupervisor_id`) REFERENCES `role` (`id`),
  ADD CONSTRAINT `FKED904B19B2B6081F` FOREIGN KEY (`projectClass_id`) REFERENCES `project_class` (`id`);

--
-- Constraints for table `projectPartner`
--
ALTER TABLE `projectPartner`
  ADD CONSTRAINT `FK_2ar5my1wm4p3uevf1xrrv4cgd` FOREIGN KEY (`projectClass_id`) REFERENCES `project_class` (`id`),
  ADD CONSTRAINT `FK1882B6F895349BF` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`);

--
-- Constraints for table `project_checklist`
--
ALTER TABLE `project_checklist`
  ADD CONSTRAINT `FK8351CC005785440E` FOREIGN KEY (`checkLists_id`) REFERENCES `checklist` (`id`),
  ADD CONSTRAINT `FK8351CC00C1813915` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`);

--
-- Constraints for table `project_class_settings`
--
ALTER TABLE `project_class_settings`
  ADD CONSTRAINT `FK_oxqyb1t8jo7cq2fx8j9slvloa` FOREIGN KEY (`projectClass_id`) REFERENCES `project_class` (`id`);

--
-- Constraints for table `project_event_template`
--
ALTER TABLE `project_event_template`
  ADD CONSTRAINT `FK_p8buy8evr4g6u8nkbml0mdf1v` FOREIGN KEY (`templateCreator_id`) REFERENCES `user` (`id`),
  ADD CONSTRAINT `FK_667ye6la0yb5obk64v21knimn` FOREIGN KEY (`checkListTemplate_id`) REFERENCES `checklist_template` (`id`),
  ADD CONSTRAINT `FK_ca5bhq3i6p2g292fo5l4fqtf` FOREIGN KEY (`scheduleTemplate_id`) REFERENCES `schedule_template` (`id`);

--
-- Constraints for table `project_follower`
--
ALTER TABLE `project_follower`
  ADD CONSTRAINT `FK_k48hlfgvhd22aklm6j82g1xpr` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`),
  ADD CONSTRAINT `FK_h49g8tc2d8q69y3i66nj404h7` FOREIGN KEY (`follower_id`) REFERENCES `role` (`id`);

--
-- Constraints for table `project_schedule`
--
ALTER TABLE `project_schedule`
  ADD CONSTRAINT `FK_86kwi5nttd0rkmu2nvxgdx984` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`);

--
-- Constraints for table `project_schedule_event`
--
ALTER TABLE `project_schedule_event`
  ADD CONSTRAINT `checkList_id_index` FOREIGN KEY (`checkList_id`) REFERENCES `checklist` (`id`),
  ADD CONSTRAINT `creator_id_index` FOREIGN KEY (`creator_id`) REFERENCES `user` (`id`),
  ADD CONSTRAINT `fileUpload_id_index` FOREIGN KEY (`fileUpload_id`) REFERENCES `file_description` (`id`),
  ADD CONSTRAINT `projectSchedule_id_index` FOREIGN KEY (`projectSchedule_id`) REFERENCES `project_schedule` (`id`);

--
-- Constraints for table `project_student`
--
ALTER TABLE `project_student`
  ADD CONSTRAINT `FK_4pw7xshosdbluw0g7t4n972ev` FOREIGN KEY (`projectParticipants_id`) REFERENCES `role` (`id`),
  ADD CONSTRAINT `FK_o3axkuf5be8j9tvi46b5uovdd` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`);

--
-- Constraints for table `review_rating`
--
ALTER TABLE `review_rating`
  ADD CONSTRAINT `FK_d8vjux42hpcawkf6k49des3my` FOREIGN KEY (`peerReview_id`) REFERENCES `peer_review` (`id`);

--
-- Constraints for table `role`
--
ALTER TABLE `role`
  ADD CONSTRAINT `FK_kyiccjhffirji07hqfrsgtoig` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`),
  ADD CONSTRAINT `FK_1vd9v6smpu103gmeu6fddfk2s` FOREIGN KEY (`unit_id`) REFERENCES `unit` (`id`);

--
-- Constraints for table `role_Program`
--
ALTER TABLE `role_Program`
  ADD CONSTRAINT `FK_90cvbm5wx89wvlqnkq3vusner` FOREIGN KEY (`role_id`) REFERENCES `role` (`id`),
  ADD CONSTRAINT `FK_i1i38rcos28p2hu4xgel3ftcw` FOREIGN KEY (`programs_id`) REFERENCES `Program` (`id`);

--
-- Constraints for table `schedule_template`
--
ALTER TABLE `schedule_template`
  ADD CONSTRAINT `FK_s8jm2o7uguo5wcjd41bheteu6` FOREIGN KEY (`projectClass_id`) REFERENCES `project_class` (`id`),
  ADD CONSTRAINT `FK_rgwf80yvcy2msbb6g80bae10p` FOREIGN KEY (`creator_id`) REFERENCES `user` (`id`);

--
-- Constraints for table `SupervisorNotificationSettings`
--
ALTER TABLE `SupervisorNotificationSettings`
  ADD CONSTRAINT `FK5863DDD65FCBC05F` FOREIGN KEY (`employee_id`) REFERENCES `role` (`id`);

--
-- Constraints for table `target`
--
ALTER TABLE `target`
  ADD CONSTRAINT `FKCB7E7191790761A4b` FOREIGN KEY (`applicationPeriodId`) REFERENCES `ApplicationPeriod` (`id`),
  ADD CONSTRAINT `FKCB7E71913353DC5Cb` FOREIGN KEY (`employeeId`) REFERENCES `role` (`id`),
  ADD CONSTRAINT `FKCB7E7191A520201Eb` FOREIGN KEY (`projectClassId`) REFERENCES `project_class` (`id`);

--
-- Constraints for table `turnitincheck`
--
ALTER TABLE `turnitincheck`
  ADD CONSTRAINT `FK_cqi2extqeqiycldjlfe7afx3j` FOREIGN KEY (`fileDescription_id`) REFERENCES `file_description` (`id`);

--
-- Constraints for table `TurnitinSettings_expirationMails`
--
ALTER TABLE `TurnitinSettings_expirationMails`
  ADD CONSTRAINT `FK_lji32bekgobx76otvw7syu4hb` FOREIGN KEY (`TurnitinSettings_id`) REFERENCES `TurnitinSettings` (`id`);

--
-- Constraints for table `user`
--
ALTER TABLE `user`
  ADD CONSTRAINT `FK_hpmviec1b7vdg23xtxsalwxw8` FOREIGN KEY (`password_id`) REFERENCES `Password` (`id`);

--
-- Constraints for table `username`
--
ALTER TABLE `username`
  ADD CONSTRAINT `FK_17moq4bksxe30ihucce3jovdc` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`);

--
-- Constraints for table `user_profile`
--
ALTER TABLE `user_profile`
  ADD CONSTRAINT `FK487E2135895349BF` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`);

--
-- Constraints for table `user_settings`
--
ALTER TABLE `user_settings`
  ADD CONSTRAINT `FK_4bos7satl9xeqd18frfeqg6tt` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`),
  ADD CONSTRAINT `FK_h9hl3b7rscn09u0k0ik18eprg` FOREIGN KEY (`activeProject_id`) REFERENCES `project` (`id`);
