###################################################################
#Bachelor, 30 credits
###################################################################
SET @projectTypeName = 'Bachelor';
SET @credit = 30;

###################################################################
SET @title = 'U1 Sammanfattning';
###################################################################
SET @point = 0;
SET @description = NULL;
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
  SELECT
    NOW(),
    NOW(),
    0,
    gct.id,
    @point,
    @description
  FROM grading_criterion_template gct
    INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
    INNER JOIN ProjectType pt on grt.projectType_id = pt.id
  WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 1;
SET @description = 'krävs: att uppsatsens sammanfattning återger problem, frågeställning, metodval, metodtillämpning, resultat och slutsatser samt att den kan läsas och förstås fristående från uppsatsen.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
  SELECT
    NOW(),
    NOW(),
    0,
    gct.id,
    @point,
    @description
  FROM grading_criterion_template gct
    INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
    INNER JOIN ProjectType pt on grt.projectType_id = pt.id
  WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

###################################################################
SET @title = 'U2 Introduktion';
###################################################################

SET @point = 0;
SET @description = NULL;
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
  SELECT
    NOW(),
    NOW(),
    0,
    gct.id,
    @point,
    @description
  FROM grading_criterion_template gct
    INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
    INNER JOIN ProjectType pt on grt.projectType_id = pt.id
  WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 1;
SET @description = 'krävs: att uppsatsen ger en introduktion till uppsatsens ämne och problem.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
  SELECT
    NOW(),
    NOW(),
    0,
    gct.id,
    @point,
    @description
  FROM grading_criterion_template gct
    INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
    INNER JOIN ProjectType pt on grt.projectType_id = pt.id
  WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

###################################################################
SET @title = 'U3 Problem';
###################################################################

SET @point = 0;
SET @description = NULL;
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
  SELECT
    NOW(),
    NOW(),
    0,
    gct.id,
    @point,
    @description
  FROM grading_criterion_template gct
    INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
    INNER JOIN ProjectType pt on grt.projectType_id = pt.id
  WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 1;
SET @description = 'krävs: att det finns ett problem av generellt intresse som helt eller delvis kan lösas genom att frågeställningen besvaras.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
  SELECT
    NOW(),
    NOW(),
    0,
    gct.id,
    @point,
    @description
  FROM grading_criterion_template gct
    INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
    INNER JOIN ProjectType pt on grt.projectType_id = pt.id
  WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

###################################################################
SET @title = 'U4 Frågeställning';
###################################################################

SET @point = 0;
SET @description = NULL;
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 1;
SET @description = 'krävs: en tydligt formulerad och väl avgränsad frågeställning som är av generellt intresse. Studenten skall självständigt identifiera och formulera frågeställningen. Frågeställningen skall motiveras utifrån problemet så att det är tydligt hur svaret på frågan löser en del av eller hela problemet.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 2;
SET @description = 'krävs dessutom: en innovativ frågeställning som ger förutsättningar för att arbetet skall kunna ge ett signifikant bidrag.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

###################################################################
SET @title = 'U5 Vetenskaplig förankring';
###################################################################

SET @point = 0;
SET @description = NULL;
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 1;
SET @description = 'krävs: att uppsatsen ger en ämnesmässig förankring utifrån tidigare vetenskapliga arbeten. Det skall också framgå till vilket område inom data- och systemvetenskap som arbetet bidrar genom en redovisning av de vetenskapliga arbeten som uppsatsen relaterar till.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 2;
SET @description = 'krävs dessutom: att en djupgående och kritisk diskussion förs om hur arbetet bygger vidare på tidigare vetenskapliga arbeten.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

###################################################################
SET @title = 'U6 Metodval';
###################################################################

SET @point = 0;
SET @description = NULL;
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 1;
SET @description = 'krävs: att valet av forskningsstrategier och forskningsmetoder motiveras och tydligt beskrivs, att alternativa forskningsstrategier och forskningsmetoder som kan användas för att angripa frågeställningen diskuteras, samt att relevanta etiska överväganden diskuteras.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 2;
SET @description = 'krävs dessutom: att alternativa tillämpliga forskningsstrategier och forskningsmetoder diskuteras utförligt och att ett djupgående resonemang kring strategi- och metodval förs, där motiven för gjorda val tydligt framgår.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

###################################################################
SET @title = 'U7 Metodtillämpning';
###################################################################

SET @point = 0;
SET @description = NULL;
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 1;
SET @description = 'krävs: att tillämpningen av valda forskningsstrategier och forskningsmetoder är tydligt beskriven, samt att relevanta etiska aspekter diskuteras.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 2;
SET @description = 'krävs dessutom: att tillämpningen av forskningsstrategier och forskningsmetoder är genomförd i enlighet med de krav som dessa ställer och att det finns en tydlig argumentation för detta.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

###################################################################
SET @title = 'U8 Resultat';
###################################################################

SET @point = 0;
SET @description = NULL;
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 1;
SET @description = 'krävs: att resultaten är av sådan omfattning och kvalitet och presenteras på ett sådant sätt att frågeställningen till viss del kan besvaras.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 2;
SET @description = 'krävs dessutom: att resultaten är av betydande omfattning och av hög kvalitet, så att frågeställningen till stor del kan besvaras.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

###################################################################
SET @title = 'U9 Slutsatser och diskussion';
###################################################################

SET @point = 0;
SET @description = NULL;
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 1;
SET @description = 'krävs: att frågeställningen ges ett tydligt svar, att begränsningar i studiens upplägg och deras påverkan på slutsatserna diskuteras liksom hur resultaten relaterar till tidigare studier, att möjliga framtida studier med utgångspunkt från den aktuella studien diskuteras, samt att etiska och samhälleliga konsekvenser av studiens slutsatser diskuteras.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 2;
SET @description = 'krävs dessutom: att studiens begränsningar diskuteras utförligt och att ett djupgående resonemang om möjliga och relevanta framtida studier förs.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

###################################################################
SET @title = 'U10 Struktur och språk';
###################################################################

SET @point = 0;
SET @description = NULL;
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 1;
SET @description = 'krävs: att uppsatsen är indelad i tydliga och väl sammanhållna avsnitt och uppfyller grundläggande krav på layout samt att texten är skriven med ett adekvat och professionellt språkbruk.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

###################################################################
SET @title = 'U11 Argumentation';
###################################################################

SET @point = 0;
SET @description = NULL;
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 1;
SET @description = 'krävs: att argumentationen är välgrundad, logiskt sammanhållen, koncis, tydlig och lättbegriplig.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

###################################################################
SET @title = 'U12 Källhänvisningar och dokumentation';
###################################################################

SET @point = 0;
SET @description = NULL;
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 1;
SET @description = 'krävs: att tidigare arbeten refereras till på ett korrekt sätt enligt ett vedertaget referenssystem, att en tydlig förteckning över använda källor anges enligt samma system, att samtliga citat från tidigare arbeten anges tydligt, samt att relevanta bilagor inkluderas.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

###################################################################
SET @title = 'U13 Originalitet och signifikans';
###################################################################

SET @point = 0;
SET @description = NULL;
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 1;
SET @description = 'krävs: att arbetet ger originella och signifikanta kunskapsbidrag, till exempel i form av idéer, artefakter, produkter eller tjänster.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 2;
SET @description = 'krävs dessutom: att kunskapsbidragen är av sådan kvalitet att arbetet skulle kunna presenteras på en vetenskaplig workshop av god kvalitet.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 3;
SET @description = 'krävs dessutom: att kunskapsbidragen är av sådan kvalitet att arbetet skulle kunna presenteras på en vetenskaplig konferens av god kvalitet eller kunna ligga till grund för användbara lösningar, till exempel i form av kommersialiserbara produkter.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

###################################################################
SET @title = 'Ö1 Oppositionsrapport';
###################################################################

SET @point = 0;
SET @description = NULL;
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 1;
SET @description = 'krävs: att oppositionsrapporten ger en kort sammanfattning av det utvärderade arbetet, resonerar kring uppsatsens vetenskapliga förankring, originalitet, signifikans, formulering av problem och frågeställning, metodval och metodtillämpning, samt innehåller tydliga förslag till förbättringar.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 2;
SET @description = 'krävs dessutom: att oppositionsrapporten ingående och välbalanserat beskriver styrkor och svagheter hos det utvärderade arbetet ur flera aspekter samt att den innehåller tydliga och välmotiverade förslag till förbättringar.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

###################################################################
SET @title = 'Ö2 Presentationer';
###################################################################

SET @point = 0;
SET @description = NULL;
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 1;
SET @description = 'krävs: att muntliga presentationer av tillräcklig kvalitet har hållits vid anvisade tillfällen samt att förmåga att muntligt försvara det egna arbetet har uppvisats.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

###################################################################
SET @title = 'Ö3 Aktivitet vid seminarer och möten';
###################################################################

SET @point = 0;
SET @description = NULL;
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 1;
SET @description = 'krävs: att förmåga att muntligt diskutera och ge konstruktiv kritik när det gäller andras arbete har uppvisats vid seminarier och möten.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

###################################################################
SET @title = 'Ö4 Deadlines';
###################################################################

SET @point = 0;
SET @description = NULL;
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 1;
SET @description = 'krävs: att förmåga har uppvisats att i tid förbereda och leverera material och presentationer vid alla tillfällen som detta krävs.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

###################################################################
SET @title = 'Ö5 Revision efter slutseminarium';
###################################################################

SET @point = 0;
SET @description = NULL;
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;

SET @point = 1;
SET @description = 'krävs: att endast en mindre revision av uppsatsen krävs efter slutseminariet.';
INSERT INTO grading_criterion_point_template (`dateCreated`, `lastModified`, `version`, `gradingCriterionTemplate_id`, `point`, `description`)
SELECT
  NOW(),
  NOW(),
  0,
  gct.id,
  @point,
  @description
FROM grading_criterion_template gct
  INNER JOIN grading_report_template grt on gct.gradingReportTemplate_id = grt.id
  INNER JOIN ProjectType pt on grt.projectType_id = pt.id
WHERE pt.name = @projectTypeName AND grt.credits = @credit AND gct.title = @title;
