CREATE TABLE `grading_report_template` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `description` varchar(255) NOT NULL,
  `projectClass_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_qovbb9ql33oaxprfr01w7ss9u` (`projectClass_id`),
  KEY `FK_qovbb9ql33oaxprfr01w7ss9u` (`projectClass_id`),
  CONSTRAINT `FK_qovbb9ql33oaxprfr01w7ss9u` FOREIGN KEY (`projectClass_id`) REFERENCES `project_class` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `grading_report` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `grade` varchar(255) DEFAULT NULL,
  `gradingReportTemplate_id` bigint(20) NOT NULL,
  `project_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_6ygpk1qq218jgwuuyx0bp6vui` (`project_id`),
  KEY `FK_arfmrw6txbso765ll0maty58t` (`gradingReportTemplate_id`),
  KEY `FK_6ygpk1qq218jgwuuyx0bp6vui` (`project_id`),
  CONSTRAINT `FK_6ygpk1qq218jgwuuyx0bp6vui` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`),
  CONSTRAINT `FK_arfmrw6txbso765ll0maty58t` FOREIGN KEY (`gradingReportTemplate_id`) REFERENCES `grading_report_template` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `grading_question` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `description` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `gradingReportTemplate_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_b37xw6uyfj98ff2tsn5t8x5q` (`gradingReportTemplate_id`),
  CONSTRAINT `FK_b37xw6uyfj98ff2tsn5t8x5q` FOREIGN KEY (`gradingReportTemplate_id`) REFERENCES `grading_report_template` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `grading_answer` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `points` int(11) DEFAULT NULL,
  `gradingQuestion_id` bigint(20) NOT NULL,
  `gradingReport_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_b5bls1mdassp3q5jvndbtje82` (`gradingQuestion_id`),
  KEY `FK_k2ynx2lcpdl969alj5nt3f7xx` (`gradingReport_id`),
  CONSTRAINT `FK_k2ynx2lcpdl969alj5nt3f7xx` FOREIGN KEY (`gradingReport_id`) REFERENCES `grading_report` (`id`),
  CONSTRAINT `FK_b5bls1mdassp3q5jvndbtje82` FOREIGN KEY (`gradingQuestion_id`) REFERENCES `grading_question` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;