package se.su.dsv.scipro

import se.su.dsv.scipro.forum.dataobjects.{GroupThread, ProjectThread}

package object forummail {
  implicit object ForumMailProjectFormat extends Subject[ProjectThread] with Footer[ProjectThread] with ThreadURL[ProjectThread] {
    override def subject(a: ProjectThread): String = {
      if (a.getForumThread.getPostCount == 1) s"Forum post: ${a.getForumThread.getSubject}"
      else s"Forum reply: ${a.getForumThread.getSubject}"
    }

    override def footer(a: ProjectThread): CharSequence = s"* Project: ${a.getProject.getTitle}"

    override def url(base: String, a: ProjectThread): String = s"$base/project/?id=${a.getId}"
  }

  implicit object ForumMailGroupFormat extends Subject[GroupThread] with Footer[GroupThread] with ThreadURL[GroupThread] {
    override def subject(a: GroupThread): String = {
      if (a.getForumThread.getPostCount == 1) s"Group forum: ${a.getForumThread.getSubject}"
      else s"Group forum reply: ${a.getForumThread.getSubject}"
    }

    override def footer(a: GroupThread): CharSequence = {
      import scala.collection.JavaConverters.iterableAsScalaIterableConverter
      val projects = a.getGroup.getProjects.asScala.map(_.getTitle).mkString(", ")
      s"* Group: ${a.getGroup.getTitle}\n* Projects: $projects"
    }

    override def url(base: String, a: GroupThread): String = s"$base/group/?id=${a.getId}"
  }
}
