package se.su.dsv.scipro.grading

import java.util.Date
import javax.inject.Inject

import se.su.dsv.scipro.project.Project
import se.su.dsv.scipro.system.User

private[grading] class GradeServiceImpl @Inject() (gradeRepository: GradeRepository) extends GradeService {
  override def reportGrade(project: Project, reportedBy: User, reportedOn: Date, gradeValue: String) = {
    val newGrade = gradeRepository.get(project).getOrElse(new Grade(project))
    newGrade.setReportedBy(reportedBy)
    newGrade.setReportedOn(reportedOn)
    newGrade.setValue(gradeValue)
    gradeRepository.save(newGrade)
  }

  override def removeGrade(project: Project): Unit = {
    getGrade(project).foreach(gradeRepository.delete)
  }

  override def getGrade(project: Project) = gradeRepository.get(project)
}
