package se.su.dsv.scipro.notifications

import com.google.common.eventbus.Subscribe
import se.su.dsv.scipro.finalseminar.{FinalSeminarThesisUploadedEvent, FinalSeminarCancelledEvent, FinalSeminarThesisDeletedEvent}
import se.su.dsv.scipro.notifications.dataobject.{SeminarEvent, NotificationSource}
import se.su.dsv.scipro.notifications.dataobject.SeminarEvent.Event._

trait FinalSeminarNotifications {
  def notificationController: NotificationController

  @Subscribe def finalSeminarThesisDeleted(event: FinalSeminarThesisDeletedEvent) =
    notificationController.notifySeminar(event.getFinalSeminar, THESIS_DELETED, new NotificationSource)

  @Subscribe def finalSeminarCancelled(event: FinalSeminarCancelledEvent) = {
    val source: NotificationSource = new NotificationSource
    source.setMessage(event.getFinalSeminar.getProject.getTitle)
    notificationController.notifySeminar(event.getFinalSeminar, CANCELLED, source)
  }

  @Subscribe def finalSeminarThesisUploaded(event: FinalSeminarThesisUploadedEvent) = {
    notificationController.notifySeminar(event.getFinalSeminar, SeminarEvent.Event.THESIS_UPLOADED, new NotificationSource)

    notificationController.notifySeminar(event.getFinalSeminar, SeminarEvent.Event.THESIS_UPLOADED_OPPONENT, new NotificationSource)
  }

}
