package se.su.dsv.scipro.notifications

import com.google.common.eventbus.Subscribe
import se.su.dsv.scipro.notifications.dataobject.NotificationSource
import se.su.dsv.scipro.notifications.dataobject.ProjectEvent.Event.{REVIEWER_GRADING_INITIAL_ASSESSMENT_DONE, SUPERVISOR_GRADING_INITIAL_ASSESSMENT_DONE}
import se.su.dsv.scipro.report.{ReviewerGradingReportInitialAssessmentDoneEvent, SupervisorGradingReportInitialAssessmentDoneEvent}

trait GradingReportNotifications {
  def notificationController: NotificationController

  @Subscribe
  def reviewerDoneWithInitialAssessment(event: ReviewerGradingReportInitialAssessmentDoneEvent): Unit = {
    notificationController.notifyProject(event.gradingReport.getProject, REVIEWER_GRADING_INITIAL_ASSESSMENT_DONE, new NotificationSource)
  }

  @Subscribe
  def supervisorDoneWithInitialAssessment(event: SupervisorGradingReportInitialAssessmentDoneEvent): Unit = {
    notificationController.notifyProject(event.gradingReport.getProject, SUPERVISOR_GRADING_INITIAL_ASSESSMENT_DONE, new NotificationSource)
  }
}
