package se.su.dsv.scipro.notifications

import com.google.common.eventbus.Subscribe
import se.su.dsv.scipro.notifications.dataobject.{NotificationSource, ProjectEvent}
import se.su.dsv.scipro.project.{ProjectCompletedEvent, ProjectActivatedEvent, ProjectDeactivatedEvent}

trait ProjectNotifications {
  def notificationController: NotificationController
  def notificationService: NotificationService

  @Subscribe def projectActivated(event: ProjectActivatedEvent) =
    notificationController.notifyProject(event.getProject, ProjectEvent.Event.PROJECT_ACTIVATED, new NotificationSource)

  @Subscribe def projectDeactivated(event: ProjectDeactivatedEvent) = {
    notificationService.setRead(event.getProject, true)
    notificationController.notifyProject(event.getProject, ProjectEvent.Event.PROJECT_DEACTIVATED, new NotificationSource)
  }

  @Subscribe def projectCompleted(event: ProjectCompletedEvent) = {
    notificationService.setRead(event.getProject, true)
    notificationController.notifyProject(event.getProject, ProjectEvent.Event.COMPLETED, new NotificationSource)
  }

}
