package se.su.dsv.scipro.forummail;

import com.google.inject.AbstractModule;
import com.google.inject.Module;
import org.junit.runner.RunWith;
import org.mockito.Mock;
import org.mockito.runners.MockitoJUnitRunner;
import se.su.dsv.scipro.file.FileDescriptionService;
import se.su.dsv.scipro.forum.GroupForumService;
import se.su.dsv.scipro.forum.ProjectForumService;
import se.su.dsv.scipro.mail.MailEventService;
import se.su.dsv.scipro.test.GuiceTest;
import se.su.dsv.scipro.test.MockFileDescriptionService;
import se.su.dsv.scipro.workerthreads.Scheduler;
import se.su.dsv.scipro.workerthreads.WorkerDataService;

@RunWith(MockitoJUnitRunner.class)
public abstract class ForumMailModuleTest extends GuiceTest {
    @Mock
    protected MailEventService mailEventService;
    @Mock
    protected GroupForumService groupForumService;
    @Mock
    protected ProjectForumService projectForumService;
    @Mock
    protected Scheduler scheduler;
    @Mock
    protected WorkerDataService workerDataService;

    @Override
    protected Module moduleUnderTest() {
        return new AbstractModule() {
            @Override
            protected void configure() {
                install(new ForumMailModule());
                bind(MailEventService.class).toInstance(mailEventService);
                bind(FileDescriptionService.class).to(MockFileDescriptionService.class);
                bind(GroupForumService.class).toInstance(groupForumService);
                bind(ProjectForumService.class).toInstance(projectForumService);
                bind(Scheduler.class).toInstance(scheduler);
                bind(WorkerDataService.class).toInstance(workerDataService);
            }
        };
    }
}
