package se.su.dsv.scipro.mail;

import com.sun.mail.smtp.SMTPMessage;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.Mock;
import org.mockito.runners.MockitoJUnitRunner;
import org.slf4j.Logger;

import javax.mail.Address;
import javax.mail.internet.InternetAddress;
import java.util.Arrays;

import static org.mockito.Mockito.verify;
import static org.mockito.Mockito.when;

@RunWith(MockitoJUnitRunner.class)
public class SuccessTest {
    @Mock
    private Logger logger;
    @Mock
    private SMTPMessage message;

    @Test
    public void logs_all_recipients() throws Exception {
        Address[] recipients = {new InternetAddress("bill.gates@microsoft.com", "Bill Gates", "UTF-8")};
        when(message.getAllRecipients()).thenReturn(recipients);

        Success success = new Success(message);
        success.log(logger);

        verify(logger).info("Mail sent to the following recipients: " + Arrays.toString(recipients));
    }
}