package se.su.dsv.scipro.match;

import com.google.common.eventbus.EventBus;
import com.google.inject.AbstractModule;
import com.google.inject.Module;
import com.google.inject.name.Names;
import org.junit.runner.RunWith;
import org.mockito.Mock;
import org.mockito.runners.MockitoJUnitRunner;
import se.su.dsv.scipro.activityplan.ActivityPlanFacade;
import se.su.dsv.scipro.date.DateService;
import se.su.dsv.scipro.generalsystemsettings.GeneralSystemSettingsService;
import se.su.dsv.scipro.mail.MailEventService;
import se.su.dsv.scipro.notifications.NotificationController;
import se.su.dsv.scipro.test.GuiceTest;

@RunWith(MockitoJUnitRunner.class)
public abstract class MatchModuleTest extends GuiceTest {
    // ToDo:The system services should be move to a system module that other modules can depend on
    @Mock
    protected DateService dateService;
    @Mock
    protected GeneralSystemSettingsService generalSystemSettingsService;
    // ToDo:Work towards removing this dependency
    @Mock
    protected NotificationController notificationController;
    @Mock
    protected MailEventService mailEventService;
    @Mock
    protected ActivityPlanFacade activityPlanFacade;
    @Mock
    protected EventBus eventBus;

    @Override
    protected Module moduleUnderTest() {
        return new AbstractModule() {
            @Override
            protected void configure() {
                install(new MatchModule());
                bind(GeneralSystemSettingsService.class).toInstance(generalSystemSettingsService);
                bind(NotificationController.class).toInstance(notificationController);
                bind(DateService.class).toInstance(dateService);
                bind(MailEventService.class).toInstance(mailEventService);
                bind(ActivityPlanFacade.class).toInstance(activityPlanFacade);
                bind(EventBus.class).toInstance(eventBus);

                // Work towards removing the dependency on NotificationSourceURL
                bindConstant().annotatedWith(Names.named("source.export.fail.supervisor")).to("");
                bindConstant().annotatedWith(Names.named("source.export.fail.user")).to("");
                bindConstant().annotatedWith(Names.named("source.export.success.supervisor")).to("");
                bindConstant().annotatedWith(Names.named("source.export.success.user")).to("");
                bindConstant().annotatedWith(Names.named("source.project.supervisor")).to("");
                bindConstant().annotatedWith(Names.named("source.project.student")).to("");
            }
        };
    }
}
