package se.su.dsv.scipro.match;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.test.IntegrationTest;

import javax.inject.Inject;
import java.util.Arrays;
import java.util.List;

public class TestKeyword extends IntegrationTest {

    @Inject
    private KeywordService keywordService;


    private Keyword k;
    private Keyword k2;
    private Keyword k3;
    private Keyword k4;
    private Keyword k10;
 

    @Before
    public void startTransaction() throws Exception {
        k = newKeyword("keyword1");
        k2 = newKeyword("keyword2");
        k3 = newKeyword("keyword3");
        k4 = newKeyword("keyword4");
        k10 = newKeyword("keyword10");
    }
    
    @Test
    public void testAutoCompleteKeywords() {
    	List<Keyword> emptyList = keywordService.getAutoCompleteKeywords("kei", 5);
    	Assert.assertTrue(emptyList.isEmpty());
    	
    	List<Keyword> sortedByName = keywordService.getAutoCompleteKeywords("keyword", 5);
    	List<Keyword> expected = Arrays.asList(k, k10, k2, k3, k4);
    	Assert.assertEquals(expected, sortedByName);
    	
    	List<Keyword> keywords = keywordService.getAutoCompleteKeywords("keyword1", 5);
    	List<Keyword> twoKeywords = Arrays.asList(k, k10);
    	Assert.assertEquals(twoKeywords, keywords);
    }
    
    private Keyword newKeyword(String name) {
    	Keyword key = new Keyword();
    	key.setKeyword(name);
    	return save(key);
    }

}