package se.su.dsv.scipro.notifications.settings.service;

import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.data.dataobjects.Member;
import se.su.dsv.scipro.notifications.dataobject.Notification;
import se.su.dsv.scipro.notifications.dataobject.ProjectEvent;
import se.su.dsv.scipro.test.IntegrationTest;

import javax.inject.Inject;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

public class ReceiverConfigurationServiceImplTest extends IntegrationTest {

    @Inject
    private ReceiverConfigurationServiceImpl service;

    private Notification.Type type;
    private Enum event;
    private Member.Type member;

    @Before
    public void setUp() throws Exception {
        type = Notification.Type.PROJECT;
        event = ProjectEvent.Event.CREATED;
        member = Member.Type.AUTHOR;
    }

    @Test
    public void testCreateConfiguration() throws Exception {
        assertFalse(service.isReceiving(type, event, member));
    }

    @Test
    public void testSetConfigurationFirstTime() throws Exception {
        service.setReceiving(type, event, member, true);
        assertTrue(service.isReceiving(type, event, member));
    }
}
