package se.su.dsv.scipro.reviewing;

import org.hamcrest.Description;
import org.hamcrest.Matcher;
import org.hamcrest.TypeSafeMatcher;

public class WithStatus extends TypeSafeMatcher<Decision> {
    private final Status status;

    private WithStatus(final Status status) {
        this.status = status;
    }

    @Override
    protected boolean matchesSafely(final Decision item) {
        return status == item.getStatus();
    }

    @Override
    public void describeTo(final Description description) {
        description.appendText("a decision with status ").appendValue(status);
    }

    public static Matcher<Decision> withStatus(final Status status) {
        return new WithStatus(status);
    }
}
