package se.su.dsv.scipro.springdata.serviceimpls;

import org.junit.Test;
import se.su.dsv.scipro.settings.dataobjects.UserProfile;
import se.su.dsv.scipro.springdata.services.UserProfileService;
import se.su.dsv.scipro.system.User;
import se.su.dsv.scipro.test.IntegrationTest;

import javax.inject.Inject;

import static org.junit.Assert.*;

public class UserProfileServiceImplIntegrationTest extends IntegrationTest {

    @Inject
    private UserProfileService userProfileService;

    @Test
    public void find_users_with_mail_compilation() throws Exception {
        User userWithMailCompilation = createUser();
        User userWithoutMailCompilation = createUser();
        createUserProfile(userWithMailCompilation, true);
        createUserProfile(userWithoutMailCompilation, false);

        assertEquals(1, userProfileService.findUsersWithMailCompilation().size());
        assertEquals(userWithMailCompilation, userProfileService.findUsersWithMailCompilation().get(0));
    }

    private UserProfile createUserProfile(User user, boolean mailCompilation) {
        UserProfile userProfile = new UserProfile();
        userProfile.setUser(user);
        userProfile.setMailCompilation(mailCompilation);
        return save(userProfile);
    }

    private User createUser() {
        User user = User.builder().firstName("Bob").lastName("Sponge").emailAddress("bob@example.com").build();
        return save(user);
    }
}
