package se.su.dsv.scipro.system;

import org.junit.Test;
import se.su.dsv.scipro.test.IntegrationTest;

import javax.inject.Inject;

import static org.hamcrest.CoreMatchers.hasItem;
import static org.hamcrest.CoreMatchers.not;
import static org.hamcrest.MatcherAssert.assertThat;

public class LanguageServiceImplTest extends IntegrationTest {
    @Inject
    private LanguageService languageService;

    @Test
    public void find_all() throws Exception {
        Language english = createSomeLanguage();

        assertThat(languageService.findAll(), hasItem(english));
    }

    @Test
    public void delete() throws Exception {
        Language english = createSomeLanguage();

        languageService.delete(english);

        assertThat(languageService.findAll(), not(hasItem(english)));
    }

    @Test
    public void save() throws Exception {
        Language swedish = new Language();
        swedish.setName("Swedish");

        languageService.save(swedish);

        assertThat(languageService.findAll(), hasItem(swedish));
    }

    private Language createSomeLanguage() {
        Language english = new Language();
        english.setName("English");
        save(english);
        return english;
    }
}