package se.su.dsv.scipro.io;

import se.su.dsv.scipro.io.dto.Role;
import se.su.dsv.scipro.io.exceptions.ExternalExportException;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.Unit;
import se.su.dsv.scipro.system.User;


/**
 * Specification for external synchronization of core SciPro objects.
 *
 * Do <em>not</em> call this class directly, use
 * {@link se.su.dsv.scipro.io.facade.ExporterFacade} for exporting needs.
 */
public interface ExternalExporter {
	void createProject(final Project project, final Unit unit) throws ExternalExportException;
	void addStudentToProject(final Project project, final User user) throws ExternalExportException;
	void addContributorToProject(final Project project, final User user, final Role role) throws ExternalExportException;
	void deleteProject(final Project project) throws ExternalExportException;
}
