package se.su.dsv.scipro.io.http;

import scala.Option;
import se.su.dsv.scipro.io.dto.*;

import javax.ws.rs.core.Response;
import java.util.List;
import java.util.Set;

public interface DaisyAPI {
    Set<ProjectParticipant> getContributors(Long projectId);

    Set<StudentProjectParticipant> getAuthors(Long projectId);

    Set<Thesis> getProjects(Long personId);

    Set<Unit> getSubUnits(Long unitId);

    Set<UserName> getUsernames(Long personId);

    List<ResearchArea> getResearchAreas(Long personId);

    List<Person> getSupervisors(Long unitId);

    Option<Person> findPersonById(Long id);

    Option<Person> findByUsername(String userName);

    Response addContributor(Long projectId, ProjectParticipant contributor);

    Response deleteContributor(Long projectId, Long personId);

    Response createProject(Thesis project);

    Response addAuthor(Long projectId, StudentProjectParticipant author);

    Response deleteProject(Long projectId);

    Response getStudent(Long id);

    Program getProgram(Long id);

    Option<Thesis> getThesis(Long projectIdentifier);

    void updateThesis(Thesis thesis);

    void deleteAuthor(Long projectId, Long authorId);

    Option<String> getGradeForStudentInCourse(Long authorId, Long courseId);

    List<Person> findByPersonnummer(String personnummer);
}
