ALTER TABLE `final_seminar` ADD `deleted` tinyint(1) NOT NULL;
ALTER TABLE `project` ADD `fs_rule_exmpt` bit(1) NOT NULL DEFAULT b'0';

ALTER TABLE `milestone_activity` ADD `code` varchar(255) DEFAULT NULL;

ALTER TABLE `milestone_activity` ADD UNIQUE KEY `code` (`code`);

UPDATE  `scipro`.`milestone_activity` SET  `code` =  'CREATE_SEMINAR' WHERE  `milestone_activity`.`id` =10;
UPDATE  `scipro`.`milestone_activity` SET  `code` =  'THESIS_UPLOADED' WHERE  `milestone_activity`.`id` =11;

CREATE TABLE `milestone_activity_project_class` (
 `milestone_activity_id` bigint(20) NOT NULL,
 `projectClasses_id` bigint(20) NOT NULL,
 PRIMARY KEY (`milestone_activity_id`,`projectClasses_id`),
 KEY `FKFB3FC75157F6B071` (`projectClasses_id`),
 KEY `FKFB3FC75180E42A0F` (`milestone_activity_id`),
 CONSTRAINT `FKFB3FC75157F6B071` FOREIGN KEY (`projectClasses_id`) REFERENCES `project_class` (`id`),
 CONSTRAINT `FKFB3FC75180E42A0F` FOREIGN KEY (`milestone_activity_id`) REFERENCES `milestone_activity` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


ALTER TABLE `general_system_settings`
DROP `turnItInForname`,
DROP `turnItInSurname`,
DROP `turnItInUsername`,
DROP `turnItInPassword`,
DROP `turnItInAccountNo`,
DROP `turnItInAssignmentName`,
DROP `turnItInSharedKey`,
DROP `turnItInClassName`,
DROP `turnItInClassNo`,
DROP `turnitinExpirationDate`,
DROP `turnitinExpirationContent`;

DROP TABLE general_system_settings_turnitin_expiration_recipients;

--
-- Table structure for table `TurnitinSettings`
--

CREATE TABLE IF NOT EXISTS `TurnitinSettings` (
  `id` bigint(20) NOT NULL,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `accountNo` int(11) NOT NULL,
  `assignmentName` varchar(255) NOT NULL,
  `className` varchar(255) NOT NULL,
  `classNo` int(11) NOT NULL,
  `expirationContent` longtext,
  `expirationDate` datetime DEFAULT NULL,
  `firstName` varchar(255) NOT NULL,
  `lastName` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `sharedKey` varchar(255) NOT NULL,
  `username` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `TurnitinSettings_expirationMails`
--

CREATE TABLE IF NOT EXISTS `TurnitinSettings_expirationMails` (
  `TurnitinSettings_id` bigint(20) NOT NULL,
  `expirationMails` varchar(255) DEFAULT NULL,
  KEY `FKD2343EDE5AC3183F` (`TurnitinSettings_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `TurnitinSettings_expirationMails`
--

INSERT INTO `TurnitinSettings_expirationMails` (`TurnitinSettings_id`, `expirationMails`) VALUES
(1, 'janne@dsv.su.se'),
(1, 'thesissupport@dsv.su.se');

--
-- Dumping data for table `TurnitinSettings`
--

INSERT INTO `TurnitinSettings` (`id`, `dateCreated`, `lastModified`, `version`, `accountNo`, `assignmentName`, `className`, `classNo`, `expirationContent`, `expirationDate`, `firstName`, `lastName`, `password`, `sharedKey`, `username`) VALUES
(1, '2013-06-24 11:00:31', '2013-06-24 14:33:37', 1, 67556, 'thesis13', 'thesis13', 6037649, 'The turnitin integration has some prerequisites. User, account, class, assignment etc need to be set up in turnitins web interface and specified in SciPros system settings in order for our integration to have something to work with. Most of the setup is already done, what needs to be redone every once in a while is the class and/or assignment being used needs to be renewed when it runs out. Currently we have a class and assignment that runs from 1 Jan 2013 to 31 Dec 2013. When these run out, new ones must be created.\r\n\r\nCreate a class\r\n\r\nThis needs to be done every time the class we use for the integration runs out. We generally create classes with duration spanning one semester or 6 months. Make sure to create events in the DSV IT google calendar that have a lot of reminders about this well ahead, so that we dont forget to change the details and update everything before the class we use for our integration runs out.\r\n\r\nLog in to turnitin.com using the turnitin username and turnitin password specified in the SciPro system settings. Once logged in, switch to the instructor view. Find the turnitinaccount with the same no as the one specified in the SciPro system settings. Add a class to it with the appropriate duration. Enter the class name and id into SciPros system settings. Now go on to create an assignment.\r\n\r\nCreate an assignment\r\n\r\nThis needs to be done every time we create a new class for the integration and/or every time the assignment we use for the integration runs out. Make sure to create events in the DSV IT google calendar that have a lot of reminders about this well ahead, so that we dont forget to change the details and update everything before the integration stops working.\r\n\r\nLog in to turnitin.com using the turnitin username and turnitin password specified in the SciPro system settings. Once logged in, switch to the instructor view. Find the turnitinaccount with the same no as the one specified in the SciPro system settings. Press the class we use for the integration. Add an assignment with the appropriate duration. Enter the assignment name into SciPros Admin | Settings GUI.', '2013-12-31 00:00:00', 'Thesis', 'Support', 'SciPro2011', 'SciPro11', 'thesissupport@dsv.su.se');



ALTER TABLE `general_system_settings`
DROP `daysBeforeFinalSeminarCanRegisterAsActiveParticipant`,
DROP `daysBeforeFinalSeminarCanRegisterAsOpponent`,
DROP `finalSeminarThesisMustBeAPDF`,
DROP `finalSeminarCreateDaysAhead`,
DROP `finalSeminarThesisDaysAhead`,
DROP `daysAheadToUploadThesisReview`,
DROP `thesisReviewsEnabled`,
DROP `thesisCommentNoDaysAheadReminder`,
DROP `examinerThesisReviewsMandatory`,
DROP `supervisorThesisReviewsMandatory`,
DROP `reviewerThesisReviewsMandatory`;

DROP TABLE general_system_settings_fs_thesis_comment_punish_recipients;

--
-- Table structure for table `FinalSeminarSettings`
--

CREATE TABLE IF NOT EXISTS `FinalSeminarSettings` (
  `id` bigint(20) NOT NULL,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `daysAheadThesisCommentToRemind` int(11) NOT NULL,
  `daysAheadToCreate` int(11) NOT NULL,
  `daysAheadToRegisterOpposition` int(11) NOT NULL,
  `daysAheadToRegisterParticipation` int(11) NOT NULL,
  `daysAheadToUploadThesis` int(11) NOT NULL,
  `daysAheadToUploadThesisReview` int(11) NOT NULL,
  `examinerThesisReviewsMandatory` tinyint(1) NOT NULL,
  `reviewerThesisReviewsMandatory` tinyint(1) NOT NULL,
  `supervisorThesisReviewsMandatory` tinyint(1) NOT NULL,
  `thesisMustBePDF` tinyint(1) NOT NULL,
  `thesisReviewsEnabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `FinalSeminarSettings`
--

INSERT INTO `FinalSeminarSettings` (`id`, `dateCreated`, `lastModified`, `version`, `daysAheadThesisCommentToRemind`, `daysAheadToCreate`, `daysAheadToRegisterOpposition`, `daysAheadToRegisterParticipation`, `daysAheadToUploadThesis`, `daysAheadToUploadThesisReview`, `examinerThesisReviewsMandatory`, `reviewerThesisReviewsMandatory`, `supervisorThesisReviewsMandatory`, `thesisMustBePDF`, `thesisReviewsEnabled`) VALUES
(1, '2013-06-26 14:37:37', '2013-06-26 14:50:14', 3, 3, 10, 3, 1, 7, 1, 0, 0, 0, 0, 1);

--
-- Table structure for table `FinalSeminarSettings_punishMails`
--

CREATE TABLE IF NOT EXISTS `FinalSeminarSettings_punishMails` (
  `FinalSeminarSettings_id` bigint(20) NOT NULL,
  `punishMails` varchar(255) DEFAULT NULL,
  KEY `FK373B1D06BB47DEDF` (`FinalSeminarSettings_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `FinalSeminarSettings_punishMails`
--

INSERT INTO `FinalSeminarSettings_punishMails` (`FinalSeminarSettings_id`, `punishMails`) VALUES
(1, 'matchsupport@dsv.su.se');

--
-- Constraints for table `FinalSeminarSettings_punishMails`
--
ALTER TABLE `FinalSeminarSettings_punishMails`
ADD CONSTRAINT `FK373B1D06BB47DEDF` FOREIGN KEY (`FinalSeminarSettings_id`) REFERENCES `FinalSeminarSettings` (`id`);

DROP TABLE `log_entry`;
DROP TABLE `log`;

DROP TABLE `category`, `rating`, `resource`, `resource_category`, `resource_tag`, `tag`;

DROP TABLE `private_message`, `recipient`;
