package se.su.dsv.scipro;

import lombok.ToString;
import se.su.dsv.scipro.system.CurrentUser;
import se.su.dsv.scipro.system.User;
import se.su.dsv.scipro.system.UserService;

import javax.inject.Inject;

@ToString(of = {"userId"})
class CurrentUserImpl implements CurrentUser {
    private final UserService userService;
    private Long userId;

    @Inject
    CurrentUserImpl(final UserService userService) {
        this.userService = userService;
    }

    @Override
    public User get() {
        return userId == null ? null : userService.findOne(userId);
    }

    @Override
    public void set(final User user) {
        this.userId = user.getId();
    }

    @Override
    public boolean exists() {
        return userId != null;
    }
}
