package se.su.dsv.scipro;

import com.google.inject.multibindings.Multibinder;
import com.google.inject.persist.jpa.JpaPersistModule;
import com.google.inject.servlet.ServletModule;
import com.google.inject.servlet.SessionScoped;
import modules.CoreModule;
import modules.FileModule;
import org.apache.wicket.protocol.http.WebApplication;
import se.su.dsv.scipro.security.auth.AuthenticationModule;
import se.su.dsv.scipro.system.CurrentUser;
import se.su.dsv.scipro.system.Lifecycle;
import se.su.dsv.scipro.workerthreads.WorkerModule;

public class SciProModule extends ServletModule {
    @Override
    protected void configureServlets() {
        install(new JpaPersistModule("defaultPersistenceUnit"));
        install(new CoreModule());
        install(new FileModule());
        install(new WorkerModule());
        install(new AuthenticationModule());

        bind(WebApplication.class).to(SciProApplication.class);

        bind(CurrentUser.class).to(CurrentUserImpl.class).in(SessionScoped.class);
        Multibinder<Lifecycle> lifecycles = Multibinder.newSetBinder(binder(), Lifecycle.class);
        lifecycles.addBinding().to(DataInitializer.class);
    }
}
