package se.su.dsv.scipro.activityplan;

import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.model.IModel;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import se.su.dsv.scipro.admin.pages.AbstractAdminProjectPage;
import se.su.dsv.scipro.components.ModalWindowPlus;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightAdminActivityPlanTemplates;
import se.su.dsv.scipro.security.auth.Authorization;
import se.su.dsv.scipro.security.auth.roles.Roles;
import se.su.dsv.scipro.util.PageParameterKeys;

@Authorization(authorizedRoles = {Roles.SYSADMIN, Roles.ADMIN})
public class AdminActivityPlanTemplatesPage extends AbstractAdminProjectPage implements MenuHighlightAdminActivityPlanTemplates {

    private ModalWindowPlus modalWindowPlus;

    public AdminActivityPlanTemplatesPage() {

        modalWindowPlus = new ModalWindowPlus("dialog");
        add(modalWindowPlus);

        add(new ActivityPlanTemplateDataPanel("activityPlanTemplatePanel") {
            @Override
            public void onNewClick() {
                setResponsePage(AdminEditActivityTemplatePage.class);
            }

            @Override
            public void onTitleClick(IModel<ActivityPlanTemplate> clicked, AjaxRequestTarget target) {
                modalWindowPlus.setContent(new ActivityPlanTemplateDetailsPanel(modalWindowPlus.getContentId(), clicked));
                modalWindowPlus.show(target);
            }

            @Override
            public void onEditClick(IModel<ActivityPlanTemplate> clicked) {
                PageParameters pp = new PageParameters();
                pp.add(PageParameterKeys.MAP.get(ActivityPlanTemplate.class), clicked.getObject().getId());
                setResponsePage(AdminEditActivityTemplatePage.class, pp);
            }
        });
    }
}