package se.su.dsv.scipro.admin.pages;

import se.su.dsv.scipro.activityplan.AdminActivityPlanTemplatesPage;
import se.su.dsv.scipro.checklists.AdminChecklistPage;
import se.su.dsv.scipro.components.AbstractMenuPanel;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightAdminActivityPlanTemplates;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightAdminChecklist;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightAdminFinalSeminars;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightAdminProjectManagement;
import se.su.dsv.scipro.finalseminar.AdminFinalSeminarPage;
import se.su.dsv.scipro.nonworkdays.NonWorkDaysPage;

import java.util.Arrays;
import java.util.List;

public class AbstractAdminProjectPage extends AbstractAdminPage {

    public static final String TABS = "tabs";

    public AbstractAdminProjectPage() {
        add(new AbstractMenuPanel(TABS, AbstractAdminProjectPage.class, this.getClass()) {
            @Override
            protected List<MenuItem> getItemList() {
                return Arrays.asList(
                        new MenuItem("Projects", ProjectManagementPage.class, MenuHighlightAdminProjectManagement.class),
                        new MenuItem("Final seminars", AdminFinalSeminarPage.class, MenuHighlightAdminFinalSeminars.class),
                        new MenuItem("Activity plan templates", AdminActivityPlanTemplatesPage.class, MenuHighlightAdminActivityPlanTemplates.class),
                        new MenuItem("Checklist templates", AdminChecklistPage.class, MenuHighlightAdminChecklist.class),
                        new MenuItem("Non work days", NonWorkDaysPage.class)
                );
            }

            @Override
            protected MenuType getMenuType() {
                return MenuType.HORIZONTAL;
            }
        });
    }
}
