package se.su.dsv.scipro.admin.pages.settings;

import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.form.RequiredTextField;
import org.apache.wicket.model.CompoundPropertyModel;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.LoadableDetachableModel;
import se.su.dsv.scipro.admin.pages.AbstractAdminSystemPage;
import se.su.dsv.scipro.reviewing.ReviewerDeadlineSettings;
import se.su.dsv.scipro.reviewing.ReviewerDeadlineSettingsService;

import javax.inject.Inject;


public class AdminReviewerDeadlineSettingsPage extends AbstractAdminSystemPage {

    @Inject
    private ReviewerDeadlineSettingsService reviewerDeadlineSettingsService;

    public AdminReviewerDeadlineSettingsPage() {
        add(new ReviewerDeadlineSettingsForm("form", getReviewerDeadlineSettings()));
    }

    private IModel<ReviewerDeadlineSettings> getReviewerDeadlineSettings() {
        return new CompoundPropertyModel<>(new LoadableDetachableModel<ReviewerDeadlineSettings>() {
            @Override
            protected ReviewerDeadlineSettings load() {
                return reviewerDeadlineSettingsService.getInstance();
            }
        });
    }

    private class ReviewerDeadlineSettingsForm extends Form<ReviewerDeadlineSettings> {
        public ReviewerDeadlineSettingsForm(String id, IModel<ReviewerDeadlineSettings> model) {
            super(id, model);
            add(new RequiredTextField<>("roughDraftApproval", Integer.class));
            add(new RequiredTextField<>("finalSeminarApproval", Integer.class));
            add(new RequiredTextField<>("finalGrading", Integer.class));
        }

        @Override
        protected void onSubmit() {
            super.onSubmit();
            reviewerDeadlineSettingsService.save(getModelObject());
            info("Settings saved");
        }
    }
}
