package se.su.dsv.scipro.applicationperiod;

import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.ajax.markup.html.AjaxLink;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.list.ListItem;
import org.apache.wicket.markup.html.list.ListView;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.IModel;
import se.su.dsv.scipro.match.ApplicationPeriod;
import se.su.dsv.scipro.match.ApplicationPeriodProjectType;
import se.su.dsv.scipro.match.ApplicationPeriodProjectTypeService;
import se.su.dsv.scipro.system.ProjectType;

import javax.inject.Inject;
import java.util.ArrayList;

public abstract class ApplicationPeriodActivityPlanTemplateColumnPanel extends Panel {
    public static final String LIST = "list";
    public static final String PC = "pc";
    public static final String TEMPLATE = "template";
    public static final String LINK = "link";

    @Inject
    private ApplicationPeriodProjectTypeService applicationPeriodProjectTypeService;

    public abstract void onClick(AjaxRequestTarget target);

    protected ListView<ProjectType> list;

    public ApplicationPeriodActivityPlanTemplateColumnPanel(String id, final IModel<ApplicationPeriod> model) {
        super(id, model);
        list = new ListView<ProjectType>(LIST, new ArrayList<>(model.getObject().getProjectTypes())) {
            @Override
            protected void populateItem(ListItem<ProjectType> item) {
                item.add(new Label(PC, item.getModelObject().getName()));
                ApplicationPeriodProjectType applicationPeriodProjectType = applicationPeriodProjectTypeService.findOne(model.getObject(), item.getModelObject());
                item.add(new Label(TEMPLATE, applicationPeriodProjectType.getActivityPlanTemplate() != null ? applicationPeriodProjectType.getActivityPlanTemplate().getTitle() : "None"));
            }
        };
        add(list);
        add(new AjaxLink<Void>(LINK) {
            @Override
            public void onClick(AjaxRequestTarget target) {
                ApplicationPeriodActivityPlanTemplateColumnPanel.this.onClick(target);
            }
        });
    }
}