package se.su.dsv.scipro.basepages;

import org.apache.wicket.ajax.IAjaxIndicatorAware;
import org.apache.wicket.markup.head.IHeaderResponse;
import org.apache.wicket.markup.head.JavaScriptHeaderItem;
import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import se.su.dsv.scipro.basepanels.SystemNoticePanel;
import se.su.dsv.scipro.security.auth.Authorization;
import se.su.dsv.scipro.security.auth.roles.Roles;

@Authorization(requiresLoggedInUser = true, authorizedRoles = {Roles.AUTHOR, Roles.ADMIN, Roles.SUPERVISOR, Roles.SYSADMIN})
public abstract class BasePage extends WebPage implements IAjaxIndicatorAware {
	
    public BasePage(){
		super();
	}
	
	public BasePage(PageParameters pp){
		super(pp);
	}

    @Override
	protected void onInitialize(){
        super.onInitialize();
		add(new SystemNoticePanel("systemNotice"));
	}

    @Override
    public void renderHead(IHeaderResponse response) {
        super.renderHead(response);

        response.render(JavaScriptHeaderItem.forReference(getApplication().getJavaScriptLibrarySettings()
                .getJQueryReference()));
    }

    @Override
	public String getAjaxIndicatorMarkupId() {
		return "ajax-loader";
	}
}