package se.su.dsv.scipro.basepages;

import org.apache.wicket.Component;
import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import se.su.dsv.scipro.basepanels.FooterPanel;
import se.su.dsv.scipro.basepanels.HeaderPanel;
import se.su.dsv.scipro.session.SciProSession;
import se.su.dsv.scipro.system.User;

public abstract class MenuPage extends BasePage {
    private Component headerPanel;

    public MenuPage(){
		super();
		setUp();
	}
	
	public MenuPage(PageParameters pp){
		super(pp);
		setUp();
	}
	
	private void setUp(){
        headerPanel = new HeaderPanel("headerPanel", this.getClass());
        add(headerPanel);
        headerPanel.setOutputMarkupId(true);
		FooterPanel footerPanel = new FooterPanel("footerPanel");
		add(footerPanel);
	}

    protected User getUser(){
		return SciProSession.get().getUser();
	}

    public void updateHeader(AjaxRequestTarget target) {
        target.add(headerPanel);
    }
}
