package se.su.dsv.scipro.basepanels;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.LoadableDetachableModel;
import se.su.dsv.scipro.notifications.NotificationService;
import se.su.dsv.scipro.notifications.pages.NotificationsPage;
import se.su.dsv.scipro.session.SciProSession;

import javax.inject.Inject;

public class NotificationsMenuPanel extends Panel {
    @Inject
    private NotificationService notificationService;

    static final String HIDE_BADGE = "";

    public NotificationsMenuPanel(String id) {
        super(id);
        add(new BookmarkablePageLink<>("notifications", NotificationsPage.class));
        final IModel<String> unreadModel = new LoadableDetachableModel<String>() {
            @Override
            protected String load() {
                long unreadNotifications = notificationService.countUnread(SciProSession.get().getUser());
                return unreadNotifications == 0 ? HIDE_BADGE : String.valueOf(unreadNotifications);
            }
        };
        add(new Label("badge", unreadModel));
    }
}
