package se.su.dsv.scipro.checklists;

import org.apache.wicket.behavior.AttributeAppender;
import org.apache.wicket.markup.html.basic.MultiLineLabel;
import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.form.TextArea;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.Model;
import org.apache.wicket.model.PropertyModel;
import se.su.dsv.scipro.checklist.*;

import javax.inject.Inject;

public abstract class EditAnswerPanel extends Panel {

    public abstract void submitHook();

    @Inject
    private ChecklistQuestionRepo checklistQuestionRepo;
    @Inject
    private ChecklistAnswerService checklistAnswerService;

    final IModel<ChecklistQuestion> question;

    public EditAnswerPanel(String id, IModel<ChecklistQuestion> question, IModel<ChecklistAnswer> answer) {
        super(id);
        this.question = question;
        add(new EditAnswerForm("form", answer));
    }

    private class EditAnswerForm extends Form<ChecklistAnswer> {

        public EditAnswerForm(String id, IModel<ChecklistAnswer> model) {
            super(id, model);
            add(new MultiLineLabel("question", question.getObject().getQuestion()));
            add(new TrafficLightPanel("answer", new PropertyModel<ChecklistAnswerEnum>(model, "answer")));
            add(new TextArea<>("comment", new PropertyModel<>(model, "comment")));
            add(new AttributeAppender("action", Model.of("#" + question.getObject().getId()), ""));
        }

        @Override
        protected void onSubmit() {
            super.onSubmit();

            ChecklistAnswer copy = new ChecklistAnswer(EditAnswerForm.this.getModelObject().getUser(), EditAnswerForm.this.getModelObject().getAnswer());
            copy.setComment(EditAnswerForm.this.getModelObject().getComment());
            copy = checklistAnswerService.save(copy);

            ChecklistQuestion object = question.getObject();
            object.addAnswer(copy);
            checklistQuestionRepo.save(object);

            submitHook();

        }
    }
}
