package se.su.dsv.scipro.components;

import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.ajax.form.AjaxFormChoiceComponentUpdatingBehavior;
import org.apache.wicket.markup.html.form.CheckBoxMultipleChoice;
import org.apache.wicket.markup.html.form.IChoiceRenderer;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.util.ListModel;

import java.util.Collection;
import java.util.List;

public abstract class AjaxCheckBoxMultipleChoice<T> extends CheckBoxMultipleChoice<T> {

    public AjaxCheckBoxMultipleChoice(String id, List<? extends T> choices, IChoiceRenderer<? super T> renderer) {
        super(id, choices, renderer);
    }

    public AjaxCheckBoxMultipleChoice(String id, List<T> defaultSelection, List<? extends T> choices, IChoiceRenderer<? super T> renderer) {
        super(id, new ListModel<>(defaultSelection), choices, renderer);
    }

    public AjaxCheckBoxMultipleChoice(String id, IModel<? extends Collection<T>> defaultModel, List<? extends T> choices, IChoiceRenderer<T> renderer) {
        super(id, defaultModel, choices, renderer);
    }

    @Override
    protected void onInitialize() {
        super.onInitialize();
        setLabelPosition(LabelPosition.WRAP_AFTER);
        add(new AjaxFormChoiceComponentUpdatingBehavior() {
            @Override
            protected void onUpdate(AjaxRequestTarget target) {
                AjaxCheckBoxMultipleChoice.this.onUpdate(target);
            }
        });
    }

    public abstract void onUpdate(AjaxRequestTarget target);

}
