package se.su.dsv.scipro.components;

import org.apache.wicket.Component;
import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.ajax.markup.html.AjaxLink;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.panel.GenericPanel;
import org.apache.wicket.model.IModel;

public abstract class AjaxLinkPanel<T> extends GenericPanel<T> {

    public static final String LINK = "link";
    public static final String LABEL = "label";

    public abstract void onClick(AjaxRequestTarget target, IModel<T> model);

    private IModel<?> label;

    public AjaxLinkPanel(String id, final IModel<T> model, IModel<?> label) {
        super(id, model);
        this.label = label;
    }

    @Override
    protected void onInitialize() {
        super.onInitialize();
        addLink();
    }

    protected Component newLabelComponent(String id, IModel<?> label) {
        return new Label(id, label);
    }

    private void addLink() {
        AjaxLink<T> link = newLinkComponent(LINK, getModel());
        link.add(newLabelComponent(LABEL, label));
        add(link);
    }

    protected AjaxLink<T> newLinkComponent(final String id, IModel<T> model) {
        return new AjaxLink<T>(id, model) {
            @Override
            public void onClick(AjaxRequestTarget target) {
                AjaxLinkPanel.this.onClick(target, getModel());
            }
        };
    }
}
