package se.su.dsv.scipro.components;

import com.vaynberg.wicket.select2.Select2Choice;
import com.vaynberg.wicket.select2.TextChoiceProvider;
import org.apache.wicket.model.IModel;

// Todo: Se över autocomplete hierarkin efter att roll-ändringen är klar
public abstract class AutoCompleteChoice<T> extends Select2Choice<T> {

    public static final int MAX_RESULTS = 6;

    public AutoCompleteChoice(String id) {
        super(id);
    }

    public AutoCompleteChoice(String id, IModel<T> model) {
        super(id, model);
    }

    @Override
    protected void onInitialize() {
        super.onInitialize();
        setProvider(getChoiceProvider());
        getSettings().setAllowClear(getAllowClear());
        getSettings().setMinimumInputLength(1);
        getSettings().setPlaceholder(" ");
    }

    protected abstract TextChoiceProvider<T> getChoiceProvider();

    public boolean getAllowClear(){
        return true;
    }
}
