package se.su.dsv.scipro.components;

import org.apache.wicket.Component;
import org.apache.wicket.behavior.Behavior;
import org.apache.wicket.request.Response;

public class BootstrapDatePicker extends Behavior {
    @Override
    public void bind(final Component component) {
        super.bind(component);
        component.setOutputMarkupId(true);
    }

    @Override
    public void beforeRender(final Component component) {
        super.beforeRender(component);
        Response response = component.getResponse();
        response.write("<div class=\"input-group\">");
    }

    @Override
    public void afterRender(final Component component) {
        String javascript = String.format("$('#%s').focus();", component.getMarkupId());
        Response response = component.getResponse();
        response.write("<span class=\"input-group-addon\">");
        {
            response.write("<span class=\"glyphicon glyphicon-calendar\" onclick=\"" + javascript + "\" style=\"cursor: pointer;\"></span>");
        }
        response.write("</span>");
        response.write("</div>");
        super.afterRender(component);
    }
}
