package se.su.dsv.scipro.components;

import com.vaynberg.wicket.select2.TextChoiceProvider;
import se.su.dsv.scipro.data.DetachableServiceModel;
import se.su.dsv.scipro.security.auth.roles.Roles;
import se.su.dsv.scipro.system.User;
import se.su.dsv.scipro.system.UserRepo;
import se.su.dsv.scipro.system.UserService;

import javax.inject.Inject;

public abstract class EmployeeAutoComplete extends AjaxAutoCompleteChoice<User>{

    @Inject
    private UserRepo supervisorService;
    @Inject
    private UserService userService;

    public EmployeeAutoComplete(String id) {
        super(id);
        setModel(new DetachableServiceModel<>(userService));
    }

    @Override
    protected TextChoiceProvider<User> getChoiceProvider() {
        return new AutoCompleteRoleProvider(supervisorService, Roles.SUPERVISOR);
    }
}
