package se.su.dsv.scipro.components;

import com.google.common.collect.Lists;
import org.apache.wicket.model.AbstractReadOnlyModel;
import org.apache.wicket.model.IModel;

import java.util.List;

public class ListAdapterModel<T> extends AbstractReadOnlyModel<List<T>> {
    private final IModel<? extends Iterable<? extends T>> collectionModel;

    public ListAdapterModel(IModel<? extends Iterable<? extends T>> collectionModel) {
        this.collectionModel = collectionModel;
    }

    @Override
    public List<T> getObject() {
        return Lists.newArrayList(collectionModel.getObject());
    }

    @Override
    public void detach() {
        super.detach();
        collectionModel.detach();
    }
}
