package se.su.dsv.scipro.components;

import org.apache.wicket.model.AbstractReadOnlyModel;
import org.apache.wicket.model.IModel;

public final class NullReplacementModel extends AbstractReadOnlyModel<String> {
    private final IModel<Object> inner;
    private final String nullReplacement;

    public NullReplacementModel(final IModel<Object> inner, final String nullReplacement) {
        this.inner = inner;
        this.nullReplacement = nullReplacement;
    }

    @Override
    public String getObject() {
        Object innerObject = inner.getObject();
        return innerObject != null ? innerObject.toString() : nullReplacement;
    }

    @Override
    public void detach() {
        inner.detach();
    }
}
