package se.su.dsv.scipro.components;

import com.vaynberg.wicket.select2.Response;
import com.vaynberg.wicket.select2.TextChoiceProvider;
import org.apache.wicket.model.Model;
import se.su.dsv.scipro.match.ProgramService;
import se.su.dsv.scipro.system.Program;

import javax.inject.Inject;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

public abstract class ProgramAutoComplete extends AjaxAutoCompleteChoice<Program> {

    @Inject
    private ProgramService programService;

    public ProgramAutoComplete(String id) {
        super(id);
        setModel(new Model<Program>());
    }

    @Override
    protected TextChoiceProvider<Program> getChoiceProvider() {
        return new ProgramProvider();
    }

    private class ProgramProvider extends TextChoiceProvider<Program> {

        @Override
        protected String getDisplayText(Program choice) {
            return choice.getName() + " <" + choice.getCode() + ">";
        }

        @Override
        protected Object getId(Program choice) {
            return choice.getId();
        }

        @Override
        public void query(String term, int page, Response<Program> response) {
            response.addAll(programService.getAutoCompletePrograms(term, MAX_RESULTS));
        }

        @Override
        public Collection<Program> toChoices(Collection<String> ids) {
            List<Program> programs = new ArrayList<>();
            for(String id : ids) {
                programs.add(programService.findOne(Long.valueOf(id)));
            }
            return programs;
        }
    }
}
