package se.su.dsv.scipro.components;

import org.apache.wicket.AttributeModifier;
import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.extensions.markup.html.repeater.data.table.AbstractToolbar;
import org.apache.wicket.extensions.markup.html.repeater.data.table.DataTable;
import org.apache.wicket.extensions.markup.html.repeater.data.table.NavigatorLabel;
import org.apache.wicket.markup.html.WebMarkupContainer;
import org.apache.wicket.model.AbstractReadOnlyModel;
import org.apache.wicket.model.PropertyModel;

import java.util.List;

public class ResizeableNavigationToolbar extends AbstractToolbar {

    public ResizeableNavigationToolbar(DataTable<?, ?> table, List<Long> itemsPerPageChoices) {
        super(table);

        table.setOutputMarkupId(true);

        WebMarkupContainer cell = new WebMarkupContainer("span");

        cell.add(AttributeModifier.replace("colspan", new AbstractReadOnlyModel<Object>() {
            @Override
            public Object getObject() {
                return getTable().getColumns().size();
            }
        }));


        cell.add(new NavigatorLabel("navigatorLabel", table));

        cell.add(new GenericPagingNavigator("navigator", table));

        cell.add(new AjaxDropDownChoice<Long>("rows", new PropertyModel<Long>(table, "itemsPerPage"), itemsPerPageChoices) {
            @Override
            public void onNewSelection(AjaxRequestTarget target, Long objectSelected) {
                target.add(getTable());
            }
        });

        add(cell);
    }
}
