package se.su.dsv.scipro.datatables.target;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.link.Link;
import org.apache.wicket.markup.html.list.ListItem;
import org.apache.wicket.markup.html.list.ListView;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.PropertyModel;
import se.su.dsv.scipro.applicationperiod.AdminEditTargetsPage;
import se.su.dsv.scipro.components.ListAdapterModel;
import se.su.dsv.scipro.match.ApplicationPeriod;
import se.su.dsv.scipro.match.ApplicationPeriodFacade;
import se.su.dsv.scipro.system.ProjectType;

import javax.inject.Inject;
import java.util.Set;

public class AddTargetLinkPanel extends Panel {

    @Inject
    private ApplicationPeriodFacade applicationPeriodFacade;

    public AddTargetLinkPanel(String id, final IModel<ApplicationPeriod> model) {
        super(id, model);

        add(new ListView<ProjectType>("list", new ListAdapterModel<>(new PropertyModel<Set<ProjectType>>(model, "projectTypes"))) {
            @Override
            protected void populateItem(ListItem<ProjectType> item) {
                item.add(new Label("pc", item.getModelObject().getName()));
                item.add(new Label("total", String.valueOf(applicationPeriodFacade.totalTargets(model.getObject(), item.getModelObject()))));
                item.add(new Label("remaining", String.valueOf(applicationPeriodFacade.remainingTargets(model.getObject(), item.getModelObject()))));
            }
        });
        add(new Link<Void>("editTarget"){
            @Override
            public void onClick() {
                setResponsePage(new AdminEditTargetsPage(model));
            }
        });
    }
}
