package se.su.dsv.scipro.finalseminar;

import org.apache.wicket.model.AbstractReadOnlyModel;
import org.apache.wicket.model.IModel;
import se.su.dsv.scipro.components.BootstrapDateTimeComponent;

import javax.inject.Inject;
import java.util.Date;

public class FinalSeminarDateTimeComponent extends BootstrapDateTimeComponent {
    @Inject
    private FinalSeminarSettingsService finalSeminarSettings;

    public FinalSeminarDateTimeComponent(final String id) {
        super(id);
    }

    public FinalSeminarDateTimeComponent(final String id, final IModel<Date> model) {
        super(id, model);
    }

    @Override
    protected void onInitialize() {
        super.onInitialize();
        setRequired(true);
    }

    @Override
    protected IModel<String> dateHelpText() {
        return new AbstractReadOnlyModel<String>() {
            @Override
            public String getObject() {
                int daysAhead = finalSeminarSettings.getInstance().getDaysAheadToCreate();
                return "(at least " + daysAhead + " work days away from now)";
            }
        };
    }
}
