package se.su.dsv.scipro.finalseminar;

import org.apache.wicket.validation.validator.DateValidator;
import se.su.dsv.scipro.misc.DaysService;
import se.su.dsv.scipro.reusable.SciProUtilities;

import javax.inject.Inject;
import java.util.Date;

public class SeminarDateValidator extends DateValidator {

    private final FinalSeminar finalSeminar;
    @Inject
    private DaysService daysService;
    @Inject
    private FinalSeminarSettingsService finalSeminarSettingService;

    public SeminarDateValidator(FinalSeminar finalSeminar, String format)
    {
        super(new Date(), null, format);
        this.finalSeminar = finalSeminar;
    }

    @Override
    public Date getMinimum() {
        if (finalSeminar.getProject().isFinalSeminarRuleExempted()) {
            return null;
        }
        else {
            Date now = SciProUtilities.setTimeOfDayTo0000(new Date());
            Integer daysAheadToCreate = finalSeminarSettingService.getInstance().getDaysAheadToCreate();
            return daysService.workDaysAfter(now, daysAheadToCreate);
        }
    }
}