package se.su.dsv.scipro.finalseminar;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.CompoundPropertyModel;
import se.su.dsv.scipro.components.DateLabel;
import se.su.dsv.scipro.data.enums.DateStyle;

public class SeminarNonCRUDPanel extends Panel {

    static final String SEMINAR_MAX_PARTICIPANTS = "maxParticipants";
    static final String SEMINAR_MAX_OPPOSITIONS = "maxOpponents";
    static final String SEMINAR_ROOM = "room";
    static final String SEMINAR_DATE = "startDate";
    static final String SEMINAR_PRESENTATION_LANGUAGE = "presentationLanguage.name";
    static final String SEMINAR_REPORT_LANGUAGE = "reportLanguage.name";

    public SeminarNonCRUDPanel(String id, CompoundPropertyModel<FinalSeminar> seminar) {
        super(id, seminar);

        add(new Label(SEMINAR_MAX_OPPOSITIONS));
        add(new Label(SEMINAR_MAX_PARTICIPANTS));
        add(new Label(SEMINAR_ROOM));
        add(new Label(SEMINAR_PRESENTATION_LANGUAGE));
        add(new Label(SEMINAR_REPORT_LANGUAGE));

        add(new DateLabel(SEMINAR_DATE, DateStyle.DATETIME));
    }
}
