package se.su.dsv.scipro.forum.pages.threaded;

import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightAuthorMyProjects;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightForum;
import se.su.dsv.scipro.forum.ProjectForum;
import se.su.dsv.scipro.forum.ProjectForumService;
import se.su.dsv.scipro.forum.dataobjects.ProjectThread;
import se.su.dsv.scipro.forum.pages.ProjectForumBasePage;
import se.su.dsv.scipro.forum.panels.threaded.SubmitForumThreadPanel;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.project.pages.AbstractProjectDetailsPage;
import se.su.dsv.scipro.security.auth.Authorization;
import se.su.dsv.scipro.security.auth.ProjectModuleComponent;
import se.su.dsv.scipro.security.auth.roles.Roles;
import se.su.dsv.scipro.system.ProjectModule;
import se.su.dsv.scipro.util.PageParameterKeys;

import javax.inject.Inject;

@Authorization(authorizedRoles = {Roles.AUTHOR})
@ProjectModuleComponent(ProjectModule.FORUM)
public class ProjectCreateForumThreadPage extends AbstractProjectDetailsPage implements MenuHighlightAuthorMyProjects, MenuHighlightForum {

@Inject
private ProjectForumService projectForumService;

    public ProjectCreateForumThreadPage(PageParameters pp) {
        super(pp);
        add(new BookmarkablePageLink<Void>(BACK_LINK, ProjectForumBasePage.class, getPageParameters(projectModel.getObject())));
        add(new SubmitForumThreadPanel<ProjectThread>(CREATE_THREAD, new ProjectForum(projectForumService, projectModel)){
            @Override
            public void onThreadCreated(final ProjectThread thread) {
                PageParameters pp = new PageParameters();
                pp.add(PageParameterKeys.MAP.get(Project.class), projectModel.getObject().getId());
                setResponsePage(ProjectThreadedForumPage.class, pp);
            }
        });
    }

    static final String BACK_LINK = "backLink";
    static final String CREATE_THREAD = "createThread";
}