package se.su.dsv.scipro.forum.panels;

import org.apache.wicket.Component;
import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.ajax.markup.html.AjaxFallbackLink;
import org.apache.wicket.markup.ComponentTag;
import org.apache.wicket.markup.html.WebComponent;
import org.apache.wicket.markup.html.panel.Panel;
import se.su.dsv.scipro.forum.ProjectForumService;

import javax.inject.Inject;

public abstract class AbstractReadStatePanel extends Panel {
    @Inject
    ProjectForumService projectForumService;

    private final Component icon;

    public AbstractReadStatePanel(final String id) {
        super(id);

        AjaxFallbackLink<Void> link = new AjaxFallbackLink<Void>(TOGGLE) {
            @Override
            public void onClick(final AjaxRequestTarget target) {
                toggleReadState(target);
                target.add(icon);
            }
        };
        add(link);

        icon = new UpdatingImage(ICON);
        icon.setOutputMarkupId(true);
        link.add(icon);
    }

    protected abstract boolean isRead();
    protected abstract void toggleReadState(final AjaxRequestTarget target);

    public static final String TOGGLE = "toggle";
    static final String ICON = "icon";

    private class UpdatingImage extends WebComponent {

        public UpdatingImage(String id) {
            super(id);
        }

        @Override
        protected void onComponentTag(final ComponentTag tag) {
            super.onComponentTag(tag);
            String color = isRead() ? "white" : "red";
            tag.append("style", "color:" + color, ";");
        }
    }
}
