package se.su.dsv.scipro.forum.panels.threaded;

import org.apache.wicket.Component;
import org.apache.wicket.Page;
import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import org.apache.wicket.model.IModel;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import se.su.dsv.scipro.forum.dataobjects.ProjectThread;
import se.su.dsv.scipro.forum.pages.ProjectForumBasePage;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.util.PageParameterKeys;

public class ViewProjectForumThreadPanel extends ViewForumThreadPanel<ProjectThread> {
    private final IModel<Project> projectModel;

    public ViewProjectForumThreadPanel(final String id, final IModel<ProjectThread> model, final se.su.dsv.scipro.forum.ForumThread<ProjectThread> forumThread, final IModel<Project> projectModel) {
        super(id, model, forumThread);
        this.projectModel = projectModel;
    }

    @Override
    protected Component newBackLink(final String id) {
        return new BookmarkablePageLink<Void>(id, getForumPage(), getProjectParameters(projectModel.getObject()));
    }

    protected Class<? extends Page> getForumPage() {
        return ProjectForumBasePage.class;
    }

    private PageParameters getProjectParameters(final Project project) {
        PageParameters pp = new PageParameters();
        pp.add(PageParameterKeys.MAP.get(Project.class), project.getId());
        return pp;
    }

    @Override
    protected void onDetach() {
        projectModel.detach();
        super.onDetach();
    }
}
