package se.su.dsv.scipro.grading;

import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.form.SubmitLink;
import org.apache.wicket.markup.html.panel.FeedbackPanel;
import org.apache.wicket.markup.html.panel.Panel;

public class ScrollingSaveButtonPanel extends Panel {

    public static final String FEEDBACK_PANEL = "feedbackPanel";
    private static final String SUBMIT_LINK = "submitLink";
    private final Form form;

    public ScrollingSaveButtonPanel(String id, Form form) {
        super(id);
        this.form = form;

        setOutputMarkupId(true);

        final FeedbackPanel feedbackPanel = new FeedbackPanel(FEEDBACK_PANEL);
        feedbackPanel.setOutputMarkupId(true);
        feedbackPanel.setMaxMessages(1);
        add(feedbackPanel);

        add(new SubmitLink(SUBMIT_LINK, form));
    }

    @Override
    protected void onConfigure() {
        super.onConfigure();
        setVisible(form.isEnabledInHierarchy());
    }
}
