package se.su.dsv.scipro.log4j;

import org.apache.logging.log4j.core.LogEvent;
import org.apache.logging.log4j.core.config.plugins.Plugin;
import org.apache.logging.log4j.core.lookup.StrLookup;

/**
 * Lookup that makes the logger name available for interpolation in
 * {@code log4j2.xml}. Used to give every worker its own log file.
 */
@SuppressWarnings("unused")
@Plugin(name = "logger", category = "Lookup")
public class LoggerNameLookup implements StrLookup {
    @Override
    public String lookup(String key) {
        return null;
    }

    @Override
    public String lookup(LogEvent event, String key) {
        if (key.equals("simple")) {
            int last = event.getLoggerName().lastIndexOf('.') + 1;
            return event.getLoggerName().substring(last);
        }
        else if (key.equals("qualified")) {
            return event.getLoggerName();
        }
        return null;
    }
}
