package se.su.dsv.scipro.match;

import org.apache.wicket.request.mapper.parameter.PageParameters;
import se.su.dsv.scipro.components.AbstractMenuPanel;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightSupervisorMyIdeas;
import se.su.dsv.scipro.supervisor.pages.AbstractSupervisorPage;

import java.util.ArrayList;
import java.util.List;

public abstract class AbstractSupervisorProjectIdeaPage extends AbstractSupervisorPage {

    public AbstractSupervisorProjectIdeaPage(PageParameters pp) {
        super(pp);
        addSubMenu();
    }

    private void addSubMenu() {
        add(new AbstractMenuPanel("menuPanel", AbstractSupervisorProjectIdeaPage.class, this.getClass()) {

            @Override
            protected MenuType getMenuType() {
                return MenuType.HORIZONTAL;
            }

            @Override
            protected List<MenuItem> getItemList() {
                final List<MenuItem> items = new ArrayList<>();
                items.add(new MenuItem("My ideas", SupervisorIdeaStartPage.class, MenuHighlightSupervisorMyIdeas.class));
                items.add(new MenuItem("View all supervisor ideas", SupervisorNewAllSupervisorIdeasPage.class));
                items.add(new MenuItem("View all student ideas", SupervisorAllStudentIdeasPage.class));
                return items;
            }
        });
    }
}
