package se.su.dsv.scipro.match;

import org.apache.wicket.extensions.markup.html.repeater.data.grid.ICellPopulator;
import org.apache.wicket.extensions.markup.html.repeater.data.table.IColumn;
import org.apache.wicket.extensions.markup.html.repeater.data.table.PropertyColumn;
import org.apache.wicket.extensions.markup.html.repeater.data.table.export.AbstractExportableColumn;
import org.apache.wicket.markup.html.basic.MultiLineLabel;
import org.apache.wicket.markup.repeater.Item;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.Model;

import java.util.ArrayList;
import java.util.List;

public class AdminIdeaPopupPanel extends AbstractAdminIdeaPanel {

    public AdminIdeaPopupPanel(String id) {
        super(id);
    }

    @Override
    protected List<IColumn<Idea, String>> addPanelSpecificColumns() {
        List<IColumn<Idea, String>> list = new ArrayList<>();
        list.add(new PropertyColumn<Idea, String>(Model.of("Supervisor unit"), "match.supervisor.unit.title"));
        list.add(new AbstractExportableColumn<Idea, String, String>(Model.of("Watson")) {
            @Override
            public void populateItem(Item<ICellPopulator<Idea>> item, String id, IModel<Idea> model) {
                item.add(new MultiLineLabel(id, getWatsonString(model)));
            }

            @Override
            public IModel<String> getDataModel(IModel<Idea> rowModel) {
                return Model.of(getWatsonString(rowModel));
            }

            private String getWatsonString(IModel<Idea> model) {
                String watsonString = "";
                if (model.getObject().getWatson() != null && model.getObject().getWatson().getWhat() != null && !model.getObject().getWatson().getWhat().isEmpty()) {
                    watsonString = watsonString + "WHAT: " + model.getObject().getWatson().getWhat();
                }
                if (model.getObject().getWatson() != null && model.getObject().getWatson().getWhy() != null && !model.getObject().getWatson().getWhy().isEmpty()) {
                    watsonString = watsonString + "\n\nWHY: " + model.getObject().getWatson().getWhy();
                }
                if (model.getObject().getWatson() != null && model.getObject().getWatson().getTheoryHow() != null && !model.getObject().getWatson().getTheoryHow().isEmpty()) {
                    watsonString = watsonString + "\n\nTHEORETICALLY HOW: " + model.getObject().getWatson().getTheoryHow();
                }
                if (model.getObject().getWatson() != null && model.getObject().getWatson().getPracticalHow() != null && !model.getObject().getWatson().getPracticalHow().isEmpty()) {
                    watsonString = watsonString + "\n\nPRACTICALLY HOW: " + model.getObject().getWatson().getPracticalHow();
                }
                return watsonString;
            }
        });
        list.add(new PropertyColumn<Idea, String>(Model.of("Research area"), "researchArea.title"));
        list.add(new KeywordsColumn<String>(Model.of("Keywords")));
        list.add(new PropertyColumn<Idea, String>(Model.of("Description"), "description"));
        list.add(new PropertyColumn<Idea, String>(Model.of("Prerequisites"), "prerequisites"));
        return list;
    }
}
