package se.su.dsv.scipro.match;

import org.apache.commons.lang3.StringUtils;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.AbstractReadOnlyModel;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.PropertyModel;

public class IdeaWatsonInfoPanel extends Panel {


    public static final String WAITING_FOR_STUDENT_TO_FILL_IN = "Waiting for student to fill in";

    public IdeaWatsonInfoPanel(String id, IModel<Idea> model) {
		super(id, model);
        add(new Label("what", watsonModel(new PropertyModel<String>(model, "watson.what"))));
        add(new Label("why", watsonModel(new PropertyModel<String>(model, "watson.why"))));
        add(new Label("theory", watsonModel(new PropertyModel<String>(model, "watson.theoryHow"))));
        add(new Label("practical", watsonModel(new PropertyModel<String>(model, "watson.practicalHow"))));
    }

    private IModel<String> watsonModel(final IModel<String> inner) {
        return new AbstractReadOnlyModel<String>() {
            @Override
            public String getObject() {
                final String value = inner.getObject();
                return StringUtils.isNotEmpty(value) ? value : WAITING_FOR_STUDENT_TO_FILL_IN;
            }
        };
    }
}
