package se.su.dsv.scipro.milestones.panels;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.Model;
import se.su.dsv.scipro.milestones.dataobjects.MilestoneActivityTemplate;
import se.su.dsv.scipro.milestones.service.MilestoneActivityTemplateService;
import se.su.dsv.scipro.project.Project;

import javax.inject.Inject;

public class MileStoneCounterPanel extends Panel {

    @Inject
    private MilestoneActivityTemplateService activityService;

    public MileStoneCounterPanel(String id, IModel<Long> completed, MilestoneActivityTemplate.Type type, IModel<Project> projectIModel) {
        super(id);
        add(new Label(COMPLETED, completed));
        add(new Label(TOTAL, Model.of(activityService.countActivities(type, projectIModel.getObject().getProjectType(), projectIModel.getObject().getDateCreated()))));
    }

    static final String COMPLETED = "completed";
    static final String TOTAL = "total";
}
