package se.su.dsv.scipro.peer;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.basic.MultiLineLabel;
import org.apache.wicket.markup.html.image.ContextImage;
import org.apache.wicket.markup.html.panel.GenericPanel;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.PropertyModel;
import org.apache.wicket.model.ResourceModel;

public class DisplayQuestionPanel extends GenericPanel<Answer> {

    public DisplayQuestionPanel(String id, final IModel<Answer> model, int index) {
        super(id, model);
        add(new Label("question", new PropertyModel<String>(getModel(), "question")));
        add(new Label("questionNumber", String.valueOf(index + 1)));
        add(new ContextImage("image", getImagePath()));
        add(new Label("answerLabel", new ResourceModel(getModelObject().getAnswer().name())));
        addMotivation();
    }

    private void addMotivation() {
        final IModel<String> motivation = new PropertyModel<>(getModel(), "motivation");
        add(new MultiLineLabel("motivation", motivation));
        add(new Label("noMotivation", new ResourceModel("no.motivation")) {
            @Override
            protected void onConfigure() {
                setVisible(motivation.getObject() == null);
            }
        });
    }

    private String getImagePath() {
        switch (getModelObject().getAnswer()) {
            case YELLOW:
                return "images/icons/bullet_ball_glass_yellow.png";
            case RED:
                return "images/icons/bullet_ball_glass_red.png";
            case GREEN:
                return "images/icons/bullet_ball_glass_green.png";
            case NOT_APLICABLE:
                return "images/icons/bullet_ball_glass_grey.png";
            default:
                throw new IllegalStateException("unknown answer");
        }
    }
}
