package se.su.dsv.scipro.peer;

import org.apache.wicket.model.IModel;
import org.apache.wicket.model.LoadableDetachableModel;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import scala.Option;
import se.su.dsv.scipro.components.NullableOptionModel;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightAuthorMyProjects;
import se.su.dsv.scipro.session.SciProSession;

import javax.inject.Inject;

public class PeerPortalPage extends AbstractPeerPortalPage implements MenuHighlightAuthorMyProjects {

    @Inject
    private PerformReviewService performReviewService;

    public PeerPortalPage(PageParameters pp) {
        super(pp);
        add(new PeerPortalHeader("header", projectModel));
        add(new PeerRequestSelectionPanel("peerSelection", projectModel));
        IModel<PeerReview> peerReview = new NullableOptionModel<>(new LoadableDetachableModel<Option<PeerReview>>() {
            @Override
            protected Option<PeerReview> load() {
                return performReviewService.getInProgressReview(SciProSession.get().getUser(), getActiveProject());
            }
        });
        add(new PerformReviewPanel("performReview", peerReview));
    }

}
