package se.su.dsv.scipro.peer;

import org.apache.wicket.markup.html.basic.EnumLabel;
import org.apache.wicket.markup.html.basic.MultiLineLabel;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.CompoundPropertyModel;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.PropertyModel;
import se.su.dsv.scipro.components.DateLabel;
import se.su.dsv.scipro.data.enums.DateStyle;
import se.su.dsv.scipro.file.FileDescription;
import se.su.dsv.scipro.profile.UserLabel;
import se.su.dsv.scipro.repository.panels.ViewAttachmentPanel;

public class ReviewPageRequestDetailsPanel extends Panel {
    public ReviewPageRequestDetailsPanel(final String id, final IModel<PeerRequest> request) {
        super(id, new CompoundPropertyModel<>(request));

        add(new UserLabel("requester"));
        add(new DateLabel("dateCreated", DateStyle.DATETIME));
        add(new EnumLabel<RequestStatus>("status"));
        add(new ViewAttachmentPanel("file", new PropertyModel<FileDescription>(request, "file")));
        add(new MultiLineLabel("comment"));
    }
}
