package se.su.dsv.scipro.peer;

import org.apache.wicket.model.IModel;
import org.apache.wicket.model.PropertyModel;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightSupervisorAllPeers;
import se.su.dsv.scipro.data.DetachableServiceModel;
import se.su.dsv.scipro.profile.UserLinkPanel;
import se.su.dsv.scipro.supervisor.pages.AbstractSupervisorAllProjectsPage;
import se.su.dsv.scipro.system.User;
import se.su.dsv.scipro.util.PageParameterKeys;

import javax.inject.Inject;

public class SupervisorViewPeerReviewAllPeersPage extends AbstractSupervisorAllProjectsPage implements MenuHighlightSupervisorAllPeers {

    @Inject
    private PeerReviewService peerReviewService;

    public SupervisorViewPeerReviewAllPeersPage(PageParameters pp) {
        super(pp);
        long reviewId = pp.get(PageParameterKeys.MAP.get(PeerReview.class)).toLong();
        IModel<PeerReview> reviewModel = new DetachableServiceModel<>(peerReviewService, reviewId);
        add(new DisplayReviewPanel("review", reviewModel));
        add(new ReviewPageRequestDetailsPanel("request", new PropertyModel<PeerRequest>(reviewModel, "peerRequest")));
        add(new UserLinkPanel("reviewer", new PropertyModel<User>(reviewModel, "reviewer")));
    }
}
