package se.su.dsv.scipro.phd;

import org.apache.wicket.feedback.FencedFeedbackPanel;
import org.apache.wicket.markup.html.list.ListItem;
import org.apache.wicket.markup.html.list.ListView;
import org.apache.wicket.markup.html.panel.GenericPanel;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.PropertyModel;
import org.apache.wicket.model.ResourceModel;
import se.su.dsv.scipro.components.InfoPanel;
import se.su.dsv.scipro.components.ListAdapterModel;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.security.auth.ProjectModuleComponent;
import se.su.dsv.scipro.system.ProjectModule;
import se.su.dsv.scipro.system.User;

import java.util.Set;

@ProjectModuleComponent(ProjectModule.DEPARTMENT_SERVICE)
public class DepartmentServicePanel extends GenericPanel<Project> {

    public DepartmentServicePanel(String id, IModel<Project> model) {
        super(id, model);
        add(new FencedFeedbackPanel("feedback", this));
        ListView<User> list = new ListView<User>("projectParticipants",
                new ListAdapterModel<>(new PropertyModel<Set<User>>(model, "projectParticipants"))) {
            @Override
            protected void populateItem(ListItem<User> item) {
                item.add(new DepartmentServiceByUserPanel("servicePanel", item.getModel()));
            }
        };
        add(list.setReuseItems(true));
        add(new InfoPanel("infoPanel", new ResourceModel("info.text")));
    }
}
