package se.su.dsv.scipro.project.panels;

import org.apache.wicket.markup.html.link.ExternalLink;
import org.apache.wicket.markup.html.list.ListItem;
import org.apache.wicket.markup.html.list.ListView;
import org.apache.wicket.markup.html.panel.GenericPanel;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.LoadableDetachableModel;
import org.apache.wicket.model.PropertyModel;
import se.su.dsv.scipro.system.ExternalResource;
import se.su.dsv.scipro.system.ExternalResourceService;
import se.su.dsv.scipro.system.ProjectType;

import javax.inject.Inject;
import java.util.List;

public class ExternalResourcesPanel extends GenericPanel<ProjectType> {
    @Inject
    private ExternalResourceService externalResourceService;

    public ExternalResourcesPanel(final String id, final IModel<ProjectType> model) {
        super(id, model);

        add(new ListView<ExternalResource>("resources", getResources()) {
            @Override
            protected void populateItem(final ListItem<ExternalResource> item) {
                IModel<ExternalResource> resource = item.getModel();
                item.add(new ExternalLink("link", new PropertyModel<String>(resource, "url"), new PropertyModel<String>(resource, "label")));
            }
        });
    }

    private LoadableDetachableModel<List<? extends ExternalResource>> getResources() {
        return new LoadableDetachableModel<List<? extends ExternalResource>>() {
            @Override
            protected List<? extends ExternalResource> load() {
                return externalResourceService.findBy(getModelObject());
            }
        };
    }

    @Override
    protected void onConfigure() {
        setVisible(!getResources().getObject().isEmpty());
    }
}
