package se.su.dsv.scipro.projectpartner;

import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.form.TextField;
import org.apache.wicket.markup.html.panel.FeedbackPanel;
import org.apache.wicket.model.LoadableDetachableModel;
import org.apache.wicket.model.PropertyModel;
import se.su.dsv.scipro.generalsystemsettings.GeneralSystemSettings;
import se.su.dsv.scipro.generalsystemsettings.GeneralSystemSettingsService;
import se.su.dsv.scipro.match.AbstractAdminMatchPage;
import se.su.dsv.scipro.security.auth.Authorization;
import se.su.dsv.scipro.security.auth.roles.Roles;

import javax.inject.Inject;

@Authorization(authorizedRoles = {Roles.ADMIN})
public class AdminProjectPartnerPage extends AbstractAdminMatchPage {

    @Inject
    private GeneralSystemSettingsService generalSystemSettingsService;

    public AdminProjectPartnerPage() {
        add(new FeedbackPanel("feedback"));

        Form<GeneralSystemSettings> daysForm = new Form<GeneralSystemSettings>("daysForm", getSettings()) {
            @Override
            protected void onSubmit() {
                generalSystemSettingsService.save(getModelObject());
                info("Settings saved");
            }
        };
        daysForm.add(new TextField<>("amountOfDaysField", new PropertyModel<Integer>(daysForm.getModel(), "projectPartnerDaysToLive")));
        add(daysForm);
        add(new ProjectPartnerPanel("ppanel"));


    }

    private LoadableDetachableModel<GeneralSystemSettings> getSettings() {
        return new LoadableDetachableModel<GeneralSystemSettings>() {
            @Override
            protected GeneralSystemSettings load() {
                return generalSystemSettingsService.getGeneralSystemSettingsInstance();
            }
        };
    }

}
