package se.su.dsv.scipro.projectpartner;

import org.apache.wicket.injection.Injector;
import org.apache.wicket.markup.repeater.data.IDataProvider;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.Model;
import org.springframework.data.domain.PageRequest;

import javax.inject.Inject;
import java.util.Iterator;

public class ProjectPartnerDataProvider implements IDataProvider<ProjectPartner> {

    @Inject
    private ProjectPartnerService projectPartnerService;

    private int days;

    @Override
    public void detach() {}

    public ProjectPartnerDataProvider(int days) {
        Injector.get().inject(this);
        this.days = days;
    }

    @Override
    public Iterator<? extends ProjectPartner> iterator(long first, long count) {
        return projectPartnerService.getProjectPartnerInSpan(days, new PageRequest(first, count)).iterator();
    }

    @Override
    public long size() {
        return projectPartnerService.countProjectPartnerInSpan(days);
    }

    @Override
    public IModel<ProjectPartner> model(ProjectPartner object) {
        return Model.of(object);
    }

}
