package se.su.dsv.scipro.repository.panels;

import org.apache.wicket.markup.html.panel.GenericPanel;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.PropertyModel;
import se.su.dsv.scipro.components.DateLabel;
import se.su.dsv.scipro.data.enums.DateStyle;
import se.su.dsv.scipro.file.FileDescription;
import se.su.dsv.scipro.repository.components.FileDownloadLink;

import java.util.Date;

public class ViewAttachmentPanel extends GenericPanel<FileDescription> {

    private DateStyle dateStyle;

    public ViewAttachmentPanel(String id, DateStyle dateStyle) {
        super(id);
        this.dateStyle = dateStyle;
    }

    public ViewAttachmentPanel(String id, IModel<FileDescription> model) {
        super(id, model);
    }

    public ViewAttachmentPanel(String id, IModel<FileDescription> model, DateStyle dateStyle) {
        super(id, model);
        this.dateStyle = dateStyle;
    }

    @Override
    protected void onInitialize() {
        super.onInitialize();
        add(new FileDownloadLink<>(NAME, getModel()).setBody(new PropertyModel<>(getModel(), "name")));

        add(new DateLabel(UPLOAD_TIME, new PropertyModel<Date>(getModel(), "dateCreated"), dateStyle) {
            @Override
            protected void onConfigure() {
                super.onConfigure();
                setVisibilityAllowed(dateStyle != null);
            }
        });
    }

    @Override
    protected void onConfigure() {
        super.onConfigure();
        setVisibilityAllowed(getModelObject() != null);
    }

    static final String NAME = "name";
    static final String UPLOAD_TIME = "dateCreated";
}
