package se.su.dsv.scipro.reviewer;

import org.apache.wicket.request.mapper.parameter.PageParameters;
import se.su.dsv.scipro.basepages.MenuPage;
import se.su.dsv.scipro.generalsystemsettings.GeneralSystemSettingsService;
import se.su.dsv.scipro.security.auth.Authorization;
import se.su.dsv.scipro.security.auth.roles.Roles;
import se.su.dsv.scipro.session.SciProSession;
import se.su.dsv.scipro.springdata.services.UserProfileService;

import javax.inject.Inject;

@Authorization(authorizedRoles = {Roles.REVIEWER})
public abstract class ReviewerPage extends MenuPage {

    @Inject
    private GeneralSystemSettingsService generalSystemSettingsService;

    @Inject
    private UserProfileService userProfileService;

    protected ReviewerPage() {
        saveSelectedRole();
    }

    public ReviewerPage(PageParameters pp) {
        super(pp);
        saveSelectedRole();
        SciProSession.get().setSystemModules(generalSystemSettingsService.getGeneralSystemSettingsInstance().getSystemModules());
    }

    private void saveSelectedRole() {
        userProfileService.setSelectedRole(SciProSession.get().getUser(), Roles.REVIEWER);
    }
}