package se.su.dsv.scipro.reviewer.timeline;

import org.apache.wicket.markup.html.basic.EnumLabel;
import org.apache.wicket.markup.html.basic.MultiLineLabel;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.PropertyModel;
import se.su.dsv.scipro.components.DateLabel;
import se.su.dsv.scipro.data.enums.DateStyle;
import se.su.dsv.scipro.file.FileDescription;
import se.su.dsv.scipro.profile.UserLinkPanel;
import se.su.dsv.scipro.repository.panels.ViewAttachmentPanel;
import se.su.dsv.scipro.reviewing.Decision;
import se.su.dsv.scipro.reviewing.ReviewerApproval;
import se.su.dsv.scipro.system.User;

import java.util.Date;

class RequestedPanel extends Panel {
    public RequestedPanel(final String id, final IModel<Decision> decision) {
        super(id);
        add(new EnumLabel<>("topic", new PropertyModel<ReviewerApproval.Step>(decision, "reviewerApproval.step")));
        add(new DateLabel("when", new PropertyModel<Date>(decision, "requested"), DateStyle.DATETIME));
        add(new UserLinkPanel("supervisor", new PropertyModel<User>(decision, "reviewerApproval.project.headSupervisor")));
        add(new MultiLineLabel("message", new PropertyModel<String>(decision, "comment")).setRenderBodyOnly(true));
        add(new ViewAttachmentPanel("thesis", new PropertyModel<FileDescription>(decision, "thesis")));
    }
}
