package se.su.dsv.scipro.statistics;

import org.apache.wicket.extensions.markup.html.repeater.data.table.IColumn;
import org.apache.wicket.extensions.markup.html.repeater.data.table.PropertyColumn;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.Model;
import se.su.dsv.scipro.components.DateColumn;
import se.su.dsv.scipro.milestones.dataobjects.Milestone;
import se.su.dsv.scipro.milestones.dataobjects.MilestoneActivityTemplate;
import se.su.dsv.scipro.milestones.service.MileStoneService;

import java.util.ArrayList;
import java.util.List;

public class ProjectMilestoneDetailsPanel extends AbstractMilestoneDetailsPanel {
    public ProjectMilestoneDetailsPanel(String id, IModel<MilestoneActivityTemplate> model, MileStoneService.Filter filter) {
        super(id, model, filter);
    }

    @Override
    protected List<IColumn<Milestone, String>> createColumns() {
        List<IColumn<Milestone, String>> columns = new ArrayList<>();
        columns.add(new DateColumn<Milestone>(Model.of("Project started"), "project.dateCreated", "project.dateCreated"));
        columns.add(new PropertyColumn<Milestone, String>(Model.of("Title"), "project.title", "project.title"));
        columns.add(new PropertyColumn<Milestone, String>(Model.of("Type"), "project.projectType.name", "project.projectTypeName"));
        columns.add(new PropertyColumn<Milestone, String>(Model.of("Authors"), "project.authorNames"));
        columns.add(new PropertyColumn<Milestone, String>(Model.of("Status"), "project.projectStatus"));
        columns.add(new PropertyColumn<Milestone, String>(Model.of("Supervisor"), "project.headSupervisor.firstName", "project.headSupervisor.firstName"));
        columns.add(new DateColumn<Milestone>(Model.of("Milestone completed"), "lastModified", "lastModified"));
        return columns;
    }
}
