package se.su.dsv.scipro.supervisor.pages;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.Model;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightSupervisorMyGroups;
import se.su.dsv.scipro.data.DetachableServiceModel;
import se.su.dsv.scipro.group.EditGroupPanel;
import se.su.dsv.scipro.group.Group;
import se.su.dsv.scipro.group.GroupService;
import se.su.dsv.scipro.security.auth.SystemModuleComponent;
import se.su.dsv.scipro.session.SciProSession;
import se.su.dsv.scipro.system.SystemModule;
import se.su.dsv.scipro.util.PageParameterKeys;

import javax.inject.Inject;

@SystemModuleComponent(SystemModule.GROUP)
public class SupervisorEditGroupPage extends AbstractSupervisorPage implements MenuHighlightSupervisorMyGroups {

    @Inject
    private GroupService groupService;

    public SupervisorEditGroupPage(PageParameters pp) {

        final IModel<Group> model = new DetachableServiceModel<>(groupService);

        if (pp.get(PageParameterKeys.MAP.get(Group.class)).isNull()){
            Group group = new Group();
            group.setUser(SciProSession.get().getUser());
            model.setObject(group);
            add(new Label("context", Model.of("Create new group")));
        } else {
            model.setObject(groupService.findOne(pp.get(PageParameterKeys.MAP.get(Group.class)).toLong()));
            add(new Label("context", Model.of("Edit group")));
        }

        add(new EditGroupPanel("createGroupPanel", model));

    }
}