package se.su.dsv.scipro.supervisor.pages;

import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightSupervisorMyGroups;
import se.su.dsv.scipro.forum.GroupForumService;
import se.su.dsv.scipro.forum.dataobjects.ForumThread;
import se.su.dsv.scipro.forum.dataobjects.GroupThread;
import se.su.dsv.scipro.forum.panels.threaded.SubmitForumThreadPanel;
import se.su.dsv.scipro.group.Group;
import se.su.dsv.scipro.group.GroupForum;
import se.su.dsv.scipro.util.PageParameterKeys;

import javax.inject.Inject;


public class SupervisorGroupCreateThreadPage extends AbstractSupervisorGroupPage implements MenuHighlightSupervisorMyGroups {

    @Inject
    private GroupForumService groupForumService;

    public SupervisorGroupCreateThreadPage(PageParameters pp) {
        super(pp);
        add(new BookmarkablePageLink<Void>("back", SupervisorGroupPage.class, getPageParameters(groupModel.getObject())));
        add(new SubmitForumThreadPanel<GroupThread>("createThread", new GroupForum(groupForumService, groupModel)) {
            @Override
            public void onThreadCreated(final GroupThread thread) {
                PageParameters pp = new PageParameters();
                pp.add(PageParameterKeys.MAP.get(Group.class), groupModel.getObject().getId());
                pp.add(PageParameterKeys.MAP.get(ForumThread.class), thread.getId());
                setResponsePage(SupervisorViewGroupThreadPage.class, pp);
            }
        });
    }
}
