package se.su.dsv.scipro.supervisor.pages;

import org.apache.wicket.request.mapper.parameter.PageParameters;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightSupervisorMyProjects;
import se.su.dsv.scipro.file.FileDescriptionService;
import se.su.dsv.scipro.forum.ForumThread;
import se.su.dsv.scipro.forum.panels.threaded.SubmitForumReplyPanel;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.reviewer.ReviewerInteractionForumThread;
import se.su.dsv.scipro.reviewer.timeline.TimelinePanel;
import se.su.dsv.scipro.reviewing.ReviewerInteractionService;
import se.su.dsv.scipro.security.auth.Authorization;
import se.su.dsv.scipro.security.auth.roles.Roles;
import se.su.dsv.scipro.supervisor.panels.FinalSeminarApprovalPanel;
import se.su.dsv.scipro.supervisor.panels.RoughDraftApprovalPanel;

import javax.inject.Inject;

@Authorization(authorizedRoles = Roles.SUPERVISOR)
public class SupervisorInteractWithReviewerPage extends AbstractSupervisorProjectDetailsPage implements MenuHighlightSupervisorMyProjects {

    @Inject
    private ReviewerInteractionService reviewerInteractionService;
    @Inject
    private FileDescriptionService fileDescriptionService;

    public SupervisorInteractWithReviewerPage(final PageParameters pp) {
        super(pp);

        ForumThread<Project> reviewerThread = new ReviewerInteractionForumThread(reviewerInteractionService, fileDescriptionService);
        add(new RoughDraftApprovalPanel("roughDraftApproval", projectModel));
        add(new FinalSeminarApprovalPanel("finalSeminarApproval", projectModel));
        add(new SubmitForumReplyPanel<>("communication", projectModel, reviewerThread));
        add(new TimelinePanel("timeline", projectModel));

    }

}