package se.su.dsv.scipro.supervisor.pages;

import org.apache.wicket.Page;
import org.apache.wicket.model.IModel;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import se.su.dsv.scipro.milestones.dataobjects.MilestoneActivityTemplate;
import se.su.dsv.scipro.milestones.service.MileStoneService;
import se.su.dsv.scipro.statistics.MilestoneStatisticsPanel;

public class SupervisorMilestoneStatisticsPage extends AbstractSupervisorAllProjectsPage {

    public SupervisorMilestoneStatisticsPage(PageParameters pp) {
        super(pp);
        add(new MilestoneStatisticsPanel("statistics", new MilestoneStatisticsPanel.PageSupplier() {
            @Override
            public Page individualPage(IModel<MilestoneActivityTemplate> model, MileStoneService.Filter filter) {
                return new SupervisorIndividualMilestoneDetailsPage(model, filter);
            }

            @Override
            public Page projectPage(IModel<MilestoneActivityTemplate> model, MileStoneService.Filter filter) {
                return new SupervisorProjectMilestoneDetailsPage(model, filter);
            }

            @Override
            public Page chartPage(MileStoneService.Filter filter) {
                return new SupervisorMilestoneChartPage(filter);
            }
        }));
    }
}
