package se.su.dsv.scipro.supervisor.panels;

import org.apache.wicket.Page;
import se.su.dsv.scipro.components.AbstractMenuPanel;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightSupervisorAllProjects;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightSupervisorMyGroups;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightSupervisorMyProjects;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightSupervisorProjectIdea;
import se.su.dsv.scipro.match.SupervisorIdeaStartPage;
import se.su.dsv.scipro.supervisor.pages.AbstractSupervisorPage;
import se.su.dsv.scipro.supervisor.pages.SupervisorAllProjectsPage;
import se.su.dsv.scipro.supervisor.pages.SupervisorMyGroupsPage;
import se.su.dsv.scipro.supervisor.pages.SupervisorStartPage;
import se.su.dsv.scipro.system.ProjectModule;
import se.su.dsv.scipro.system.ProjectTypeService;

import javax.inject.Inject;
import java.util.ArrayList;
import java.util.List;

public class SupervisorTabMenuPanel extends AbstractMenuPanel {

    @Inject
    private ProjectTypeService projectTypeService;

    public SupervisorTabMenuPanel(String id, Class<? extends Page> containerClass) {
		super(id, AbstractSupervisorPage.class, containerClass);
	}

	@Override
	protected List<MenuItem> getItemList() {

		List<MenuItem> items = new ArrayList<>();
		items.add(new MenuItem("My projects", SupervisorStartPage.class, MenuHighlightSupervisorMyProjects.class));
		items.add(new MenuItem("My groups", SupervisorMyGroupsPage.class, MenuHighlightSupervisorMyGroups.class));
        if (matchIsEnabled()) {
            items.add(new MenuItem("Ideas", SupervisorIdeaStartPage.class, MenuHighlightSupervisorProjectIdea.class));
        }
        items.add(new MenuItem("All projects", SupervisorAllProjectsPage.class, MenuHighlightSupervisorAllProjects.class));
		return items;
	}

    private boolean matchIsEnabled() {
        return projectTypeService.projectTypeWithModuleExists(ProjectModule.MATCH);
    }

    @Override
	protected MenuType getMenuType() {
		return MenuType.TAB_MULTIPLE_ROWS;
	}

}
