package se.su.dsv.scipro.user;

import se.su.dsv.scipro.admin.pages.AbstractAdminPage;
import se.su.dsv.scipro.components.AbstractMenuPanel;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightAdminInternalUsers;

import java.util.List;

import static java.util.Arrays.asList;

public class AbstractAdminUsersPage extends AbstractAdminPage {

    public static final String TABS = "tabs";

    public AbstractAdminUsersPage() {
        add(new AbstractMenuPanel(TABS, AbstractAdminUsersPage.class, this.getClass()) {
            @Override
            protected List<MenuItem> getItemList() {
                return asList(
                        new MenuItem("Roles", AdminRolePage.class),
                        new MenuItem("Local users", AdminInternalUsersPage.class, MenuHighlightAdminInternalUsers.class),
                        new MenuItem("Switch user", AdminSwitchUserPage.class));
            }

            @Override
            protected MenuType getMenuType() {
                return MenuType.HORIZONTAL;
            }
        });
    }
}
