package se.su.dsv.scipro.grading

import java.util

import se.su.dsv.scipro.report.{ProjectGradingCriterion, GradingReport, GradingCriterion}
import java.util.Date
import scala.collection.JavaConverters._

class ProjectCriteriaGradingReportPdf(val gradingReport: GradingReport) extends GradingReportPdf {
  override def getProjectTitle: String = gradingReport.getProject.getTitle

  override def getAuthorName: String = getAuthorNames

  override def getGrade: String = ""

  override def getGradingCriteria: util.List[GradingCriterion] = gradingReport.getGradingCriteria.asScala.filter({
    case c: ProjectGradingCriterion => true
    case _ => false
  }).asJava

  override def getProjectTypeName: String = gradingReport.getProject.getProjectType.getName

  override def getSupervisorName: String = gradingReport.getProject.getHeadSupervisor.getFullName

  override def getReviewerName: String = gradingReport.getProject.getReviewer.getFullName

  override def getLastModified: Date = gradingReport.getLastModified

  override def getAuthorNames: String = gradingReport.getProject.getProjectParticipants.asScala.map(_.getFullName) mkString ", "

  override def getProjectType: String = getProjectTypeName

  override def getPlagiarismFeedback: String = ""
}