package se.su.dsv.scipro.notifications.pages

import org.apache.wicket.request.mapper.parameter.PageParameters
import se.su.dsv.scipro.group.{AuthorGroupPage, Group}
import se.su.dsv.scipro.notifications.dataobject.GroupEvent
import se.su.dsv.scipro.supervisor.pages.SupervisorGroupPage
import se.su.dsv.scipro.system.User

import scala.collection.JavaConverters._

private[pages] trait GroupRedirection {
  def groupLocation(event: GroupEvent): UserBasedLocation = {
    def isSupervisor(user: User) = {
      event.getGroup.getProjects.asScala.exists(project => project.isSupervisor(user) || project.isCoSupervisor(user))
    }
    def isMemberOfGroup(user: User) = event.getGroup.getMembers.asScala.exists(_.getUser == user)

    val pp = new PageParameters
    pp.set(parameter[Group], event.getGroup.getId)

    {
      case user if isSupervisor(user) => (classOf[SupervisorGroupPage], pp)
      case user if isMemberOfGroup(user) => (classOf[AuthorGroupPage], pp)
    }
  }
}
