package se.su.dsv.scipro.notifications.pages

import org.apache.wicket.request.mapper.parameter.PageParameters
import se.su.dsv.scipro.milestones.pages.{ProjectMileStonePage, SupervisorMileStonePage}
import se.su.dsv.scipro.notifications.dataobject.MileStoneEvent
import se.su.dsv.scipro.project.Project

private[pages] trait MilestoneRedirection {
  def milestoneLocation(event: MileStoneEvent): UserBasedLocation = {
    val project = event.getProject

    val pp = new PageParameters
    pp.set(parameter[Project], project.getId)

    {
      case user if project.hasSupervisingRole(user) => (classOf[SupervisorMileStonePage], pp)
      case user if project.isParticipant(user) => (classOf[ProjectMileStonePage], pp)
    }
  }
}
