package se.su.dsv.scipro.repository.components

import javax.inject.Inject

import org.apache.wicket.injection.Injector
import org.apache.wicket.request.resource.IResource.Attributes
import se.su.dsv.scipro._
import se.su.dsv.scipro.file.{FileDescription, PublicFileDescriptionService}

class FileReference extends FileDescriptionResourceReference("fileReference") {

  @Inject private var fileDescriptionService: PublicFileDescriptionService = _

  Injector.get.inject(this)

  override def fileDescription(attributes: Attributes): Option[FileDescription] = for {
    id <- attributes.getParameters.get("file").asLong
    file <- fileDescriptionService.findOne(id)
  } yield file
}
