package se.su.dsv.scipro.activityplan;

import org.apache.wicket.request.mapper.parameter.PageParameters;
import org.junit.Before;
import org.junit.Test;
import org.mockito.Matchers;
import org.mockito.Mockito;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.test.UserBuilder;
import se.su.dsv.scipro.util.PageParameterKeys;

public class AdminEditActivityTemplatePageTest extends SciProTest {

    @Before
    public void setUp() throws Exception {
        ActivityPlanTemplate activityPlanTemplate = new ActivityPlanTemplate();
        activityPlanTemplate.setId(1L);
        activityPlanTemplate.setCreator(new UserBuilder().setId(1L).setEmail("e@mail.com").setFirstName("Nisse").setLastName("Karlsson").create());
        activityPlanTemplate.setIsSysAdminTemplate(true);
        activityPlanTemplate.setDescription("naizz");
        Mockito.when(activityPlanTemplateService.findOne(Matchers.isA(Long.class))).thenReturn(activityPlanTemplate);
    }

    @Test
    public void renders_with_page_parameters() throws Exception {
        startPageWithPageParameters();
        tester.assertRenderedPage(AdminEditActivityTemplatePage.class);
    }

    @Test
    public void renders_without_page_parameters() throws Exception {
        tester.startPage(AdminEditActivityTemplatePage.class);
        tester.assertRenderedPage(AdminEditActivityTemplatePage.class);
    }

    @Test
    public void contents() throws Exception {
        startPageWithPageParameters();
        tester.assertComponent(path(AdminEditActivityTemplatePage.PANEL), EditActivityTemplatePanel.class);
    }

    private void startPageWithPageParameters() {
        tester.startPage(AdminEditActivityTemplatePage.class, getPageParameters());
    }

    private PageParameters getPageParameters() {
        PageParameters parameters = new PageParameters();
        parameters.set(PageParameterKeys.MAP.get(ActivityPlanTemplate.class), 1L);
        return parameters;
    }
}
