package se.su.dsv.scipro.activityplan;

import org.apache.wicket.model.Model;
import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import static org.mockito.Matchers.any;
import static org.mockito.Matchers.anyInt;
import static org.mockito.Mockito.when;

public class PreviewActivityPlanTemplatePanelTest extends SciProTest {

    private List<ActivityTemplate> activityPlanTemplate;

    @Before
    public void setUp() throws Exception {
        activityPlanTemplate = new ArrayList<>();
        ActivityTemplate first = new ActivityTemplate();
        first.setDaysOffset(2);
        first.setNumberInOrder(0);
        ActivityTemplate second = new ActivityTemplate();
        second.setDaysOffset(2);
        second.setNumberInOrder(1);
        ActivityTemplate third = new ActivityTemplate();
        third.setDaysOffset(2);
        third.setNumberInOrder(2);
        activityPlanTemplate.add(first);
        activityPlanTemplate.add(second);
        activityPlanTemplate.add(third);
    }

    @Test
    public void shows_correct_date() throws Exception {
        PreviewActivityPlanTemplatePanel panel = startPanel();
        Date date = new Date(90345286990L);
        when(daysService.workDaysAfter(any(Date.class), anyInt())).thenReturn(date);
        tester.assertModelValue(path(panel, "container", "activities", 0, "date"), date);
    }

    private PreviewActivityPlanTemplatePanel startPanel() {
        return tester.startComponentInPage(new PreviewActivityPlanTemplatePanel("id", Model.ofList(activityPlanTemplate)));
    }
}