package se.su.dsv.scipro.admin.pages.settings;

import org.apache.wicket.util.tester.FormTester;
import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.reviewing.ReviewerDeadlineSettings;
import se.su.dsv.scipro.security.auth.roles.Roles;

import static org.mockito.Matchers.isA;
import static org.mockito.Mockito.verify;
import static org.mockito.Mockito.when;

public class AdminReviewerDeadlineSettingsPageTest extends SciProTest {

    AdminReviewerDeadlineSettingsPage page;


    @Before
    public void setUp() throws Exception {
        setLoggedIn(true);
        setRoles(Roles.SYSADMIN);

        ReviewerDeadlineSettings reviewerDeadlineSettings = new ReviewerDeadlineSettings();

        when(reviewerDeadlineSettingsService.getInstance()).thenReturn(reviewerDeadlineSettings);
        page = tester.startPage(AdminReviewerDeadlineSettingsPage.class);
    }

    @Test
    public void renders() throws Exception {
        tester.assertRenderedPage(AdminReviewerDeadlineSettingsPage.class);
    }

    @Test
    public void required() throws Exception {
        FormTester formTester = tester.newFormTester("form");
        formTester.setValue("roughDraftApproval", null);
        formTester.submit();
        tester.assertErrorMessages("Field 'roughDraftApproval' is required");
    }

    @Test
    public void saves() throws Exception {
        FormTester formTester = tester.newFormTester("form");
        formTester.setValue("roughDraftApproval", "1");
        formTester.setValue("finalSeminarApproval", "1");
        formTester.setValue("finalGrading", "1");
        formTester.submit();
        verify(reviewerDeadlineSettingsService).save(isA(ReviewerDeadlineSettings.class));
        tester.assertInfoMessages("Settings saved");
    }
}