package se.su.dsv.scipro.admin.panels;

import org.apache.wicket.markup.html.form.DropDownChoice;
import org.apache.wicket.util.tester.FormTester;
import org.junit.Before;
import org.junit.Test;
import org.mockito.ArgumentCaptor;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.system.DegreeLevel;
import se.su.dsv.scipro.system.ProjectType;

import static org.junit.Assert.assertEquals;
import static org.mockito.Mockito.verify;

public class AdminProjectTypePanelTest extends SciProTest {

    private AdminProjectTypePanel panel;

    @Before
    public void setUp() {
        panel = tester.startComponentInPage(new AdminProjectTypePanel("id"));
    }

    @Test
    public void has_drop_down_for_degree_level() throws Exception {
        tester.assertComponent(path(panel, "projectTypeForm", "degreeLevel"), DropDownChoice.class);
    }

    @Test
    public void change_degree_level() throws Exception {
        int index = 3;

        FormTester formTester = tester.newFormTester(path(panel, "projectTypeForm"));
	    formTester.setValue("name", "bachelor");
        formTester.select("degreeLevel", index);
        formTester.submit("createButton");

        ArgumentCaptor<ProjectType> captor = ArgumentCaptor.forClass(ProjectType.class);
        verify(projectTypeService).save(captor.capture());

        assertEquals(DegreeLevel.values()[index], captor.getValue().getDegreeLevel());
    }
}
