package se.su.dsv.scipro.applicationperiod;

import org.apache.wicket.Component;
import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.ajax.markup.html.AjaxLink;
import org.apache.wicket.markup.html.list.ListItem;
import org.apache.wicket.markup.html.list.ListView;
import org.apache.wicket.util.visit.IVisit;
import org.apache.wicket.util.visit.IVisitor;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.match.ApplicationPeriod;
import se.su.dsv.scipro.system.DegreeLevel;
import se.su.dsv.scipro.system.ProjectType;

public class ApplicationPeriodActivityPlanTemplateColumnPanelTest extends SciProTest {
    public static final ProjectType BACHELOR = new ProjectType(DegreeLevel.FIRST_CYCLE, "Bachelor", "Bachelor");

    private ApplicationPeriodActivityPlanTemplateColumnPanel panel;
    private ApplicationPeriod applicationPeriod;

    @Before
    public void setUp() throws Exception {
        applicationPeriod = new ApplicationPeriod();
        applicationPeriod.setId(1L);
    }

    @Test
    public void testRenders() throws Exception {
        startPanel();
        Assert.assertNotNull("Panel does not render", panel);
    }

    @Test
    public void list() throws Exception {
        startPanel();
        tester.assertComponent(path(ApplicationPeriodActivityPlanTemplateColumnPanel.LIST), ListView.class);
    }

    @Test
    public void project_class_label() throws Exception {
        startPanel();
        panel.list.visitChildren(ListItem.class, new IVisitor<Component, Object>() {
            @Override
            public void component(Component component, IVisit<Object> visit) {
                boolean isVisible = component.get(path(ApplicationPeriodActivityPlanTemplateColumnPanel.PC)).isVisibleInHierarchy();
                Assert.assertTrue(isVisible);
                visit.stop();
            }
        });
    }

    @Test
    public void template_label() throws Exception {
        startPanel();
        panel.list.visitChildren(ListItem.class, new IVisitor<Component, Object>() {
            @Override
            public void component(Component component, IVisit<Object> visit) {
                boolean isVisible = component.get(path(ApplicationPeriodActivityPlanTemplateColumnPanel.TEMPLATE)).isVisibleInHierarchy();
                Assert.assertTrue(isVisible);
                visit.stop();
            }
        });
    }

    @Test
    public void link() throws Exception {
        startPanel();
        tester.assertComponent(path(ApplicationPeriodActivityPlanTemplateColumnPanel.LINK), AjaxLink.class);
    }

    private void startPanel() {
        panel = tester.startComponentInPage(new ApplicationPeriodActivityPlanTemplateColumnPanel("id", org.apache.wicket.model.Model.of(applicationPeriod)) {
            @Override
            public void onClick(AjaxRequestTarget target) {

            }
        });
    }

    @Override
    protected String path(Object... parts) {
        return super.path(panel, super.path(parts));
    }
}
