package se.su.dsv.scipro.checklists;

import org.apache.wicket.model.Model;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.checklist.ChecklistAnswerEnum;

public class TrafficLightPanelTest extends SciProTest {
    private TrafficLightPanel panel;

    @Test
    public void renders_yellow() throws Exception {
        startPanel(Model.of(ChecklistAnswerEnum.YELLOW));
    }

    @Test
    public void renders_red() throws Exception {
        startPanel(Model.of(ChecklistAnswerEnum.RED));
    }

    @Test
    public void renders_green() throws Exception {
        startPanel(Model.of(ChecklistAnswerEnum.GREEN));
    }

    @Test
    public void renders_not_applicable() throws Exception {
        startPanel(Model.of(ChecklistAnswerEnum.NOT_APLICABLE));
    }

    @Test
    public void renders_no_answer() throws Exception {
        startPanel(null);
    }

    @Test
    public void click_link_refreshes_links() throws Exception {
        startPanel(Model.of(ChecklistAnswerEnum.YELLOW));
        tester.clickLink(path(panel, "greenLink"));
        tester.assertComponentOnAjaxResponse(path(panel, "greenLink"));
        tester.assertComponentOnAjaxResponse(path(panel, "redLink"));
        tester.assertComponentOnAjaxResponse(path(panel, "yellowLink"));
        tester.assertComponentOnAjaxResponse(path(panel, "noAnswerLink"));
    }

    private void startPanel(Model<ChecklistAnswerEnum> answerModel) {
        panel = tester.startComponentInPage(new TrafficLightPanel("id", answerModel));
    }
}
