package se.su.dsv.scipro.components;

import org.apache.wicket.model.util.SetModel;
import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.system.User;

import java.util.HashSet;

import static org.junit.Assert.assertTrue;

public class AddUsersPanelTest extends SciProTest {

    AddUsersPanel panel;

    User user;
    HashSet<User> users;

    @Before
    public void setUp() throws Exception {
        user = User.builder().firstName("John").lastName("Rambo").emailAddress("rambo@gov.us").build();
        users = new HashSet<>();
        users.add(user);
        startPanel();
    }

    @Test
    public void removes() throws Exception {
        tester.executeAjaxEvent(path("id", "wmc", "users", 0, "remove"), "onclick");
        assertTrue(users.isEmpty());
    }

    private void startPanel() throws Exception {
        panel = tester.startComponentInPage(new AddUsersPanel("id", new SetModel<>(users), AddUsersPanel.LookFor.AUTHORS));
    }

}