package se.su.dsv.scipro.components;

import org.apache.wicket.Component;
import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.markup.html.basic.EnumLabel;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.Model;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;

public class AjaxEnumLinkPanelTest extends SciProTest {

    @Test
    public void displays_proper_enum_label() throws Exception {
        EnumPanel.TestEnum expectedEnum = EnumPanel.TestEnum.FOO;
        Component panel = tester.startComponentInPage(new EnumPanel("id", Model.of("Some string"), Model.of(expectedEnum)));

        String labelPath = path(panel, AjaxLinkPanel.LINK, AjaxLinkPanel.LABEL);
        tester.assertComponent(labelPath, EnumLabel.class);
        tester.assertModelValue(labelPath, expectedEnum);
    }

    public static class EnumPanel extends AjaxEnumLinkPanel<String, EnumPanel.TestEnum> {
        public enum TestEnum { FOO }

        public EnumPanel(String id, IModel<String> model, IModel<TestEnum> enumLabel) {
            super(id, model, enumLabel);
        }

        @Override
        public void onClick(AjaxRequestTarget target, IModel<String> model) {
            throw new UnsupportedOperationException("EnumPanel#onClick not implemented yet.");
        }
    }
}
