package se.su.dsv.scipro.components;

import org.apache.wicket.Component;
import org.apache.wicket.markup.html.list.ListView;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.util.ListModel;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.runners.MockitoJUnitRunner;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.profile.UserLinkPanel;
import se.su.dsv.scipro.system.User;
import se.su.dsv.scipro.test.UserBuilder;

import java.util.ArrayList;
import java.util.List;


@RunWith(MockitoJUnitRunner.class)
public class DisplayMultiplesPanelTest extends SciProTest {

    List<User> students;
    DisplayMultiplesPanel panel;

    @Before
    public void setUp() throws Exception {
        students = new ArrayList<>();
        User s = new UserBuilder().create();
        students.add(s);
        startPanel();
    }

    @Test
    public void testRenders() throws Exception {
        Assert.assertNotNull("Panel does not render", panel);
    }

    @Test
    public void testListVisible() throws Exception {
        tester.assertComponent(path(panel.getId(), DisplayMultiplesPanel.LIST), ListView.class);
        tester.assertVisible(path(panel.getId(), DisplayMultiplesPanel.LIST));
    }

    @Test
    public void testPanelVisible() throws Exception {
        tester.assertComponent(path(panel, DisplayMultiplesPanel.LIST, 0, DisplayMultiplesPanel.COMPONENT), UserLinkPanel.class);
    }

    private void startPanel() {
        panel = tester.startComponentInPage(new DisplayMultiplesPanel<User>("panel", new ListModel<>(students)) {
            @Override
            public Component getComponent(String componentId, IModel<User> model) {
                return new UserLinkPanel(COMPONENT, model);
            }
        });
    }
}
