package se.su.dsv.scipro.data;

import org.apache.wicket.model.IModel;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.Mock;
import org.mockito.runners.MockitoJUnitRunner;
import se.su.dsv.scipro.system.DomainObject;
import se.su.dsv.scipro.system.GenericService;

import static org.mockito.Matchers.anyLong;
import static org.mockito.Mockito.verify;
import static org.mockito.Mockito.when;

@RunWith(MockitoJUnitRunner.class)
public class DetachableServiceModelTest {
    @Mock
    private GenericService<DomainObject, Long> service;
    @Mock
    private DomainObject domainObject;

    @Test
    public void stores_id_on_detach() throws Exception {
        when(domainObject.getId()).thenReturn(null);

        IModel<DomainObject> model = new DetachableServiceModel<>(service, domainObject);

        when(domainObject.getId()).thenReturn(5L);

        model.detach();
        model.getObject();

        verify(service).findOne(anyLong());
    }
}
