package se.su.dsv.scipro.finalseminar;

import org.apache.wicket.markup.html.panel.FeedbackPanel;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.Matchers;
import org.mockito.Mockito;
import org.mockito.runners.MockitoJUnitRunner;
import org.springframework.data.domain.Pageable;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.components.ExportableDataPanel;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.project.ProjectService;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

@RunWith(MockitoJUnitRunner.class)
public class AdminFinalSeminarExemptionPageTest extends SciProTest {

    @Before
    public void setUp() throws Exception {
        Project project = new Project();
        List<Project> page = Collections.singletonList(project);
        Mockito.when(projectService.findAll(Matchers.any(ProjectService.Filter.class), Matchers.any(Pageable.class))).thenReturn(page);
        Mockito.when(projectService.count(Matchers.any(ProjectService.Filter.class))).thenReturn( (long) page.size());

        tester.startPage(AdminFinalSeminarExemptionPage.class);
    }

    @Test
    public void renders() throws Exception {
        tester.assertRenderedPage(AdminFinalSeminarExemptionPage.class);
    }

    @Test
    public void testContainsDataPanel() throws Exception {
        tester.assertComponent(AdminFinalSeminarExemptionPage.DP, ExportableDataPanel.class);
    }

    @Test
    public void testContainsForm() throws Exception {
        tester.assertComponent(AdminFinalSeminarExemptionPage.FORM, AdminFinalSeminarExemptionPage.FilterForm.class);
    }

    @Test
    public void testContainsFeedbackPanel() throws Exception {
        tester.assertComponent(AdminFinalSeminarExemptionPage.FEEDBACK, FeedbackPanel.class);
    }
}