package se.su.dsv.scipro.forum.panels.threaded;

import org.apache.wicket.model.IModel;
import org.apache.wicket.model.Model;
import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.forum.dataobjects.ProjectThread;
import se.su.dsv.scipro.forum.pages.threaded.ProjectThreadedForumPage;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.settings.dataobjects.UserProfile;
import se.su.dsv.scipro.system.User;
import se.su.dsv.scipro.test.ForumBuilder;
import se.su.dsv.scipro.test.ObjectMother;

import static org.mockito.Matchers.any;
import static org.mockito.Matchers.anyLong;
import static org.mockito.Mockito.when;

public class ViewProjectForumThreadPanelTest extends SciProTest {

    private ViewForumThreadPanel panel;

    @Before
    public void setUp() throws Exception {
        when(projectService.findOne(anyLong())).thenReturn(ObjectMother.SOME_PROJECT);
        when(projectService.isPartOfProject(any(Project.class), any(User.class))).thenReturn(true);
        when(userProfileService.findByUser(any(User.class))).thenReturn(new UserProfile());
    }

    @Test
    public void testClickBackLinkRedirectsUser() throws Exception {
        startPanel();
        tester.clickLink(path(panel.getId(), ViewForumThreadPanel.WRAPPER, ViewForumThreadPanel.BACK_LINK));
        tester.assertRenderedPage(ProjectThreadedForumPage.class);
    }

    private void startPanel() {
        ProjectThread thread = new ForumBuilder().createThread();
        IModel<Project> projectModel = Model.of(thread.getProject());
        panel = tester.startComponentInPage(new ViewProjectForumThreadPanel("panel", Model.of(thread), new ProjectForumThread(projectForumService, fileDescriptionService), projectModel));
    }
}