package se.su.dsv.scipro.group;

import org.apache.wicket.model.Model;
import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.system.User;

public class GroupDetailsPanelTest extends SciProTest {

    GroupDetailsPanel panel;
    Group group;

    @Before
    public void setUp() throws Exception {
        setUpGroup();
    }

    @Test
    public void renders() throws Exception {
        startPanel();
    }

    @Test
    public void inactive_label_when_group_is_inactive() throws Exception {
        group.setActive(false);
        startPanel();
        tester.assertModelValue(path(panel, "active"), "(Inactive)");
    }

    @Test
    public void active_label_when_group_is_active() throws Exception {
        startPanel();
        tester.assertModelValue(path(panel, "active"), "(Active)");
    }

    private void setUpGroup() {
        group = new Group();
        group.setId(1L);
        User user = User.builder().firstName("John").lastName("Smith").emailAddress("john@example.com").build();
        group.setUser(user);
        group.setActive(true);
    }

    private void startPanel() throws Exception {
        panel = tester.startComponentInPage(new GroupDetailsPanel("id", Model.of(group)));
    }

}