package se.su.dsv.scipro.match;

import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.model.Model;
import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.system.DegreeLevel;
import se.su.dsv.scipro.system.ProjectType;
import se.su.dsv.scipro.system.User;

public class AdminIdeaDetailsCrudPanelTest extends SciProTest {

    private Idea idea;

    @Before
    public void setUp() throws Exception {
        final ProjectType bachelor = new ProjectType(DegreeLevel.FIRST_CYCLE, "Bachelor", "Bachelor");
        idea = new Idea();
        idea.setProjectType(bachelor);
    }

    @Test
    public void renders_as_supervisor_idea() throws Exception {
        User supervisor = User.builder().firstName("Bob").lastName("Supervisor").emailAddress("bob@example.com").build();
        Match match = new Match();
        match.setSupervisor(supervisor);
        idea.setMatch(match);
        startPanel(Idea.Type.SUPERVISOR);
    }

    @Test
    public void renders_as_student_idea() throws Exception {
        User author = User.builder().firstName("Anna").lastName("Author").emailAddress("anna@example.com").build();
        author.setId(23452L);
        IdeaParticipation participation = new IdeaParticipation(author, idea);
        idea.addIdeaParticipation(participation);
        idea.setMatch(new Match());
        startPanel(Idea.Type.STUDENT);
    }

    private void startPanel(Idea.Type type) {
        idea.setType(type);
        tester.startComponentInPage(new AdminIdeaDetailsCrudPanel("id", Model.of(idea)) {
            @Override
            public void updateTarget(AjaxRequestTarget target) {

            }

            @Override
            public void updateAndClose(AjaxRequestTarget target) {

            }
        });
    }
}
