package se.su.dsv.scipro.match;

import org.apache.wicket.Page;
import org.junit.Before;
import org.springframework.data.domain.Pageable;
import se.su.dsv.scipro.PageTest;
import se.su.dsv.scipro.system.Unit;

import java.util.Arrays;

import static org.mockito.Matchers.isA;
import static org.mockito.Mockito.when;

public class AdminUnitPageTest extends PageTest {

    AdminUnitPage page;

    @Before
    public void setUp() throws Exception {

        Unit unit = new Unit();
        unit.setTitle("Super unit");
        unit.setId(1L);

        when(unitService.findAll(isA(Pageable.class))).thenReturn(Arrays.asList(unit));
        when(unitService.count()).thenReturn(1L);
        when(unitService.findOne(isA(Long.class))).thenReturn(unit);
        page = tester.startPage(AdminUnitPage.class);
    }

    @Override
    protected Class<? extends Page> getPage() {
        return AdminUnitPage.class;
    }
}