package se.su.dsv.scipro.match;

import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.model.Model;
import org.apache.wicket.util.tester.FormTester;
import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.system.Program;

import static org.mockito.Matchers.isA;
import static org.mockito.Mockito.verify;
import static org.mockito.Mockito.when;

public class EditProgramPanelTest extends SciProTest {

    EditProgramPanel panel;
    Program program;

    @Before
    public void setUp() throws Exception {
        program = new Program();
        program.setId(1L);
        when(programService.save(isA(Program.class))).thenReturn(program);
        startPanel();
    }

    @Test
    public void must_enter_program() throws Exception {
        tester.executeAjaxEvent(path(panel.getId(), "form", "save"), "onclick");
        tester.assertErrorMessages(panel.getString("name.Required"), panel.getString("nameEn.Required"), panel.getString("code.Required"));
    }

    @Test
    public void saves() throws Exception {
        FormTester formTester = tester.newFormTester(path(panel.getId(), "form"));
        formTester.setValue(path("wmc", "name"), "nice program");
        formTester.setValue(path("wmc", "nameEn"), "nice program");
        formTester.setValue(path("wmc", "code"), "nice program");
        tester.executeAjaxEvent(path(panel.getId(), "form", "save"), "onclick");
        tester.assertInfoMessages("Saved");
        verify(programService).save(isA(Program.class));
    }

    private void startPanel() throws Exception {
        panel = tester.startComponentInPage(new EditProgramPanel("id", Model.of(program)) {
            @Override
            public void onSave(AjaxRequestTarget target) {
            }
        });
    }
}