package se.su.dsv.scipro.match;

import org.apache.wicket.Page;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import org.junit.Before;
import org.junit.Test;
import org.mockito.Matchers;
import org.mockito.Mockito;
import se.su.dsv.scipro.PageTest;
import se.su.dsv.scipro.system.User;
import se.su.dsv.scipro.test.UserBuilder;
import se.su.dsv.scipro.util.PageParameterKeys;

public class ProjectIdeaSubmissionPageTest extends PageTest {

    @Before
    public void setUp() throws Exception {
        ApplicationPeriod applicationPeriod = new ApplicationPeriod();
        applicationPeriod.setId(1L);
        User user = new UserBuilder().create();
        setLoggedInAs(user);
        Mockito.when(userService.findOne(Matchers.isA(Long.class))).thenReturn(user);
        Mockito.when(applicationPeriodService.findOne(Matchers.anyLong())).thenReturn(applicationPeriod);
    }

    @Override
    protected Class<? extends Page> getPage() {
        return ProjectIdeaSubmissionPage.class;
    }

    @Override
    protected PageParameters getPageParameters() {
        PageParameters pageParameters = new PageParameters();
        pageParameters.set(PageParameterKeys.MAP.get(ApplicationPeriod.class), "1");
        return pageParameters;
    }

    @Test
    public void access_page_without_application_period_parameter() throws Exception {
        tester.startPage(ProjectIdeaSubmissionPage.class);
        tester.assertRenderedPage(ProjectIdeaStartPage.class);
    }
}
