package se.su.dsv.scipro.match;

import org.apache.wicket.markup.html.form.RadioChoice;
import org.apache.wicket.model.Model;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.mockito.Mockito;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.session.SciProSession;
import se.su.dsv.scipro.system.DegreeLevel;
import se.su.dsv.scipro.system.ProjectModule;
import se.su.dsv.scipro.system.ProjectType;

import java.util.List;

import static java.util.Arrays.asList;
import static se.su.dsv.scipro.match.SupervisorEditIdeaPanel.IDEA_FORM;
import static se.su.dsv.scipro.match.SupervisorEditIdeaPanel.PROJECT_TYPE;

public class SupervisorEditIdeaPanelTest extends SciProTest {

    private SupervisorEditIdeaPanel panel;

    @Before
    public void setUp() throws Exception {
        Mockito.when(userService.findOne(SciProSession.get().getUser().getId())).thenReturn(SciProSession.get().getUser());
    }

    @Test
    public void renders() throws Exception {
        startPanel();
    }

    @SuppressWarnings("unchecked")
    @Test
    public void only_allow_project_types_with_degree_level() throws Exception {
        List<ProjectType> choices = asList(createProjectType());
        Mockito.when(projectTypeService.findWithModule(ProjectModule.MATCH)).thenReturn(choices);

        startPanel();
        RadioChoice<ProjectType> projectTypeChoice = (RadioChoice<ProjectType>) panel.get(path(IDEA_FORM, PROJECT_TYPE));

        Assert.assertEquals(choices, projectTypeChoice.getChoices());
    }

    private ProjectType createProjectType() {
        return new ProjectType(DegreeLevel.FIRST_CYCLE, "bachelor", "desc");
    }

    private void startPanel() {
        panel = tester.startComponentInPage(new SupervisorEditIdeaPanel("id",
                Model.of(new Idea()), true));
    }
}
