package se.su.dsv.scipro.match;

import org.apache.wicket.Page;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import org.junit.Before;
import se.su.dsv.scipro.PageTest;
import se.su.dsv.scipro.system.ResearchArea;
import se.su.dsv.scipro.test.ObjectMother;
import se.su.dsv.scipro.util.PageParameterKeys;

import static org.mockito.Matchers.anyLong;
import static org.mockito.Mockito.when;

public class SupervisorIdeaDetailsPageTest extends PageTest {

    @Before
    public void setUp() throws Exception {
        Idea idea = new Idea();
        idea.setType(Idea.Type.SUPERVISOR);
        idea.setProjectType(ObjectMother.SOME_PROJECT.getProjectType());
        idea.setResearchArea(new ResearchArea());
        when(ideaService.findOne(anyLong())).thenReturn(idea);
    }

    @Override
    protected PageParameters getPageParameters() {
        PageParameters pp = new PageParameters();
        pp.add(PageParameterKeys.MAP.get(Idea.class), 1L);
        return pp;
    }

    @Override
    protected Class<? extends Page> getPage() {
        return SupervisorIdeaDetailsPage.class;
    }
}