package se.su.dsv.scipro.peer;

import org.apache.wicket.Page;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import org.junit.Before;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.supervisor.pages.SupervisorPageTest;
import se.su.dsv.scipro.test.ObjectMother;
import se.su.dsv.scipro.util.PageParameterKeys;

import static org.mockito.Matchers.anyLong;
import static org.mockito.Mockito.when;

public class SupervisorViewPeerReviewAllPeersPageTest extends SupervisorPageTest {

    @Before
    public void setUp() throws Exception {
        when(peerReviewService.findOne(anyLong())).thenReturn(new PeerReview());
        when(projectService.findOne(anyLong())).thenReturn(ObjectMother.SOME_PROJECT);
    }

    @Override
    protected Class<? extends Page> getPage() {
        return SupervisorViewPeerReviewAllPeersPage.class;
    }

    @Override
    protected PageParameters getPageParameters() {
        PageParameters pageParameters = new PageParameters();
        pageParameters.set(PageParameterKeys.MAP.get(PeerReview.class), 1L);
        pageParameters.set(PageParameterKeys.MAP.get(Project.class), 2L);
        return pageParameters;
    }
}
