package se.su.dsv.scipro.projectpartner;

import org.apache.wicket.util.tester.FormTester;
import org.junit.Before;
import org.junit.Test;
import org.mockito.Matchers;
import org.mockito.Mockito;
import org.springframework.data.domain.Pageable;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.generalsystemsettings.GeneralSystemSettings;
import se.su.dsv.scipro.test.ObjectMother;

import java.util.Arrays;
import java.util.Collections;

public class ProjectPartnerPageTest extends SciProTest {

    @Before
    public void setUp() throws Exception {
        GeneralSystemSettings settings = new GeneralSystemSettings();
        int daysToLive = 3;
        settings.setProjectPartnerDaysToLive(daysToLive);
        Mockito.when(generalSystemSettingsService.getGeneralSystemSettingsInstance()).thenReturn(settings);
        Mockito.when(projectPartnerService.getProjectPartnerInSpan(Matchers.eq(daysToLive), Matchers.any(Pageable.class))).thenReturn(Collections.singletonList(new ProjectPartner(ObjectMother.SOME_USER)));
        Mockito.when(projectPartnerService.countProjectPartnerInSpan(Matchers.eq(daysToLive))).thenReturn(1L);
        tester.startPage(ProjectPartnerPage.class);
    }

    @Test
    public void renders() throws Exception {
        tester.assertRenderedPage(ProjectPartnerPage.class);
    }

    @Test
    public void submit_new_ad() throws Exception {
        FormTester formTester = tester.newFormTester("projectPartnerForm");
        formTester.setValue("infotext", "help!");
        formTester.submit();

        Mockito.verify(projectPartnerService).save(Matchers.any(ProjectPartner.class));
    }
}
