package se.su.dsv.scipro.statistics;

import org.apache.wicket.markup.html.WebMarkupContainer;
import org.apache.wicket.markup.html.basic.Label;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.components.AjaxCheckBoxMultipleChoice;
import se.su.dsv.scipro.date.DeactivatableDatePickerPanel;

import static se.su.dsv.scipro.statistics.AdminAuthorsStatisticsPage.*;

public class AdminAuthorsStatisticsPageTest  extends SciProTest {

    @Test
    public void renders() throws Exception {
        tester.startPage(AdminAuthorsStatisticsPage.class);
    }

    @Test
    public void container() throws Exception {
        tester.startPage(AdminAuthorsStatisticsPage.class);
        tester.assertComponent(path(CONTAINER), WebMarkupContainer.class);
    }

    @Test
    public void dateFilter() throws Exception {
        tester.startPage(AdminAuthorsStatisticsPage.class);
        tester.assertComponent(path(CONTAINER, DATE_FILTER), DeactivatableDatePickerPanel.class);
    }

    @Test
    public void projectTypeFilter() throws Exception {
        tester.startPage(AdminAuthorsStatisticsPage.class);
        tester.assertComponent(path(CONTAINER, PROJECT_TYPE_FILTER), AjaxCheckBoxMultipleChoice.class);
    }

    @Test
    public void statusFilter() throws Exception {
        tester.startPage(AdminAuthorsStatisticsPage.class);
        tester.assertComponent(path(CONTAINER, STATUS_FILTER), AjaxCheckBoxMultipleChoice.class);
    }

    @Test
    public void authors() throws Exception {
        tester.startPage(AdminAuthorsStatisticsPage.class);
        tester.assertComponent(path(CONTAINER, AUTHORS), Label.class);
    }

    @Test
    public void click_authors_with_more_than_one_projects_takes_you_to_details_page() throws Exception {
        tester.startPage(AdminAuthorsStatisticsPage.class);
        tester.clickLink(path(CONTAINER, DETAILS_LINK));
        tester.assertRenderedPage(AdminMultipleAuthorsStatisticsPage.class);
    }

}