package se.su.dsv.scipro.statistics;

import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.milestones.dataobjects.MilestoneActivityTemplate;
import se.su.dsv.scipro.system.ProjectType;

import java.util.Arrays;
import java.util.Collections;

import static org.mockito.Matchers.any;
import static org.mockito.Matchers.anyCollectionOf;
import static org.mockito.Mockito.when;

public class AdminMilestoneStatisticsPageTest extends SciProTest {
    @Before
    public void setUp() throws Exception {
        when(milestoneActivityTemplateService.getAllActivities(any(MilestoneActivityTemplate.Type.class), anyCollectionOf(ProjectType.class)))
                .thenReturn(Collections.singletonList(new MilestoneActivityTemplate()));
        tester.startPage(AdminMilestoneStatisticsPage.class);
    }

    @Test
    public void renders() throws Exception {
        tester.assertRenderedPage(AdminMilestoneStatisticsPage.class);
    }

    @Test
    public void chart_page_link_links_to_supervisor_chart_page() throws Exception {
        tester.clickLink(path("statistics", "container", "chartLink"));
        tester.assertRenderedPage(AdminMilestoneChartPage.class);
    }

    @Test
    public void individual_page_link_links_to_supervisor_individual_page() throws Exception {
        tester.clickLink(path("statistics", "container", "individualActivityList", 0, "individualActivityName"));
        tester.assertRenderedPage(AdminIndividualMilestoneDetailsPage.class);
    }

    @Test
    public void project_page_link_links_to_supervisor_project_page() throws Exception {
        tester.clickLink(path("statistics", "container", "projectActivityList", 0, "detailsLink"));
        tester.assertRenderedPage(AdminProjectMilestoneDetailsPage.class);
    }
}
