package se.su.dsv.scipro.statistics;

import com.googlecode.wickedcharts.wicket6.highcharts.Chart;
import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.milestones.dataobjects.MilestoneActivityTemplate;
import se.su.dsv.scipro.milestones.service.MileStoneService;
import se.su.dsv.scipro.test.ObjectMother;

import java.util.Arrays;
import java.util.Collections;

import static org.mockito.Mockito.when;

public class MilestoneChartPanelTest extends SciProTest {

    private MileStoneService.Filter filter;

    @Before
    public void setUp() throws Exception {
        filter = new MileStoneService.Filter();
        filter.setProjectTypes(Collections.singletonList(ObjectMother.BACHELOR));
        when(milestoneActivityTemplateService.getAllActivities(MilestoneActivityTemplate.Type.PROJECT, filter.getProjectTypes()))
                .thenReturn(Collections.singletonList(new MilestoneActivityTemplate()));

    }

    @Test
    public void contains_chart() throws Exception {
        tester.startComponentInPage(new MilestoneChartPanel("panel", filter));
        tester.assertComponent(path("panel", "projectGraphics"), Chart.class);
        tester.assertComponent(path("panel", "individualGraphics"), Chart.class);
    }
}
